#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 391
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 215
#define ALIAS_COUNT 5
#define TOKEN_COUNT 118
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 21
#define MAX_ALIAS_SEQUENCE_LENGTH 6
#define PRODUCTION_ID_COUNT 40

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_host_lang = 2,
  anon_sym_SLASH_STAR_BANG = 3,
  anon_sym_STAR_SLASH = 4,
  anon_sym_re2c = 5,
  anon_sym_local = 6,
  anon_sym_COLON = 7,
  anon_sym_rules = 8,
  aux_sym__block_name_token1 = 9,
  anon_sym_use = 10,
  anon_sym_max = 11,
  anon_sym_maxnmatch = 12,
  anon_sym_getstate = 13,
  anon_sym_stags = 14,
  anon_sym_mtags = 15,
  anon_sym_header = 16,
  anon_sym_on = 17,
  anon_sym_off = 18,
  sym_ignore_block = 19,
  anon_sym_format = 20,
  anon_sym_EQ = 21,
  anon_sym_SEMI = 22,
  anon_sym_separator = 23,
  anon_sym_re2c2 = 24,
  aux_sym__option_name_token1 = 25,
  anon_sym_AT = 26,
  anon_sym_flags = 27,
  anon_sym_define = 28,
  anon_sym_cond = 29,
  anon_sym_label = 30,
  anon_sym_variable = 31,
  anon_sym_yych = 32,
  anon_sym_state = 33,
  anon_sym_yybm = 34,
  anon_sym_cgoto = 35,
  anon_sym_api = 36,
  anon_sym_tags = 37,
  anon_sym_indent = 38,
  anon_sym_yyfill = 39,
  anon_sym_eof = 40,
  anon_sym_sentinel = 41,
  anon_sym_condprefix = 42,
  anon_sym_condenumprefix = 43,
  anon_sym_startlabel = 44,
  anon_sym_posix_DASHcaptures = 45,
  anon_sym_DOT = 46,
  anon_sym_DASH_GT = 47,
  anon_sym_ignore = 48,
  anon_sym_substitute = 49,
  anon_sym_fail = 50,
  anon_sym_default = 51,
  anon_sym_custom = 52,
  anon_sym_match_DASHempty = 53,
  anon_sym_match_DASHnone = 54,
  anon_sym_error = 55,
  anon_sym_functions = 56,
  anon_sym_free_DASHform = 57,
  anon_sym_EQ_GT = 58,
  anon_sym_COLON_EQ_GT = 59,
  anon_sym_LT = 60,
  anon_sym_GT = 61,
  anon_sym_BANG = 62,
  anon_sym_COMMA = 63,
  anon_sym_STAR = 64,
  anon_sym_DOLLAR = 65,
  anon_sym_LBRACE = 66,
  anon_sym_RBRACE = 67,
  aux_sym__code_in_braces_token1 = 68,
  aux_sym__code_in_braces_token2 = 69,
  aux_sym__code_in_braces_token3 = 70,
  aux_sym__code_in_braces_token4 = 71,
  aux_sym__code_in_braces_token5 = 72,
  anon_sym_BANGuse = 73,
  anon_sym_BANGinclude = 74,
  anon_sym_SLASH = 75,
  anon_sym_PIPE = 76,
  anon_sym_BSLASH = 77,
  anon_sym_STAR2 = 78,
  anon_sym_PLUS = 79,
  anon_sym_QMARK = 80,
  anon_sym_LBRACE2 = 81,
  anon_sym_COMMA2 = 82,
  anon_sym_RBRACE2 = 83,
  aux_sym__mininum_token1 = 84,
  anon_sym_LPAREN = 85,
  anon_sym_RPAREN = 86,
  anon_sym_LBRACK = 87,
  anon_sym_CARET = 88,
  anon_sym_RBRACK = 89,
  aux_sym_range_token1 = 90,
  aux_sym_literal_token1 = 91,
  aux_sym_dstring_token1 = 92,
  aux_sym_sstring_token1 = 93,
  sym_quote = 94,
  sym_ctrl_code = 95,
  aux_sym__esc_hex_token1 = 96,
  aux_sym__esc_hex_token2 = 97,
  aux_sym__esc_hex_token3 = 98,
  aux_sym__esc_hex_token4 = 99,
  aux_sym__esc_hex_token5 = 100,
  aux_sym__esc_hex_token6 = 101,
  aux_sym__esc_hex_token7 = 102,
  aux_sym__esc_hex_token8 = 103,
  aux_sym__esc_oct_token1 = 104,
  aux_sym__esc_oct_token2 = 105,
  sym_hex_digit = 106,
  sym_oct_digit = 107,
  anon_sym_AT2 = 108,
  anon_sym_POUND = 109,
  anon_sym_0 = 110,
  anon_sym_DASH = 111,
  aux_sym_number_token1 = 112,
  aux_sym_number_token2 = 113,
  aux_sym_comment_token1 = 114,
  aux_sym_comment_token2 = 115,
  anon_sym_line = 116,
  aux_sym_linedir_token1 = 117,
  sym_re2c = 118,
  sym__block = 119,
  sym_global_block = 120,
  sym_local_block = 121,
  sym_rules_block = 122,
  sym_use_block = 123,
  sym_max_block = 124,
  sym_maxnmatch_block = 125,
  sym_getstate_block = 126,
  sym_stags_block = 127,
  sym_mtags_block = 128,
  sym_header_on_block = 129,
  sym_header_off_block = 130,
  sym_block_list = 131,
  sym__tag_directive = 132,
  sym_format_directive = 133,
  sym_separator_directive = 134,
  sym_body = 135,
  sym_named_definition = 136,
  sym_configuration = 137,
  sym__option_name = 138,
  sym_set_flags = 139,
  sym_define = 140,
  sym_set_cond = 141,
  sym_set_label = 142,
  sym_set_variable = 143,
  sym_set_yych = 144,
  sym_set_state = 145,
  sym_set_yybm = 146,
  sym_set_cgoto = 147,
  sym_set_api = 148,
  sym_set_tags = 149,
  sym_set_indent = 150,
  sym_set_yyfill = 151,
  sym_set_eof = 152,
  sym_set_sentinel = 153,
  sym_set_condprefix = 154,
  sym_set_condenumprefix = 155,
  sym_set_startlabel = 156,
  sym_set_posixcaptures = 157,
  sym_set_header = 158,
  sym__conf_value = 159,
  sym_field_expression = 160,
  sym_encoding_policy = 161,
  sym_input_conf = 162,
  sym_empty_class_conf = 163,
  sym_api_style = 164,
  sym_ordinary_rule = 165,
  sym_conditional_rule = 166,
  sym_shortcut = 167,
  sym_condition = 168,
  sym_pattern = 169,
  sym_action = 170,
  sym_code_block = 171,
  sym__code_in_braces = 172,
  sym_use = 173,
  sym_include = 174,
  sym_regex = 175,
  sym_lookahead = 176,
  sym__pattern_expr = 177,
  sym_alternation = 178,
  sym__branch = 179,
  sym__alt_expr = 180,
  sym_difference = 181,
  sym__dif_expr = 182,
  sym_concat = 183,
  sym__cat_expr = 184,
  sym_repetition = 185,
  sym_close = 186,
  sym_limits = 187,
  sym__mininum = 188,
  sym__maximum = 189,
  sym__exactly = 190,
  sym__atom = 191,
  sym_parenthesized = 192,
  sym_character_class = 193,
  sym_range = 194,
  sym_wildcard = 195,
  sym_literal = 196,
  sym_dstring = 197,
  sym_sstring = 198,
  sym__escape = 199,
  sym_code_unit = 200,
  sym_stag = 201,
  sym_mtag = 202,
  sym_number = 203,
  sym_comment = 204,
  sym_linedir = 205,
  aux_sym_re2c_repeat1 = 206,
  aux_sym_stags_block_repeat1 = 207,
  aux_sym_block_list_repeat1 = 208,
  aux_sym_body_repeat1 = 209,
  aux_sym__clist_repeat1 = 210,
  aux_sym_code_block_repeat1 = 211,
  aux_sym_alternation_repeat1 = 212,
  aux_sym_concat_repeat1 = 213,
  aux_sym_character_class_repeat1 = 214,
  alias_sym_block_name = 215,
  alias_sym_default = 216,
  alias_sym_field_identifier = 217,
  alias_sym_label = 218,
  alias_sym_name = 219,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_host_lang] = "host_lang",
  [anon_sym_SLASH_STAR_BANG] = "/*!",
  [anon_sym_STAR_SLASH] = "*/",
  [anon_sym_re2c] = "re2c",
  [anon_sym_local] = "local",
  [anon_sym_COLON] = ":",
  [anon_sym_rules] = "rules",
  [aux_sym__block_name_token1] = "_block_name_token1",
  [anon_sym_use] = "use",
  [anon_sym_max] = "max",
  [anon_sym_maxnmatch] = "maxnmatch",
  [anon_sym_getstate] = "getstate",
  [anon_sym_stags] = "stags",
  [anon_sym_mtags] = "mtags",
  [anon_sym_header] = "header",
  [anon_sym_on] = "on",
  [anon_sym_off] = "off",
  [sym_ignore_block] = "ignore_block",
  [anon_sym_format] = "format",
  [anon_sym_EQ] = "=",
  [anon_sym_SEMI] = ";",
  [anon_sym_separator] = "separator",
  [anon_sym_re2c2] = "re2c",
  [aux_sym__option_name_token1] = "option_name",
  [anon_sym_AT] = "@",
  [anon_sym_flags] = "flags",
  [anon_sym_define] = "define",
  [anon_sym_cond] = "cond",
  [anon_sym_label] = "label",
  [anon_sym_variable] = "variable",
  [anon_sym_yych] = "yych",
  [anon_sym_state] = "state",
  [anon_sym_yybm] = "yybm",
  [anon_sym_cgoto] = "cgoto",
  [anon_sym_api] = "api",
  [anon_sym_tags] = "tags",
  [anon_sym_indent] = "indent",
  [anon_sym_yyfill] = "yyfill",
  [anon_sym_eof] = "eof",
  [anon_sym_sentinel] = "sentinel",
  [anon_sym_condprefix] = "condprefix",
  [anon_sym_condenumprefix] = "condenumprefix",
  [anon_sym_startlabel] = "startlabel",
  [anon_sym_posix_DASHcaptures] = "posix-captures",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_ignore] = "ignore",
  [anon_sym_substitute] = "substitute",
  [anon_sym_fail] = "fail",
  [anon_sym_default] = "default",
  [anon_sym_custom] = "custom",
  [anon_sym_match_DASHempty] = "match-empty",
  [anon_sym_match_DASHnone] = "match-none",
  [anon_sym_error] = "error",
  [anon_sym_functions] = "functions",
  [anon_sym_free_DASHform] = "free-form",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_COLON_EQ_GT] = ":=>",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_BANG] = "!",
  [anon_sym_COMMA] = ",",
  [anon_sym_STAR] = "any",
  [anon_sym_DOLLAR] = "end_of_input",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym__code_in_braces_token1] = "_code_in_braces_token1",
  [aux_sym__code_in_braces_token2] = "_code_in_braces_token2",
  [aux_sym__code_in_braces_token3] = "_code_in_braces_token3",
  [aux_sym__code_in_braces_token4] = "_code_in_braces_token4",
  [aux_sym__code_in_braces_token5] = "_code_in_braces_token5",
  [anon_sym_BANGuse] = "!use",
  [anon_sym_BANGinclude] = "!include",
  [anon_sym_SLASH] = "/",
  [anon_sym_PIPE] = "|",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_STAR2] = "*",
  [anon_sym_PLUS] = "+",
  [anon_sym_QMARK] = "\?",
  [anon_sym_LBRACE2] = "{",
  [anon_sym_COMMA2] = ",",
  [anon_sym_RBRACE2] = "}",
  [aux_sym__mininum_token1] = "number",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_LBRACK] = "[",
  [anon_sym_CARET] = "^",
  [anon_sym_RBRACK] = "]",
  [aux_sym_range_token1] = "range_token1",
  [aux_sym_literal_token1] = "literal_token1",
  [aux_sym_dstring_token1] = "dstring_token1",
  [aux_sym_sstring_token1] = "sstring_token1",
  [sym_quote] = "quote",
  [sym_ctrl_code] = "ctrl_code",
  [aux_sym__esc_hex_token1] = "_esc_hex_token1",
  [aux_sym__esc_hex_token2] = "_esc_hex_token2",
  [aux_sym__esc_hex_token3] = "_esc_hex_token3",
  [aux_sym__esc_hex_token4] = "_esc_hex_token4",
  [aux_sym__esc_hex_token5] = "_esc_hex_token5",
  [aux_sym__esc_hex_token6] = "_esc_hex_token6",
  [aux_sym__esc_hex_token7] = "_esc_hex_token7",
  [aux_sym__esc_hex_token8] = "_esc_hex_token8",
  [aux_sym__esc_oct_token1] = "_esc_oct_token1",
  [aux_sym__esc_oct_token2] = "_esc_oct_token2",
  [sym_hex_digit] = "hex_digit",
  [sym_oct_digit] = "oct_digit",
  [anon_sym_AT2] = "@",
  [anon_sym_POUND] = "#",
  [anon_sym_0] = "0",
  [anon_sym_DASH] = "-",
  [aux_sym_number_token1] = "number_token1",
  [aux_sym_number_token2] = "number_token2",
  [aux_sym_comment_token1] = "comment_token1",
  [aux_sym_comment_token2] = "comment_token2",
  [anon_sym_line] = "line",
  [aux_sym_linedir_token1] = "linedir_token1",
  [sym_re2c] = "re2c",
  [sym__block] = "_block",
  [sym_global_block] = "global_block",
  [sym_local_block] = "local_block",
  [sym_rules_block] = "rules_block",
  [sym_use_block] = "use_block",
  [sym_max_block] = "max_block",
  [sym_maxnmatch_block] = "maxnmatch_block",
  [sym_getstate_block] = "getstate_block",
  [sym_stags_block] = "stags_block",
  [sym_mtags_block] = "mtags_block",
  [sym_header_on_block] = "header_on_block",
  [sym_header_off_block] = "header_off_block",
  [sym_block_list] = "block_list",
  [sym__tag_directive] = "_tag_directive",
  [sym_format_directive] = "format_directive",
  [sym_separator_directive] = "separator_directive",
  [sym_body] = "body",
  [sym_named_definition] = "named_definition",
  [sym_configuration] = "configuration",
  [sym__option_name] = "_option_name",
  [sym_set_flags] = "set_flags",
  [sym_define] = "define",
  [sym_set_cond] = "set_cond",
  [sym_set_label] = "set_label",
  [sym_set_variable] = "set_variable",
  [sym_set_yych] = "set_yych",
  [sym_set_state] = "set_state",
  [sym_set_yybm] = "set_yybm",
  [sym_set_cgoto] = "set_cgoto",
  [sym_set_api] = "set_api",
  [sym_set_tags] = "set_tags",
  [sym_set_indent] = "set_indent",
  [sym_set_yyfill] = "set_yyfill",
  [sym_set_eof] = "set_eof",
  [sym_set_sentinel] = "set_sentinel",
  [sym_set_condprefix] = "set_condprefix",
  [sym_set_condenumprefix] = "set_condenumprefix",
  [sym_set_startlabel] = "set_startlabel",
  [sym_set_posixcaptures] = "set_posixcaptures",
  [sym_set_header] = "set_header",
  [sym__conf_value] = "_conf_value",
  [sym_field_expression] = "field_expression",
  [sym_encoding_policy] = "encoding_policy",
  [sym_input_conf] = "input_conf",
  [sym_empty_class_conf] = "empty_class_conf",
  [sym_api_style] = "api_style",
  [sym_ordinary_rule] = "ordinary_rule",
  [sym_conditional_rule] = "conditional_rule",
  [sym_shortcut] = "shortcut",
  [sym_condition] = "condition",
  [sym_pattern] = "pattern",
  [sym_action] = "action",
  [sym_code_block] = "host_lang",
  [sym__code_in_braces] = "_code_in_braces",
  [sym_use] = "use",
  [sym_include] = "include",
  [sym_regex] = "regex",
  [sym_lookahead] = "lookahead",
  [sym__pattern_expr] = "_pattern_expr",
  [sym_alternation] = "alternation",
  [sym__branch] = "_branch",
  [sym__alt_expr] = "_alt_expr",
  [sym_difference] = "difference",
  [sym__dif_expr] = "_dif_expr",
  [sym_concat] = "concat",
  [sym__cat_expr] = "_cat_expr",
  [sym_repetition] = "repetition",
  [sym_close] = "close",
  [sym_limits] = "limits",
  [sym__mininum] = "_mininum",
  [sym__maximum] = "_maximum",
  [sym__exactly] = "_exactly",
  [sym__atom] = "_atom",
  [sym_parenthesized] = "parenthesized",
  [sym_character_class] = "character_class",
  [sym_range] = "range",
  [sym_wildcard] = "wildcard",
  [sym_literal] = "literal",
  [sym_dstring] = "dstring",
  [sym_sstring] = "sstring",
  [sym__escape] = "_escape",
  [sym_code_unit] = "code_unit",
  [sym_stag] = "stag",
  [sym_mtag] = "mtag",
  [sym_number] = "number",
  [sym_comment] = "comment",
  [sym_linedir] = "linedir",
  [aux_sym_re2c_repeat1] = "re2c_repeat1",
  [aux_sym_stags_block_repeat1] = "stags_block_repeat1",
  [aux_sym_block_list_repeat1] = "block_list_repeat1",
  [aux_sym_body_repeat1] = "body_repeat1",
  [aux_sym__clist_repeat1] = "_clist_repeat1",
  [aux_sym_code_block_repeat1] = "code_block_repeat1",
  [aux_sym_alternation_repeat1] = "alternation_repeat1",
  [aux_sym_concat_repeat1] = "concat_repeat1",
  [aux_sym_character_class_repeat1] = "character_class_repeat1",
  [alias_sym_block_name] = "block_name",
  [alias_sym_default] = "default",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_label] = "label",
  [alias_sym_name] = "name",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_host_lang] = sym_host_lang,
  [anon_sym_SLASH_STAR_BANG] = anon_sym_SLASH_STAR_BANG,
  [anon_sym_STAR_SLASH] = anon_sym_STAR_SLASH,
  [anon_sym_re2c] = anon_sym_re2c,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_rules] = anon_sym_rules,
  [aux_sym__block_name_token1] = aux_sym__block_name_token1,
  [anon_sym_use] = anon_sym_use,
  [anon_sym_max] = anon_sym_max,
  [anon_sym_maxnmatch] = anon_sym_maxnmatch,
  [anon_sym_getstate] = anon_sym_getstate,
  [anon_sym_stags] = anon_sym_stags,
  [anon_sym_mtags] = anon_sym_mtags,
  [anon_sym_header] = anon_sym_header,
  [anon_sym_on] = anon_sym_on,
  [anon_sym_off] = anon_sym_off,
  [sym_ignore_block] = sym_ignore_block,
  [anon_sym_format] = anon_sym_format,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_separator] = anon_sym_separator,
  [anon_sym_re2c2] = anon_sym_re2c,
  [aux_sym__option_name_token1] = aux_sym__option_name_token1,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_flags] = anon_sym_flags,
  [anon_sym_define] = anon_sym_define,
  [anon_sym_cond] = anon_sym_cond,
  [anon_sym_label] = anon_sym_label,
  [anon_sym_variable] = anon_sym_variable,
  [anon_sym_yych] = anon_sym_yych,
  [anon_sym_state] = anon_sym_state,
  [anon_sym_yybm] = anon_sym_yybm,
  [anon_sym_cgoto] = anon_sym_cgoto,
  [anon_sym_api] = anon_sym_api,
  [anon_sym_tags] = anon_sym_tags,
  [anon_sym_indent] = anon_sym_indent,
  [anon_sym_yyfill] = anon_sym_yyfill,
  [anon_sym_eof] = anon_sym_eof,
  [anon_sym_sentinel] = anon_sym_sentinel,
  [anon_sym_condprefix] = anon_sym_condprefix,
  [anon_sym_condenumprefix] = anon_sym_condenumprefix,
  [anon_sym_startlabel] = anon_sym_startlabel,
  [anon_sym_posix_DASHcaptures] = anon_sym_posix_DASHcaptures,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_ignore] = anon_sym_ignore,
  [anon_sym_substitute] = anon_sym_substitute,
  [anon_sym_fail] = anon_sym_fail,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_custom] = anon_sym_custom,
  [anon_sym_match_DASHempty] = anon_sym_match_DASHempty,
  [anon_sym_match_DASHnone] = anon_sym_match_DASHnone,
  [anon_sym_error] = anon_sym_error,
  [anon_sym_functions] = anon_sym_functions,
  [anon_sym_free_DASHform] = anon_sym_free_DASHform,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_COLON_EQ_GT] = anon_sym_COLON_EQ_GT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym__code_in_braces_token1] = aux_sym__code_in_braces_token1,
  [aux_sym__code_in_braces_token2] = aux_sym__code_in_braces_token2,
  [aux_sym__code_in_braces_token3] = aux_sym__code_in_braces_token3,
  [aux_sym__code_in_braces_token4] = aux_sym__code_in_braces_token4,
  [aux_sym__code_in_braces_token5] = aux_sym__code_in_braces_token5,
  [anon_sym_BANGuse] = anon_sym_BANGuse,
  [anon_sym_BANGinclude] = anon_sym_BANGinclude,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_STAR2] = anon_sym_STAR,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_LBRACE2] = anon_sym_LBRACE,
  [anon_sym_COMMA2] = anon_sym_COMMA,
  [anon_sym_RBRACE2] = anon_sym_RBRACE,
  [aux_sym__mininum_token1] = sym_number,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [aux_sym_range_token1] = aux_sym_range_token1,
  [aux_sym_literal_token1] = aux_sym_literal_token1,
  [aux_sym_dstring_token1] = aux_sym_dstring_token1,
  [aux_sym_sstring_token1] = aux_sym_sstring_token1,
  [sym_quote] = sym_quote,
  [sym_ctrl_code] = sym_ctrl_code,
  [aux_sym__esc_hex_token1] = aux_sym__esc_hex_token1,
  [aux_sym__esc_hex_token2] = aux_sym__esc_hex_token2,
  [aux_sym__esc_hex_token3] = aux_sym__esc_hex_token3,
  [aux_sym__esc_hex_token4] = aux_sym__esc_hex_token4,
  [aux_sym__esc_hex_token5] = aux_sym__esc_hex_token5,
  [aux_sym__esc_hex_token6] = aux_sym__esc_hex_token6,
  [aux_sym__esc_hex_token7] = aux_sym__esc_hex_token7,
  [aux_sym__esc_hex_token8] = aux_sym__esc_hex_token8,
  [aux_sym__esc_oct_token1] = aux_sym__esc_oct_token1,
  [aux_sym__esc_oct_token2] = aux_sym__esc_oct_token2,
  [sym_hex_digit] = sym_hex_digit,
  [sym_oct_digit] = sym_oct_digit,
  [anon_sym_AT2] = anon_sym_AT,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_0] = anon_sym_0,
  [anon_sym_DASH] = anon_sym_DASH,
  [aux_sym_number_token1] = aux_sym_number_token1,
  [aux_sym_number_token2] = aux_sym_number_token2,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [aux_sym_comment_token2] = aux_sym_comment_token2,
  [anon_sym_line] = anon_sym_line,
  [aux_sym_linedir_token1] = aux_sym_linedir_token1,
  [sym_re2c] = sym_re2c,
  [sym__block] = sym__block,
  [sym_global_block] = sym_global_block,
  [sym_local_block] = sym_local_block,
  [sym_rules_block] = sym_rules_block,
  [sym_use_block] = sym_use_block,
  [sym_max_block] = sym_max_block,
  [sym_maxnmatch_block] = sym_maxnmatch_block,
  [sym_getstate_block] = sym_getstate_block,
  [sym_stags_block] = sym_stags_block,
  [sym_mtags_block] = sym_mtags_block,
  [sym_header_on_block] = sym_header_on_block,
  [sym_header_off_block] = sym_header_off_block,
  [sym_block_list] = sym_block_list,
  [sym__tag_directive] = sym__tag_directive,
  [sym_format_directive] = sym_format_directive,
  [sym_separator_directive] = sym_separator_directive,
  [sym_body] = sym_body,
  [sym_named_definition] = sym_named_definition,
  [sym_configuration] = sym_configuration,
  [sym__option_name] = sym__option_name,
  [sym_set_flags] = sym_set_flags,
  [sym_define] = sym_define,
  [sym_set_cond] = sym_set_cond,
  [sym_set_label] = sym_set_label,
  [sym_set_variable] = sym_set_variable,
  [sym_set_yych] = sym_set_yych,
  [sym_set_state] = sym_set_state,
  [sym_set_yybm] = sym_set_yybm,
  [sym_set_cgoto] = sym_set_cgoto,
  [sym_set_api] = sym_set_api,
  [sym_set_tags] = sym_set_tags,
  [sym_set_indent] = sym_set_indent,
  [sym_set_yyfill] = sym_set_yyfill,
  [sym_set_eof] = sym_set_eof,
  [sym_set_sentinel] = sym_set_sentinel,
  [sym_set_condprefix] = sym_set_condprefix,
  [sym_set_condenumprefix] = sym_set_condenumprefix,
  [sym_set_startlabel] = sym_set_startlabel,
  [sym_set_posixcaptures] = sym_set_posixcaptures,
  [sym_set_header] = sym_set_header,
  [sym__conf_value] = sym__conf_value,
  [sym_field_expression] = sym_field_expression,
  [sym_encoding_policy] = sym_encoding_policy,
  [sym_input_conf] = sym_input_conf,
  [sym_empty_class_conf] = sym_empty_class_conf,
  [sym_api_style] = sym_api_style,
  [sym_ordinary_rule] = sym_ordinary_rule,
  [sym_conditional_rule] = sym_conditional_rule,
  [sym_shortcut] = sym_shortcut,
  [sym_condition] = sym_condition,
  [sym_pattern] = sym_pattern,
  [sym_action] = sym_action,
  [sym_code_block] = sym_host_lang,
  [sym__code_in_braces] = sym__code_in_braces,
  [sym_use] = sym_use,
  [sym_include] = sym_include,
  [sym_regex] = sym_regex,
  [sym_lookahead] = sym_lookahead,
  [sym__pattern_expr] = sym__pattern_expr,
  [sym_alternation] = sym_alternation,
  [sym__branch] = sym__branch,
  [sym__alt_expr] = sym__alt_expr,
  [sym_difference] = sym_difference,
  [sym__dif_expr] = sym__dif_expr,
  [sym_concat] = sym_concat,
  [sym__cat_expr] = sym__cat_expr,
  [sym_repetition] = sym_repetition,
  [sym_close] = sym_close,
  [sym_limits] = sym_limits,
  [sym__mininum] = sym__mininum,
  [sym__maximum] = sym__maximum,
  [sym__exactly] = sym__exactly,
  [sym__atom] = sym__atom,
  [sym_parenthesized] = sym_parenthesized,
  [sym_character_class] = sym_character_class,
  [sym_range] = sym_range,
  [sym_wildcard] = sym_wildcard,
  [sym_literal] = sym_literal,
  [sym_dstring] = sym_dstring,
  [sym_sstring] = sym_sstring,
  [sym__escape] = sym__escape,
  [sym_code_unit] = sym_code_unit,
  [sym_stag] = sym_stag,
  [sym_mtag] = sym_mtag,
  [sym_number] = sym_number,
  [sym_comment] = sym_comment,
  [sym_linedir] = sym_linedir,
  [aux_sym_re2c_repeat1] = aux_sym_re2c_repeat1,
  [aux_sym_stags_block_repeat1] = aux_sym_stags_block_repeat1,
  [aux_sym_block_list_repeat1] = aux_sym_block_list_repeat1,
  [aux_sym_body_repeat1] = aux_sym_body_repeat1,
  [aux_sym__clist_repeat1] = aux_sym__clist_repeat1,
  [aux_sym_code_block_repeat1] = aux_sym_code_block_repeat1,
  [aux_sym_alternation_repeat1] = aux_sym_alternation_repeat1,
  [aux_sym_concat_repeat1] = aux_sym_concat_repeat1,
  [aux_sym_character_class_repeat1] = aux_sym_character_class_repeat1,
  [alias_sym_block_name] = alias_sym_block_name,
  [alias_sym_default] = alias_sym_default,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_label] = alias_sym_label,
  [alias_sym_name] = alias_sym_name,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_host_lang] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SLASH_STAR_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_re2c] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rules] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__block_name_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_use] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_max] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_maxnmatch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getstate] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_stags] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mtags] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_header] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_on] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_off] = {
    .visible = true,
    .named = false,
  },
  [sym_ignore_block] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_format] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_separator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_re2c2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__option_name_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_flags] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_define] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cond] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_label] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_variable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yych] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_state] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yybm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cgoto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_api] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_tags] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_indent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yyfill] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_eof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sentinel] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_condprefix] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_condenumprefix] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_startlabel] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_posix_DASHcaptures] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ignore] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_substitute] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fail] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_custom] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match_DASHempty] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match_DASHnone] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_error] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_functions] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_free_DASHform] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__code_in_braces_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__code_in_braces_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__code_in_braces_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__code_in_braces_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__code_in_braces_token5] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BANGuse] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANGinclude] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__mininum_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_range_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dstring_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sstring_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_quote] = {
    .visible = true,
    .named = true,
  },
  [sym_ctrl_code] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__esc_hex_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__esc_hex_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__esc_hex_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__esc_hex_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__esc_hex_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__esc_hex_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__esc_hex_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__esc_hex_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__esc_oct_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__esc_oct_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_hex_digit] = {
    .visible = true,
    .named = true,
  },
  [sym_oct_digit] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_0] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_number_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_number_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comment_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_line] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_linedir_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_re2c] = {
    .visible = true,
    .named = true,
  },
  [sym__block] = {
    .visible = false,
    .named = true,
  },
  [sym_global_block] = {
    .visible = true,
    .named = true,
  },
  [sym_local_block] = {
    .visible = true,
    .named = true,
  },
  [sym_rules_block] = {
    .visible = true,
    .named = true,
  },
  [sym_use_block] = {
    .visible = true,
    .named = true,
  },
  [sym_max_block] = {
    .visible = true,
    .named = true,
  },
  [sym_maxnmatch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_getstate_block] = {
    .visible = true,
    .named = true,
  },
  [sym_stags_block] = {
    .visible = true,
    .named = true,
  },
  [sym_mtags_block] = {
    .visible = true,
    .named = true,
  },
  [sym_header_on_block] = {
    .visible = true,
    .named = true,
  },
  [sym_header_off_block] = {
    .visible = true,
    .named = true,
  },
  [sym_block_list] = {
    .visible = true,
    .named = true,
  },
  [sym__tag_directive] = {
    .visible = false,
    .named = true,
  },
  [sym_format_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_separator_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_body] = {
    .visible = true,
    .named = true,
  },
  [sym_named_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_configuration] = {
    .visible = true,
    .named = true,
  },
  [sym__option_name] = {
    .visible = false,
    .named = true,
  },
  [sym_set_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_define] = {
    .visible = true,
    .named = true,
  },
  [sym_set_cond] = {
    .visible = true,
    .named = true,
  },
  [sym_set_label] = {
    .visible = true,
    .named = true,
  },
  [sym_set_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_set_yych] = {
    .visible = true,
    .named = true,
  },
  [sym_set_state] = {
    .visible = true,
    .named = true,
  },
  [sym_set_yybm] = {
    .visible = true,
    .named = true,
  },
  [sym_set_cgoto] = {
    .visible = true,
    .named = true,
  },
  [sym_set_api] = {
    .visible = true,
    .named = true,
  },
  [sym_set_tags] = {
    .visible = true,
    .named = true,
  },
  [sym_set_indent] = {
    .visible = true,
    .named = true,
  },
  [sym_set_yyfill] = {
    .visible = true,
    .named = true,
  },
  [sym_set_eof] = {
    .visible = true,
    .named = true,
  },
  [sym_set_sentinel] = {
    .visible = true,
    .named = true,
  },
  [sym_set_condprefix] = {
    .visible = true,
    .named = true,
  },
  [sym_set_condenumprefix] = {
    .visible = true,
    .named = true,
  },
  [sym_set_startlabel] = {
    .visible = true,
    .named = true,
  },
  [sym_set_posixcaptures] = {
    .visible = true,
    .named = true,
  },
  [sym_set_header] = {
    .visible = true,
    .named = true,
  },
  [sym__conf_value] = {
    .visible = false,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_encoding_policy] = {
    .visible = true,
    .named = true,
  },
  [sym_input_conf] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_class_conf] = {
    .visible = true,
    .named = true,
  },
  [sym_api_style] = {
    .visible = true,
    .named = true,
  },
  [sym_ordinary_rule] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_rule] = {
    .visible = true,
    .named = true,
  },
  [sym_shortcut] = {
    .visible = true,
    .named = true,
  },
  [sym_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_action] = {
    .visible = true,
    .named = true,
  },
  [sym_code_block] = {
    .visible = true,
    .named = true,
  },
  [sym__code_in_braces] = {
    .visible = false,
    .named = true,
  },
  [sym_use] = {
    .visible = true,
    .named = true,
  },
  [sym_include] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_lookahead] = {
    .visible = true,
    .named = true,
  },
  [sym__pattern_expr] = {
    .visible = false,
    .named = true,
  },
  [sym_alternation] = {
    .visible = true,
    .named = true,
  },
  [sym__branch] = {
    .visible = false,
    .named = true,
  },
  [sym__alt_expr] = {
    .visible = false,
    .named = true,
  },
  [sym_difference] = {
    .visible = true,
    .named = true,
  },
  [sym__dif_expr] = {
    .visible = false,
    .named = true,
  },
  [sym_concat] = {
    .visible = true,
    .named = true,
  },
  [sym__cat_expr] = {
    .visible = false,
    .named = true,
  },
  [sym_repetition] = {
    .visible = true,
    .named = true,
  },
  [sym_close] = {
    .visible = true,
    .named = true,
  },
  [sym_limits] = {
    .visible = true,
    .named = true,
  },
  [sym__mininum] = {
    .visible = false,
    .named = true,
  },
  [sym__maximum] = {
    .visible = false,
    .named = true,
  },
  [sym__exactly] = {
    .visible = false,
    .named = true,
  },
  [sym__atom] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized] = {
    .visible = true,
    .named = true,
  },
  [sym_character_class] = {
    .visible = true,
    .named = true,
  },
  [sym_range] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_dstring] = {
    .visible = true,
    .named = true,
  },
  [sym_sstring] = {
    .visible = true,
    .named = true,
  },
  [sym__escape] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_code_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_stag] = {
    .visible = true,
    .named = true,
  },
  [sym_mtag] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_linedir] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_re2c_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_stags_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__clist_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_code_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alternation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concat_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_character_class_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_block_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_default] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_name] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_argument = 1,
  field_branch = 2,
  field_condition = 3,
  field_exactly = 4,
  field_expr = 5,
  field_field = 6,
  field_filename = 7,
  field_format = 8,
  field_from = 9,
  field_left = 10,
  field_linenum = 11,
  field_lookahead = 12,
  field_maximum = 13,
  field_minimum = 14,
  field_name = 15,
  field_operator = 16,
  field_option = 17,
  field_right = 18,
  field_separator = 19,
  field_to = 20,
  field_value = 21,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_argument] = "argument",
  [field_branch] = "branch",
  [field_condition] = "condition",
  [field_exactly] = "exactly",
  [field_expr] = "expr",
  [field_field] = "field",
  [field_filename] = "filename",
  [field_format] = "format",
  [field_from] = "from",
  [field_left] = "left",
  [field_linenum] = "linenum",
  [field_lookahead] = "lookahead",
  [field_maximum] = "maximum",
  [field_minimum] = "minimum",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_option] = "option",
  [field_right] = "right",
  [field_separator] = "separator",
  [field_to] = "to",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [4] = {.index = 0, .length = 1},
  [6] = {.index = 1, .length = 2},
  [7] = {.index = 3, .length = 3},
  [8] = {.index = 6, .length = 4},
  [11] = {.index = 10, .length = 1},
  [13] = {.index = 11, .length = 1},
  [14] = {.index = 12, .length = 3},
  [15] = {.index = 15, .length = 3},
  [16] = {.index = 18, .length = 1},
  [17] = {.index = 19, .length = 1},
  [20] = {.index = 20, .length = 2},
  [21] = {.index = 22, .length = 1},
  [22] = {.index = 23, .length = 2},
  [23] = {.index = 25, .length = 1},
  [26] = {.index = 26, .length = 1},
  [27] = {.index = 27, .length = 1},
  [28] = {.index = 26, .length = 1},
  [29] = {.index = 28, .length = 1},
  [31] = {.index = 29, .length = 2},
  [32] = {.index = 31, .length = 1},
  [33] = {.index = 32, .length = 1},
  [34] = {.index = 33, .length = 3},
  [35] = {.index = 36, .length = 2},
  [36] = {.index = 38, .length = 1},
  [37] = {.index = 39, .length = 1},
  [38] = {.index = 40, .length = 3},
  [39] = {.index = 43, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_branch, 0},
  [1] =
    {field_branch, 0, .inherited = true},
    {field_operator, 1},
  [3] =
    {field_branch, 0, .inherited = true},
    {field_branch, 1, .inherited = true},
    {field_operator, 0, .inherited = true},
  [6] =
    {field_branch, 0, .inherited = true},
    {field_branch, 1, .inherited = true},
    {field_operator, 0, .inherited = true},
    {field_operator, 1, .inherited = true},
  [10] =
    {field_filename, 1},
  [11] =
    {field_condition, 1},
  [12] =
    {field_expr, 0},
    {field_lookahead, 2},
    {field_operator, 1},
  [15] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [18] =
    {field_minimum, 0},
  [19] =
    {field_exactly, 0},
  [20] =
    {field_from, 0},
    {field_to, 2},
  [22] =
    {field_filename, 2},
  [23] =
    {field_name, 0},
    {field_value, 2},
  [25] =
    {field_exactly, 1, .inherited = true},
  [26] =
    {field_value, 0},
  [27] =
    {field_value, 2, .inherited = true},
  [28] =
    {field_option, 1},
  [29] =
    {field_filename, 2},
    {field_linenum, 3},
  [31] =
    {field_minimum, 1, .inherited = true},
  [32] =
    {field_maximum, 0},
  [33] =
    {field_field, 1, .inherited = true},
    {field_option, 1, .inherited = true},
    {field_value, 3, .inherited = true},
  [36] =
    {field_maximum, 3, .inherited = true},
    {field_minimum, 1, .inherited = true},
  [38] =
    {field_format, 2},
  [39] =
    {field_separator, 2},
  [40] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [43] =
    {field_field, 3},
    {field_option, 1},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = anon_sym_DOT,
  },
  [2] = {
    [0] = alias_sym_default,
  },
  [3] = {
    [0] = alias_sym_name,
  },
  [5] = {
    [2] = alias_sym_block_name,
  },
  [9] = {
    [1] = alias_sym_label,
  },
  [10] = {
    [0] = alias_sym_label,
  },
  [12] = {
    [1] = sym_literal,
  },
  [13] = {
    [1] = alias_sym_label,
  },
  [18] = {
    [2] = alias_sym_label,
  },
  [19] = {
    [2] = sym_literal,
  },
  [20] = {
    [1] = anon_sym_DASH,
  },
  [22] = {
    [0] = alias_sym_name,
  },
  [24] = {
    [4] = alias_sym_block_name,
  },
  [25] = {
    [1] = alias_sym_block_name,
  },
  [26] = {
    [0] = alias_sym_name,
  },
  [30] = {
    [3] = alias_sym_label,
  },
  [38] = {
    [2] = alias_sym_field_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 12,
  [14] = 11,
  [15] = 11,
  [16] = 16,
  [17] = 11,
  [18] = 12,
  [19] = 12,
  [20] = 12,
  [21] = 11,
  [22] = 11,
  [23] = 11,
  [24] = 12,
  [25] = 12,
  [26] = 12,
  [27] = 11,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 29,
  [32] = 29,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 52,
  [58] = 58,
  [59] = 58,
  [60] = 60,
  [61] = 58,
  [62] = 58,
  [63] = 58,
  [64] = 53,
  [65] = 51,
  [66] = 58,
  [67] = 58,
  [68] = 51,
  [69] = 53,
  [70] = 52,
  [71] = 51,
  [72] = 53,
  [73] = 52,
  [74] = 52,
  [75] = 53,
  [76] = 76,
  [77] = 53,
  [78] = 78,
  [79] = 79,
  [80] = 79,
  [81] = 51,
  [82] = 79,
  [83] = 52,
  [84] = 79,
  [85] = 53,
  [86] = 51,
  [87] = 79,
  [88] = 52,
  [89] = 79,
  [90] = 79,
  [91] = 51,
  [92] = 79,
  [93] = 93,
  [94] = 93,
  [95] = 93,
  [96] = 93,
  [97] = 51,
  [98] = 93,
  [99] = 52,
  [100] = 53,
  [101] = 93,
  [102] = 93,
  [103] = 93,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 111,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 111,
  [118] = 118,
  [119] = 119,
  [120] = 111,
  [121] = 121,
  [122] = 111,
  [123] = 123,
  [124] = 111,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 111,
  [130] = 111,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 192,
  [203] = 194,
  [204] = 194,
  [205] = 205,
  [206] = 192,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 104,
  [214] = 119,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 192,
  [219] = 219,
  [220] = 220,
  [221] = 194,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 192,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 194,
  [235] = 192,
  [236] = 236,
  [237] = 192,
  [238] = 194,
  [239] = 194,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 192,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 205,
  [257] = 257,
  [258] = 205,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 276,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 310,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 332,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(105);
      ADVANCE_MAP(
        '!', 133,
        '"', 180,
        '#', 215,
        '$', 137,
        '\'', 35,
        '(', 159,
        ')', 160,
        '*', 152,
        '+', 153,
        ',', 156,
        '-', 242,
        '.', 124,
        '/', 147,
        '0', 241,
        ':', 114,
        ';', 119,
        '<', 131,
        '=', 118,
        '>', 132,
        '?', 154,
        '@', 122,
        '[', 161,
        '\\', 151,
        ']', 163,
        '^', 162,
        'i', 228,
        'm', 221,
        'p', 232,
        'r', 224,
        '{', 155,
        '|', 149,
        '}', 157,
        '8', 158,
        '9', 158,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(101);
      if (('1' <= lookahead && lookahead <= '7')) ADVANCE(158);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(212);
      if (('G' <= lookahead && lookahead <= '_') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(29);
      if (lookahead == '"') ADVANCE(181);
      if (lookahead == '#') ADVANCE(215);
      if (lookahead == '\'') ADVANCE(183);
      if (lookahead == '(') ADVANCE(159);
      if (lookahead == '*') ADVANCE(152);
      if (lookahead == '+') ADVANCE(153);
      if (lookahead == '-') ADVANCE(164);
      if (lookahead == '.') ADVANCE(124);
      if (lookahead == '/') ADVANCE(148);
      if (lookahead == ':') ADVANCE(176);
      if (lookahead == '=') ADVANCE(177);
      if (lookahead == '?') ADVANCE(154);
      if (lookahead == '@') ADVANCE(214);
      if (lookahead == '[') ADVANCE(161);
      if (lookahead == '\\') ADVANCE(151);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == '{') ADVANCE(155);
      if (lookahead == '|') ADVANCE(149);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(171);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      if (lookahead != 0) ADVANCE(165);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(30);
      if (lookahead == '"') ADVANCE(181);
      if (lookahead == '#') ADVANCE(215);
      if (lookahead == '\'') ADVANCE(183);
      if (lookahead == '(') ADVANCE(159);
      if (lookahead == '*') ADVANCE(152);
      if (lookahead == '+') ADVANCE(153);
      if (lookahead == '-') ADVANCE(164);
      if (lookahead == '.') ADVANCE(124);
      if (lookahead == '/') ADVANCE(148);
      if (lookahead == ';') ADVANCE(119);
      if (lookahead == '?') ADVANCE(154);
      if (lookahead == '@') ADVANCE(214);
      if (lookahead == '[') ADVANCE(161);
      if (lookahead == '\\') ADVANCE(151);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == '{') ADVANCE(155);
      if (lookahead == '|') ADVANCE(149);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(172);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      if (lookahead != 0) ADVANCE(165);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(32);
      if (lookahead == '"') ADVANCE(181);
      if (lookahead == '#') ADVANCE(215);
      if (lookahead == '\'') ADVANCE(183);
      if (lookahead == '(') ADVANCE(159);
      if (lookahead == '*') ADVANCE(152);
      if (lookahead == '+') ADVANCE(153);
      if (lookahead == '-') ADVANCE(164);
      if (lookahead == '.') ADVANCE(124);
      if (lookahead == '/') ADVANCE(148);
      if (lookahead == '?') ADVANCE(154);
      if (lookahead == '@') ADVANCE(214);
      if (lookahead == '[') ADVANCE(161);
      if (lookahead == '\\') ADVANCE(151);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == '{') ADVANCE(155);
      if (lookahead == '|') ADVANCE(149);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(173);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      if (lookahead != 0) ADVANCE(165);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(22);
      if (lookahead == '"') ADVANCE(181);
      if (lookahead == '#') ADVANCE(215);
      if (lookahead == '\'') ADVANCE(183);
      if (lookahead == '(') ADVANCE(159);
      if (lookahead == ')') ADVANCE(160);
      if (lookahead == '*') ADVANCE(152);
      if (lookahead == '+') ADVANCE(153);
      if (lookahead == '-') ADVANCE(164);
      if (lookahead == '.') ADVANCE(124);
      if (lookahead == '/') ADVANCE(174);
      if (lookahead == '?') ADVANCE(154);
      if (lookahead == '@') ADVANCE(214);
      if (lookahead == '[') ADVANCE(161);
      if (lookahead == '\\') ADVANCE(151);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == '{') ADVANCE(155);
      if (lookahead == '|') ADVANCE(149);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(166);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      if (lookahead != 0) ADVANCE(165);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(28);
      if (lookahead == '"') ADVANCE(181);
      if (lookahead == '#') ADVANCE(215);
      if (lookahead == '\'') ADVANCE(183);
      if (lookahead == '(') ADVANCE(159);
      if (lookahead == '*') ADVANCE(152);
      if (lookahead == '+') ADVANCE(153);
      if (lookahead == '-') ADVANCE(164);
      if (lookahead == '.') ADVANCE(124);
      if (lookahead == '/') ADVANCE(174);
      if (lookahead == '?') ADVANCE(154);
      if (lookahead == '@') ADVANCE(214);
      if (lookahead == '[') ADVANCE(161);
      if (lookahead == '\\') ADVANCE(151);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == '{') ADVANCE(155);
      if (lookahead == '|') ADVANCE(149);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(170);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      if (lookahead != 0) ADVANCE(165);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(48);
      if (lookahead == '-') ADVANCE(164);
      if (lookahead == '/') ADVANCE(174);
      if (lookahead == '\\') ADVANCE(178);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == '^') ADVANCE(162);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(175);
      if (lookahead != 0) ADVANCE(165);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(48);
      if (lookahead == '-') ADVANCE(164);
      if (lookahead == '/') ADVANCE(174);
      if (lookahead == '\\') ADVANCE(178);
      if (lookahead == ']') ADVANCE(163);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(175);
      if (lookahead != 0) ADVANCE(165);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(48);
      if (lookahead == '-') ADVANCE(164);
      if (lookahead == '/') ADVANCE(174);
      if (lookahead == '\\') ADVANCE(178);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(175);
      if (lookahead != 0) ADVANCE(165);
      END_STATE();
    case 9:
      if (lookahead == '\n') ADVANCE(253);
      if (lookahead == '\r') ADVANCE(9);
      if (lookahead == '-') ADVANCE(242);
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == '0') ADVANCE(240);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(9);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(244);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(25);
      if (lookahead == '"') ADVANCE(181);
      if (lookahead == '#') ADVANCE(215);
      if (lookahead == '\'') ADVANCE(183);
      if (lookahead == '(') ADVANCE(159);
      if (lookahead == '*') ADVANCE(152);
      if (lookahead == '+') ADVANCE(153);
      if (lookahead == '-') ADVANCE(164);
      if (lookahead == '.') ADVANCE(124);
      if (lookahead == '/') ADVANCE(174);
      if (lookahead == ':') ADVANCE(176);
      if (lookahead == '=') ADVANCE(177);
      if (lookahead == '?') ADVANCE(154);
      if (lookahead == '@') ADVANCE(214);
      if (lookahead == '[') ADVANCE(161);
      if (lookahead == '\\') ADVANCE(151);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == '{') ADVANCE(155);
      if (lookahead == '|') ADVANCE(149);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(167);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      if (lookahead != 0) ADVANCE(165);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(26);
      if (lookahead == '"') ADVANCE(181);
      if (lookahead == '#') ADVANCE(215);
      if (lookahead == '\'') ADVANCE(183);
      if (lookahead == '(') ADVANCE(159);
      if (lookahead == '*') ADVANCE(152);
      if (lookahead == '+') ADVANCE(153);
      if (lookahead == '-') ADVANCE(164);
      if (lookahead == '.') ADVANCE(124);
      if (lookahead == '/') ADVANCE(174);
      if (lookahead == ';') ADVANCE(119);
      if (lookahead == '?') ADVANCE(154);
      if (lookahead == '@') ADVANCE(214);
      if (lookahead == '[') ADVANCE(161);
      if (lookahead == '\\') ADVANCE(151);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == '{') ADVANCE(155);
      if (lookahead == '|') ADVANCE(149);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(168);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      if (lookahead != 0) ADVANCE(165);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(27);
      if (lookahead == '"') ADVANCE(181);
      if (lookahead == '#') ADVANCE(215);
      if (lookahead == '\'') ADVANCE(183);
      if (lookahead == '(') ADVANCE(159);
      if (lookahead == '*') ADVANCE(152);
      if (lookahead == '+') ADVANCE(153);
      if (lookahead == '-') ADVANCE(164);
      if (lookahead == '.') ADVANCE(124);
      if (lookahead == '/') ADVANCE(174);
      if (lookahead == '?') ADVANCE(154);
      if (lookahead == '@') ADVANCE(214);
      if (lookahead == '[') ADVANCE(161);
      if (lookahead == '\\') ADVANCE(151);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == '{') ADVANCE(155);
      if (lookahead == '|') ADVANCE(149);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      if (lookahead != 0) ADVANCE(165);
      END_STATE();
    case 13:
      if (lookahead == '\r') ADVANCE(250);
      if (lookahead != 0) ADVANCE(249);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 133,
        '"', 181,
        '#', 215,
        '$', 137,
        '\'', 183,
        '(', 159,
        ')', 160,
        '*', 136,
        '.', 124,
        '/', 39,
        ':', 58,
        ';', 119,
        '=', 59,
        '>', 132,
        '@', 214,
        '[', 161,
        '\\', 150,
        '{', 138,
        '|', 149,
        '}', 139,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(213);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 133,
        '"', 181,
        '#', 215,
        '$', 137,
        '\'', 183,
        '(', 159,
        ')', 160,
        '*', 136,
        '.', 124,
        '/', 39,
        ':', 58,
        ';', 119,
        '=', 59,
        '>', 132,
        '@', 214,
        '[', 161,
        '\\', 150,
        '{', 138,
        '|', 149,
        '}', 139,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(111);
      if (lookahead == '*') ADVANCE(37);
      if (lookahead != 0) ADVANCE(38);
      END_STATE();
    case 17:
      if (lookahead == '!') ADVANCE(111);
      if (lookahead == '*') ADVANCE(107);
      if (lookahead != 0) ADVANCE(108);
      END_STATE();
    case 18:
      if (lookahead == '!') ADVANCE(38);
      if (lookahead == '*') ADVANCE(107);
      if (lookahead == '/') ADVANCE(110);
      if (lookahead != 0) ADVANCE(108);
      END_STATE();
    case 19:
      if (lookahead == '"') ADVANCE(140);
      if (lookahead == '\\') ADVANCE(98);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(19);
      END_STATE();
    case 20:
      if (lookahead == '"') ADVANCE(19);
      if (lookahead == '\'') ADVANCE(35);
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == '\\') ADVANCE(143);
      if (lookahead == '{') ADVANCE(138);
      if (lookahead == '}') ADVANCE(139);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(142);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '"', 181,
        '#', 215,
        '\'', 183,
        '(', 159,
        ')', 160,
        '*', 152,
        '+', 153,
        '.', 124,
        '/', 148,
        ':', 58,
        ';', 119,
        '=', 59,
        '?', 154,
        '@', 214,
        '[', 161,
        '\\', 150,
        '{', 155,
        '|', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '"', 181,
        '#', 215,
        '\'', 183,
        '(', 159,
        ')', 160,
        '.', 124,
        '/', 39,
        '@', 214,
        '[', 161,
        '\\', 151,
        '|', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '"', 181,
        '#', 215,
        '\'', 183,
        '(', 159,
        ')', 160,
        '.', 124,
        '/', 148,
        ':', 58,
        ';', 119,
        '=', 59,
        '@', 214,
        '[', 161,
        '\\', 150,
        '{', 138,
        '|', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '"', 181,
        '#', 215,
        '\'', 183,
        '(', 159,
        '*', 152,
        '+', 153,
        '.', 124,
        '/', 148,
        '=', 117,
        '?', 154,
        '@', 214,
        '[', 161,
        '\\', 150,
        '{', 155,
        '|', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(31);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '"', 181,
        '#', 215,
        '\'', 183,
        '(', 159,
        '.', 124,
        '/', 39,
        ':', 58,
        '=', 59,
        '@', 214,
        '[', 161,
        '\\', 151,
        '{', 138,
        '|', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '"', 181,
        '#', 215,
        '\'', 183,
        '(', 159,
        '.', 124,
        '/', 39,
        ';', 119,
        '@', 214,
        '[', 161,
        '\\', 151,
        '|', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '"', 181,
        '#', 215,
        '\'', 183,
        '(', 159,
        '.', 124,
        '/', 39,
        '@', 214,
        '[', 161,
        '\\', 151,
        '{', 138,
        '|', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        '"', 181,
        '#', 215,
        '\'', 183,
        '(', 159,
        '.', 124,
        '/', 39,
        '@', 214,
        '[', 161,
        '\\', 151,
        '|', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(28);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        '"', 181,
        '#', 215,
        '\'', 183,
        '(', 159,
        '.', 124,
        '/', 148,
        ':', 58,
        '=', 59,
        '@', 214,
        '[', 161,
        '\\', 151,
        '{', 138,
        '|', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(29);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '"', 181,
        '#', 215,
        '\'', 183,
        '(', 159,
        '.', 124,
        '/', 148,
        ';', 119,
        '@', 214,
        '[', 161,
        '\\', 151,
        '|', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(30);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        '"', 181,
        '#', 215,
        '\'', 183,
        '(', 159,
        '.', 124,
        '/', 148,
        '=', 117,
        '@', 214,
        '[', 161,
        '\\', 150,
        '{', 138,
        '|', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(31);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        '"', 181,
        '#', 215,
        '\'', 183,
        '(', 159,
        '.', 124,
        '/', 148,
        '@', 214,
        '[', 161,
        '\\', 151,
        '{', 138,
        '|', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        '"', 181,
        '\'', 183,
        '-', 242,
        '/', 39,
        '0', 240,
        ':', 113,
        '=', 117,
        '@', 122,
        'f', 235,
        'm', 221,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(34);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(244);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '"', 181,
        '\'', 183,
        '-', 242,
        '/', 39,
        '0', 240,
        '=', 117,
        'f', 235,
        'm', 221,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(34);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(244);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 35:
      if (lookahead == '\'') ADVANCE(141);
      if (lookahead == '\\') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(144);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(36);
      END_STATE();
    case 36:
      if (lookahead == '\'') ADVANCE(141);
      if (lookahead == '\\') ADVANCE(96);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(36);
      END_STATE();
    case 37:
      if (lookahead == '*') ADVANCE(37);
      if (lookahead == '/') ADVANCE(251);
      if (lookahead != 0) ADVANCE(38);
      END_STATE();
    case 38:
      if (lookahead == '*') ADVANCE(37);
      if (lookahead != 0) ADVANCE(38);
      END_STATE();
    case 39:
      if (lookahead == '*') ADVANCE(38);
      if (lookahead == '/') ADVANCE(249);
      END_STATE();
    case 40:
      if (lookahead == '*') ADVANCE(40);
      if (lookahead != 0 &&
          lookahead != '/') ADVANCE(116);
      END_STATE();
    case 41:
      if (lookahead == '*') ADVANCE(100);
      if (lookahead != 0) ADVANCE(110);
      END_STATE();
    case 42:
      if (lookahead == '*') ADVANCE(18);
      if (lookahead != 0) ADVANCE(108);
      END_STATE();
    case 43:
      if (lookahead == '*') ADVANCE(56);
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == ':') ADVANCE(113);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 44:
      if (lookahead == '*') ADVANCE(56);
      if (lookahead == '/') ADVANCE(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 45:
      if (lookahead == '*') ADVANCE(17);
      if (lookahead == '/') ADVANCE(247);
      if (lookahead != 0) ADVANCE(110);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        ',', 156,
        '/', 39,
        ':', 58,
        ';', 119,
        '=', 59,
        '\\', 150,
        'p', 232,
        '{', 138,
        '|', 149,
        '}', 157,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(243);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 47:
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == ':') ADVANCE(58);
      if (lookahead == ';') ADVANCE(119);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '\\') ADVANCE(150);
      if (lookahead == '{') ADVANCE(138);
      if (lookahead == '|') ADVANCE(149);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 48:
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == '\\') ADVANCE(62);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      END_STATE();
    case 49:
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == 'i') ADVANCE(228);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 50:
      if (lookahead == '/') ADVANCE(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      END_STATE();
    case 51:
      if (lookahead == '/') ADVANCE(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(211);
      END_STATE();
    case 52:
      if (lookahead == '/') ADVANCE(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 53:
      if (lookahead == '/') ADVANCE(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(121);
      END_STATE();
    case 54:
      if (lookahead == '/') ADVANCE(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 55:
      if (lookahead == '/') ADVANCE(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 56:
      if (lookahead == '/') ADVANCE(112);
      END_STATE();
    case 57:
      if (lookahead == '2') ADVANCE(65);
      END_STATE();
    case 58:
      if (lookahead == '=') ADVANCE(60);
      END_STATE();
    case 59:
      if (lookahead == '>') ADVANCE(129);
      END_STATE();
    case 60:
      if (lookahead == '>') ADVANCE(130);
      END_STATE();
    case 61:
      if (lookahead == '>') ADVANCE(125);
      END_STATE();
    case 62:
      if (lookahead == 'U') ADVANCE(207);
      if (lookahead == 'X') ADVANCE(199);
      if (lookahead == 'u') ADVANCE(195);
      if (lookahead == 'x') ADVANCE(191);
      if (('0' <= lookahead && lookahead <= '2')) ADVANCE(210);
      if (lookahead == '"' ||
          lookahead == '-' ||
          lookahead == '\\' ||
          lookahead == ']') ADVANCE(184);
      if (lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(185);
      END_STATE();
    case 63:
      if (lookahead == 'a') ADVANCE(84);
      END_STATE();
    case 64:
      if (lookahead == 'c') ADVANCE(63);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(116);
      END_STATE();
    case 66:
      if (lookahead == 'c') ADVANCE(76);
      END_STATE();
    case 67:
      if (lookahead == 'd') ADVANCE(73);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(77);
      if (lookahead == 'n') ADVANCE(81);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(57);
      END_STATE();
    case 70:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 71:
      if (lookahead == 'e') ADVANCE(88);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 73:
      if (lookahead == 'e') ADVANCE(146);
      END_STATE();
    case 74:
      if (lookahead == 'f') ADVANCE(82);
      END_STATE();
    case 75:
      if (lookahead == 'i') ADVANCE(80);
      if (lookahead == 'u') ADVANCE(89);
      END_STATE();
    case 76:
      if (lookahead == 'l') ADVANCE(92);
      END_STATE();
    case 77:
      if (lookahead == 'm') ADVANCE(83);
      END_STATE();
    case 78:
      if (lookahead == 'm') ADVANCE(128);
      END_STATE();
    case 79:
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 80:
      if (lookahead == 'n') ADVANCE(66);
      END_STATE();
    case 81:
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 82:
      if (lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 83:
      if (lookahead == 'p') ADVANCE(90);
      END_STATE();
    case 84:
      if (lookahead == 'p') ADVANCE(91);
      END_STATE();
    case 85:
      if (lookahead == 'r') ADVANCE(69);
      END_STATE();
    case 86:
      if (lookahead == 'r') ADVANCE(78);
      END_STATE();
    case 87:
      if (lookahead == 'r') ADVANCE(71);
      END_STATE();
    case 88:
      if (lookahead == 's') ADVANCE(123);
      END_STATE();
    case 89:
      if (lookahead == 's') ADVANCE(72);
      END_STATE();
    case 90:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 91:
      if (lookahead == 't') ADVANCE(93);
      END_STATE();
    case 92:
      if (lookahead == 'u') ADVANCE(67);
      END_STATE();
    case 93:
      if (lookahead == 'u') ADVANCE(87);
      END_STATE();
    case 94:
      if (lookahead == 'y') ADVANCE(126);
      END_STATE();
    case 95:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(180);
      END_STATE();
    case 96:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(36);
      END_STATE();
    case 97:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(183);
      END_STATE();
    case 98:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(19);
      END_STATE();
    case 99:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(181);
      END_STATE();
    case 100:
      if (lookahead != 0 &&
          lookahead != '!') ADVANCE(110);
      END_STATE();
    case 101:
      if (eof) ADVANCE(105);
      ADVANCE_MAP(
        '!', 133,
        '"', 180,
        '#', 215,
        '$', 137,
        '\'', 35,
        '(', 159,
        ')', 160,
        '*', 135,
        ',', 134,
        '-', 242,
        '.', 124,
        '/', 147,
        '0', 240,
        ':', 58,
        ';', 119,
        '<', 131,
        '=', 118,
        '>', 132,
        '@', 214,
        '[', 161,
        '\\', 151,
        'i', 228,
        'm', 221,
        'r', 224,
        '{', 138,
        '|', 149,
        '}', 139,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(101);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 102:
      if (eof) ADVANCE(105);
      ADVANCE_MAP(
        '!', 75,
        '"', 181,
        '#', 215,
        '$', 137,
        '\'', 183,
        '(', 159,
        ')', 160,
        '*', 136,
        ',', 134,
        '-', 61,
        '.', 124,
        '/', 39,
        ':', 113,
        ';', 119,
        '<', 131,
        '=', 117,
        '>', 132,
        '@', 214,
        '[', 161,
        '\\', 150,
        'r', 224,
        '{', 138,
        '|', 149,
        '}', 157,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(103);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(158);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 103:
      if (eof) ADVANCE(105);
      ADVANCE_MAP(
        '!', 75,
        '"', 181,
        '#', 215,
        '$', 137,
        '\'', 183,
        '(', 159,
        ')', 160,
        '*', 136,
        ',', 134,
        '-', 61,
        '.', 124,
        '/', 39,
        ';', 119,
        '<', 131,
        '=', 117,
        '>', 132,
        '@', 214,
        '[', 161,
        '\\', 150,
        'r', 224,
        '{', 138,
        '|', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(103);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 104:
      if (eof) ADVANCE(105);
      if (lookahead == '/') ADVANCE(45);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(109);
      if (lookahead != 0) ADVANCE(110);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_host_lang);
      if (lookahead == '\r') ADVANCE(248);
      if (lookahead == '/') ADVANCE(246);
      if (lookahead != 0) ADVANCE(247);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_host_lang);
      if (lookahead == '*') ADVANCE(107);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead != 0) ADVANCE(108);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_host_lang);
      if (lookahead == '*') ADVANCE(107);
      if (lookahead == '/') ADVANCE(42);
      if (lookahead != 0) ADVANCE(108);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_host_lang);
      if (lookahead == '/') ADVANCE(45);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(109);
      if (lookahead != 0) ADVANCE(110);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_host_lang);
      if (lookahead == '/') ADVANCE(41);
      if (lookahead != 0) ADVANCE(110);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR_BANG);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_STAR_SLASH);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(60);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym__block_name_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_ignore_block);
      if (lookahead == '*') ADVANCE(40);
      if (lookahead != 0) ADVANCE(116);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(129);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_re2c2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym__option_name_token1);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_posix_DASHcaptures);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_match_DASHempty);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_match_DASHnone);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_free_DASHform);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_COLON_EQ_GT);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '/') ADVANCE(112);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(aux_sym__code_in_braces_token1);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(aux_sym__code_in_braces_token2);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(aux_sym__code_in_braces_token3);
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == '\\') ADVANCE(143);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(142);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(143);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(aux_sym__code_in_braces_token3);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          lookahead != '/' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(143);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(aux_sym__code_in_braces_token5);
      if (lookahead == '\'') ADVANCE(141);
      if (lookahead == '\\') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(144);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(36);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_BANGuse);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_BANGinclude);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(16);
      if (lookahead == '/') ADVANCE(249);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(249);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == 'U') ADVANCE(207);
      if (lookahead == 'X') ADVANCE(199);
      if (lookahead == 'u') ADVANCE(195);
      if (lookahead == 'x') ADVANCE(191);
      if (('0' <= lookahead && lookahead <= '2')) ADVANCE(210);
      if (lookahead == '"' ||
          lookahead == '-' ||
          lookahead == '\\' ||
          lookahead == ']') ADVANCE(184);
      if (lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(185);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_STAR2);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_LBRACE2);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_COMMA2);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_RBRACE2);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym__mininum_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(158);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_range_token1);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_literal_token1);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_literal_token1);
      ADVANCE_MAP(
        '"', 181,
        '#', 215,
        '\'', 183,
        '(', 159,
        ')', 160,
        '.', 124,
        '/', 39,
        '@', 214,
        '[', 161,
        '\\', 151,
        '|', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_literal_token1);
      ADVANCE_MAP(
        '"', 181,
        '#', 215,
        '\'', 183,
        '(', 159,
        '.', 124,
        '/', 39,
        ':', 58,
        '=', 59,
        '@', 214,
        '[', 161,
        '\\', 151,
        '{', 138,
        '|', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(aux_sym_literal_token1);
      ADVANCE_MAP(
        '"', 181,
        '#', 215,
        '\'', 183,
        '(', 159,
        '.', 124,
        '/', 39,
        ';', 119,
        '@', 214,
        '[', 161,
        '\\', 151,
        '|', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(aux_sym_literal_token1);
      ADVANCE_MAP(
        '"', 181,
        '#', 215,
        '\'', 183,
        '(', 159,
        '.', 124,
        '/', 39,
        '@', 214,
        '[', 161,
        '\\', 151,
        '{', 138,
        '|', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(aux_sym_literal_token1);
      ADVANCE_MAP(
        '"', 181,
        '#', 215,
        '\'', 183,
        '(', 159,
        '.', 124,
        '/', 39,
        '@', 214,
        '[', 161,
        '\\', 151,
        '|', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(28);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym_literal_token1);
      ADVANCE_MAP(
        '"', 181,
        '#', 215,
        '\'', 183,
        '(', 159,
        '.', 124,
        '/', 148,
        ':', 58,
        '=', 59,
        '@', 214,
        '[', 161,
        '\\', 151,
        '{', 138,
        '|', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(29);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(aux_sym_literal_token1);
      ADVANCE_MAP(
        '"', 181,
        '#', 215,
        '\'', 183,
        '(', 159,
        '.', 124,
        '/', 148,
        ';', 119,
        '@', 214,
        '[', 161,
        '\\', 151,
        '|', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(30);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_literal_token1);
      ADVANCE_MAP(
        '"', 181,
        '#', 215,
        '\'', 183,
        '(', 159,
        '.', 124,
        '/', 148,
        '@', 214,
        '[', 161,
        '\\', 151,
        '{', 138,
        '|', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_literal_token1);
      if (lookahead == '*') ADVANCE(38);
      if (lookahead == '/') ADVANCE(249);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(aux_sym_literal_token1);
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == '\\') ADVANCE(62);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(aux_sym_literal_token1);
      if (lookahead == '=') ADVANCE(60);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(aux_sym_literal_token1);
      if (lookahead == '>') ADVANCE(129);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_literal_token1);
      if (lookahead == 'U') ADVANCE(207);
      if (lookahead == 'X') ADVANCE(199);
      if (lookahead == 'u') ADVANCE(195);
      if (lookahead == 'x') ADVANCE(191);
      if (('0' <= lookahead && lookahead <= '2')) ADVANCE(210);
      if (lookahead == '"' ||
          lookahead == '-' ||
          lookahead == '\\' ||
          lookahead == ']') ADVANCE(184);
      if (lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(185);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(aux_sym_dstring_token1);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(aux_sym_dstring_token1);
      if (lookahead == '"') ADVANCE(140);
      if (lookahead == '\\') ADVANCE(95);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(180);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(aux_sym_dstring_token1);
      if (lookahead == '"') ADVANCE(179);
      if (lookahead == '\\') ADVANCE(99);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(181);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(aux_sym_sstring_token1);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(aux_sym_sstring_token1);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(183);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_quote);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_ctrl_code);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(aux_sym__esc_hex_token1);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(aux_sym__esc_hex_token2);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(aux_sym__esc_hex_token3);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(aux_sym__esc_hex_token4);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(aux_sym__esc_hex_token5);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(186);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(aux_sym__esc_hex_token5);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(190);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(aux_sym__esc_hex_token6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(187);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(aux_sym__esc_hex_token6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(192);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(aux_sym__esc_hex_token6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(193);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(aux_sym__esc_hex_token6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(194);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(aux_sym__esc_hex_token7);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(188);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(aux_sym__esc_hex_token7);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(196);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(aux_sym__esc_hex_token7);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(197);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(aux_sym__esc_hex_token7);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(198);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(aux_sym__esc_hex_token8);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(189);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(aux_sym__esc_hex_token8);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(200);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(aux_sym__esc_hex_token8);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(201);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(aux_sym__esc_hex_token8);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(202);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(aux_sym__esc_hex_token8);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(203);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(aux_sym__esc_hex_token8);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(204);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(aux_sym__esc_hex_token8);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(205);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(aux_sym__esc_hex_token8);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(206);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(aux_sym__esc_oct_token1);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(aux_sym__esc_oct_token2);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(208);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(aux_sym__esc_oct_token2);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(209);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_hex_digit);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_hex_digit);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_oct_digit);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_AT2);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(74);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '2') ADVANCE(223);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == ':') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(229);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(219);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(218);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'g') ADVANCE(231);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h') ADVANCE(216);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(238);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(233);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(236);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(234);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(230);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(222);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(217);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_0);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_0);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(158);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(243);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(aux_sym_number_token2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(244);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '!') ADVANCE(249);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(247);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '*') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(247);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '/') ADVANCE(246);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(247);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '/') ADVANCE(246);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead != 0) ADVANCE(247);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '\\') ADVANCE(13);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(249);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '\\') ADVANCE(13);
      if (lookahead != 0) ADVANCE(249);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(aux_sym_comment_token2);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_comment_token2);
      if (lookahead == '*') ADVANCE(100);
      if (lookahead != 0) ADVANCE(110);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(aux_sym_linedir_token1);
      if (lookahead == '\n') ADVANCE(253);
      if (lookahead == '\r') ADVANCE(9);
      if (lookahead == '/') ADVANCE(39);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'c', 2,
        'd', 3,
        'e', 4,
        'f', 5,
        'g', 6,
        'h', 7,
        'i', 8,
        'l', 9,
        'm', 10,
        'o', 11,
        'r', 12,
        's', 13,
        't', 14,
        'u', 15,
        'v', 16,
        'y', 17,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      END_STATE();
    case 1:
      if (lookahead == 'p') ADVANCE(19);
      END_STATE();
    case 2:
      if (lookahead == 'g') ADVANCE(20);
      if (lookahead == 'o') ADVANCE(21);
      if (lookahead == 'u') ADVANCE(22);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(23);
      END_STATE();
    case 4:
      if (lookahead == 'o') ADVANCE(24);
      if (lookahead == 'r') ADVANCE(25);
      END_STATE();
    case 5:
      if (lookahead == 'a') ADVANCE(26);
      if (lookahead == 'l') ADVANCE(27);
      if (lookahead == 'o') ADVANCE(28);
      if (lookahead == 'u') ADVANCE(29);
      END_STATE();
    case 6:
      if (lookahead == 'e') ADVANCE(30);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(31);
      END_STATE();
    case 8:
      if (lookahead == 'g') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(33);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(34);
      if (lookahead == 'i') ADVANCE(35);
      if (lookahead == 'o') ADVANCE(36);
      END_STATE();
    case 10:
      if (lookahead == 'a') ADVANCE(37);
      if (lookahead == 't') ADVANCE(38);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(39);
      if (lookahead == 'n') ADVANCE(40);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(41);
      if (lookahead == 'u') ADVANCE(42);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 't') ADVANCE(44);
      if (lookahead == 'u') ADVANCE(45);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(46);
      END_STATE();
    case 15:
      if (lookahead == 's') ADVANCE(47);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(48);
      END_STATE();
    case 17:
      if (lookahead == 'y') ADVANCE(49);
      END_STATE();
    case 18:
      if (lookahead == 'c') ADVANCE(50);
      if (lookahead == 'd') ADVANCE(51);
      if (lookahead == 'e') ADVANCE(52);
      if (lookahead == 'f') ADVANCE(53);
      if (lookahead == 'i') ADVANCE(54);
      if (lookahead == 'l') ADVANCE(55);
      if (lookahead == 's') ADVANCE(56);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      END_STATE();
    case 19:
      if (lookahead == 'i') ADVANCE(57);
      END_STATE();
    case 20:
      if (lookahead == 'o') ADVANCE(58);
      END_STATE();
    case 21:
      if (lookahead == 'n') ADVANCE(59);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(60);
      END_STATE();
    case 23:
      if (lookahead == 'f') ADVANCE(61);
      END_STATE();
    case 24:
      if (lookahead == 'f') ADVANCE(62);
      END_STATE();
    case 25:
      if (lookahead == 'r') ADVANCE(63);
      END_STATE();
    case 26:
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(65);
      END_STATE();
    case 28:
      if (lookahead == 'r') ADVANCE(66);
      END_STATE();
    case 29:
      if (lookahead == 'n') ADVANCE(67);
      END_STATE();
    case 30:
      if (lookahead == 't') ADVANCE(68);
      END_STATE();
    case 31:
      if (lookahead == 'a') ADVANCE(69);
      END_STATE();
    case 32:
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 33:
      if (lookahead == 'd') ADVANCE(71);
      END_STATE();
    case 34:
      if (lookahead == 'b') ADVANCE(72);
      END_STATE();
    case 35:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 36:
      if (lookahead == 'c') ADVANCE(74);
      END_STATE();
    case 37:
      if (lookahead == 'x') ADVANCE(75);
      END_STATE();
    case 38:
      if (lookahead == 'a') ADVANCE(76);
      END_STATE();
    case 39:
      if (lookahead == 'f') ADVANCE(77);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_on);
      END_STATE();
    case 41:
      if (lookahead == '2') ADVANCE(78);
      END_STATE();
    case 42:
      if (lookahead == 'l') ADVANCE(79);
      END_STATE();
    case 43:
      if (lookahead == 'n') ADVANCE(80);
      if (lookahead == 'p') ADVANCE(81);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(82);
      END_STATE();
    case 45:
      if (lookahead == 'b') ADVANCE(83);
      END_STATE();
    case 46:
      if (lookahead == 'g') ADVANCE(84);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(85);
      END_STATE();
    case 48:
      if (lookahead == 'r') ADVANCE(86);
      END_STATE();
    case 49:
      if (lookahead == 'b') ADVANCE(87);
      if (lookahead == 'c') ADVANCE(88);
      if (lookahead == 'f') ADVANCE(89);
      END_STATE();
    case 50:
      if (lookahead == 'u') ADVANCE(22);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 52:
      if (lookahead == 'r') ADVANCE(25);
      END_STATE();
    case 53:
      if (lookahead == 'a') ADVANCE(26);
      if (lookahead == 'o') ADVANCE(28);
      if (lookahead == 'u') ADVANCE(29);
      END_STATE();
    case 54:
      if (lookahead == 'g') ADVANCE(32);
      END_STATE();
    case 55:
      if (lookahead == 'i') ADVANCE(35);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(91);
      if (lookahead == 'u') ADVANCE(45);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_api);
      END_STATE();
    case 58:
      if (lookahead == 't') ADVANCE(92);
      END_STATE();
    case 59:
      if (lookahead == 'd') ADVANCE(93);
      END_STATE();
    case 60:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 61:
      if (lookahead == 'a') ADVANCE(95);
      if (lookahead == 'i') ADVANCE(96);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_eof);
      END_STATE();
    case 63:
      if (lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 64:
      if (lookahead == 'l') ADVANCE(98);
      END_STATE();
    case 65:
      if (lookahead == 'g') ADVANCE(99);
      END_STATE();
    case 66:
      if (lookahead == 'm') ADVANCE(100);
      END_STATE();
    case 67:
      if (lookahead == 'c') ADVANCE(101);
      END_STATE();
    case 68:
      if (lookahead == 's') ADVANCE(102);
      END_STATE();
    case 69:
      if (lookahead == 'd') ADVANCE(103);
      END_STATE();
    case 70:
      if (lookahead == 'o') ADVANCE(104);
      END_STATE();
    case 71:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(106);
      END_STATE();
    case 73:
      if (lookahead == 'e') ADVANCE(107);
      END_STATE();
    case 74:
      if (lookahead == 'a') ADVANCE(108);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_max);
      if (lookahead == 'n') ADVANCE(109);
      END_STATE();
    case 76:
      if (lookahead == 'g') ADVANCE(110);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_off);
      END_STATE();
    case 78:
      if (lookahead == 'c') ADVANCE(111);
      END_STATE();
    case 79:
      if (lookahead == 'e') ADVANCE(112);
      END_STATE();
    case 80:
      if (lookahead == 't') ADVANCE(113);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(114);
      END_STATE();
    case 82:
      if (lookahead == 'g') ADVANCE(115);
      if (lookahead == 'r') ADVANCE(116);
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 83:
      if (lookahead == 's') ADVANCE(118);
      END_STATE();
    case 84:
      if (lookahead == 's') ADVANCE(119);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_use);
      END_STATE();
    case 86:
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 87:
      if (lookahead == 'm') ADVANCE(121);
      END_STATE();
    case 88:
      if (lookahead == 'h') ADVANCE(122);
      END_STATE();
    case 89:
      if (lookahead == 'i') ADVANCE(123);
      END_STATE();
    case 90:
      if (lookahead == 'f') ADVANCE(124);
      END_STATE();
    case 91:
      if (lookahead == 'p') ADVANCE(81);
      END_STATE();
    case 92:
      if (lookahead == 'o') ADVANCE(125);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_cond);
      if (lookahead == 'e') ADVANCE(126);
      if (lookahead == 'p') ADVANCE(127);
      END_STATE();
    case 94:
      if (lookahead == 'o') ADVANCE(128);
      END_STATE();
    case 95:
      if (lookahead == 'u') ADVANCE(129);
      END_STATE();
    case 96:
      if (lookahead == 'n') ADVANCE(130);
      END_STATE();
    case 97:
      if (lookahead == 'r') ADVANCE(131);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_fail);
      END_STATE();
    case 99:
      if (lookahead == 's') ADVANCE(132);
      END_STATE();
    case 100:
      if (lookahead == 'a') ADVANCE(133);
      END_STATE();
    case 101:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 102:
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 103:
      if (lookahead == 'e') ADVANCE(136);
      END_STATE();
    case 104:
      if (lookahead == 'r') ADVANCE(137);
      END_STATE();
    case 105:
      if (lookahead == 'n') ADVANCE(138);
      END_STATE();
    case 106:
      if (lookahead == 'l') ADVANCE(139);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_line);
      END_STATE();
    case 108:
      if (lookahead == 'l') ADVANCE(140);
      END_STATE();
    case 109:
      if (lookahead == 'm') ADVANCE(141);
      END_STATE();
    case 110:
      if (lookahead == 's') ADVANCE(142);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_re2c);
      END_STATE();
    case 112:
      if (lookahead == 's') ADVANCE(143);
      END_STATE();
    case 113:
      if (lookahead == 'i') ADVANCE(144);
      END_STATE();
    case 114:
      if (lookahead == 'r') ADVANCE(145);
      END_STATE();
    case 115:
      if (lookahead == 's') ADVANCE(146);
      END_STATE();
    case 116:
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 118:
      if (lookahead == 't') ADVANCE(149);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_tags);
      END_STATE();
    case 120:
      if (lookahead == 'a') ADVANCE(150);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_yybm);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_yych);
      END_STATE();
    case 123:
      if (lookahead == 'l') ADVANCE(151);
      END_STATE();
    case 124:
      if (lookahead == 'a') ADVANCE(95);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_cgoto);
      END_STATE();
    case 126:
      if (lookahead == 'n') ADVANCE(152);
      END_STATE();
    case 127:
      if (lookahead == 'r') ADVANCE(153);
      END_STATE();
    case 128:
      if (lookahead == 'm') ADVANCE(154);
      END_STATE();
    case 129:
      if (lookahead == 'l') ADVANCE(155);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(156);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_error);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_flags);
      END_STATE();
    case 133:
      if (lookahead == 't') ADVANCE(157);
      END_STATE();
    case 134:
      if (lookahead == 'i') ADVANCE(158);
      END_STATE();
    case 135:
      if (lookahead == 'a') ADVANCE(159);
      END_STATE();
    case 136:
      if (lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 137:
      if (lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 138:
      if (lookahead == 't') ADVANCE(162);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_label);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_local);
      END_STATE();
    case 141:
      if (lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_mtags);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_rules);
      END_STATE();
    case 144:
      if (lookahead == 'n') ADVANCE(164);
      END_STATE();
    case 145:
      if (lookahead == 'a') ADVANCE(165);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_stags);
      END_STATE();
    case 147:
      if (lookahead == 'l') ADVANCE(166);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_state);
      END_STATE();
    case 149:
      if (lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 150:
      if (lookahead == 'b') ADVANCE(168);
      END_STATE();
    case 151:
      if (lookahead == 'l') ADVANCE(169);
      END_STATE();
    case 152:
      if (lookahead == 'u') ADVANCE(170);
      END_STATE();
    case 153:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_custom);
      END_STATE();
    case 155:
      if (lookahead == 't') ADVANCE(172);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_define);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_format);
      END_STATE();
    case 158:
      if (lookahead == 'o') ADVANCE(173);
      END_STATE();
    case 159:
      if (lookahead == 't') ADVANCE(174);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_header);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_ignore);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_indent);
      END_STATE();
    case 163:
      if (lookahead == 't') ADVANCE(175);
      END_STATE();
    case 164:
      if (lookahead == 'e') ADVANCE(176);
      END_STATE();
    case 165:
      if (lookahead == 't') ADVANCE(177);
      END_STATE();
    case 166:
      if (lookahead == 'a') ADVANCE(178);
      END_STATE();
    case 167:
      if (lookahead == 't') ADVANCE(179);
      END_STATE();
    case 168:
      if (lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_yyfill);
      END_STATE();
    case 170:
      if (lookahead == 'm') ADVANCE(181);
      END_STATE();
    case 171:
      if (lookahead == 'f') ADVANCE(182);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 173:
      if (lookahead == 'n') ADVANCE(183);
      END_STATE();
    case 174:
      if (lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 175:
      if (lookahead == 'c') ADVANCE(185);
      END_STATE();
    case 176:
      if (lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 177:
      if (lookahead == 'o') ADVANCE(187);
      END_STATE();
    case 178:
      if (lookahead == 'b') ADVANCE(188);
      END_STATE();
    case 179:
      if (lookahead == 'u') ADVANCE(189);
      END_STATE();
    case 180:
      if (lookahead == 'e') ADVANCE(190);
      END_STATE();
    case 181:
      if (lookahead == 'p') ADVANCE(191);
      END_STATE();
    case 182:
      if (lookahead == 'i') ADVANCE(192);
      END_STATE();
    case 183:
      if (lookahead == 's') ADVANCE(193);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_getstate);
      END_STATE();
    case 185:
      if (lookahead == 'h') ADVANCE(194);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_sentinel);
      END_STATE();
    case 187:
      if (lookahead == 'r') ADVANCE(195);
      END_STATE();
    case 188:
      if (lookahead == 'e') ADVANCE(196);
      END_STATE();
    case 189:
      if (lookahead == 't') ADVANCE(197);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_variable);
      END_STATE();
    case 191:
      if (lookahead == 'r') ADVANCE(198);
      END_STATE();
    case 192:
      if (lookahead == 'x') ADVANCE(199);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_functions);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_maxnmatch);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_separator);
      END_STATE();
    case 196:
      if (lookahead == 'l') ADVANCE(200);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 198:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_condprefix);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_startlabel);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_substitute);
      END_STATE();
    case 202:
      if (lookahead == 'f') ADVANCE(203);
      END_STATE();
    case 203:
      if (lookahead == 'i') ADVANCE(204);
      END_STATE();
    case 204:
      if (lookahead == 'x') ADVANCE(205);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_condenumprefix);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 104},
  [2] = {.lex_state = 102},
  [3] = {.lex_state = 102},
  [4] = {.lex_state = 102},
  [5] = {.lex_state = 102},
  [6] = {.lex_state = 102},
  [7] = {.lex_state = 102},
  [8] = {.lex_state = 102},
  [9] = {.lex_state = 102},
  [10] = {.lex_state = 46},
  [11] = {.lex_state = 1},
  [12] = {.lex_state = 1},
  [13] = {.lex_state = 10},
  [14] = {.lex_state = 10},
  [15] = {.lex_state = 2},
  [16] = {.lex_state = 14},
  [17] = {.lex_state = 3},
  [18] = {.lex_state = 2},
  [19] = {.lex_state = 3},
  [20] = {.lex_state = 4},
  [21] = {.lex_state = 4},
  [22] = {.lex_state = 12},
  [23] = {.lex_state = 11},
  [24] = {.lex_state = 12},
  [25] = {.lex_state = 11},
  [26] = {.lex_state = 5},
  [27] = {.lex_state = 5},
  [28] = {.lex_state = 14},
  [29] = {.lex_state = 14},
  [30] = {.lex_state = 14},
  [31] = {.lex_state = 14},
  [32] = {.lex_state = 14},
  [33] = {.lex_state = 33},
  [34] = {.lex_state = 33},
  [35] = {.lex_state = 33},
  [36] = {.lex_state = 33},
  [37] = {.lex_state = 33},
  [38] = {.lex_state = 33},
  [39] = {.lex_state = 33},
  [40] = {.lex_state = 33},
  [41] = {.lex_state = 33},
  [42] = {.lex_state = 33},
  [43] = {.lex_state = 33},
  [44] = {.lex_state = 33},
  [45] = {.lex_state = 33},
  [46] = {.lex_state = 33},
  [47] = {.lex_state = 33},
  [48] = {.lex_state = 33},
  [49] = {.lex_state = 33},
  [50] = {.lex_state = 33},
  [51] = {.lex_state = 23},
  [52] = {.lex_state = 23},
  [53] = {.lex_state = 23},
  [54] = {.lex_state = 33},
  [55] = {.lex_state = 33},
  [56] = {.lex_state = 33},
  [57] = {.lex_state = 14},
  [58] = {.lex_state = 14},
  [59] = {.lex_state = 14},
  [60] = {.lex_state = 14},
  [61] = {.lex_state = 14},
  [62] = {.lex_state = 14},
  [63] = {.lex_state = 14},
  [64] = {.lex_state = 14},
  [65] = {.lex_state = 14},
  [66] = {.lex_state = 14},
  [67] = {.lex_state = 14},
  [68] = {.lex_state = 23},
  [69] = {.lex_state = 23},
  [70] = {.lex_state = 23},
  [71] = {.lex_state = 23},
  [72] = {.lex_state = 23},
  [73] = {.lex_state = 23},
  [74] = {.lex_state = 14},
  [75] = {.lex_state = 14},
  [76] = {.lex_state = 21},
  [77] = {.lex_state = 14},
  [78] = {.lex_state = 49},
  [79] = {.lex_state = 14},
  [80] = {.lex_state = 14},
  [81] = {.lex_state = 14},
  [82] = {.lex_state = 14},
  [83] = {.lex_state = 14},
  [84] = {.lex_state = 14},
  [85] = {.lex_state = 14},
  [86] = {.lex_state = 14},
  [87] = {.lex_state = 14},
  [88] = {.lex_state = 14},
  [89] = {.lex_state = 14},
  [90] = {.lex_state = 14},
  [91] = {.lex_state = 14},
  [92] = {.lex_state = 14},
  [93] = {.lex_state = 6},
  [94] = {.lex_state = 6},
  [95] = {.lex_state = 6},
  [96] = {.lex_state = 6},
  [97] = {.lex_state = 14},
  [98] = {.lex_state = 6},
  [99] = {.lex_state = 14},
  [100] = {.lex_state = 14},
  [101] = {.lex_state = 6},
  [102] = {.lex_state = 6},
  [103] = {.lex_state = 6},
  [104] = {.lex_state = 21},
  [105] = {.lex_state = 21},
  [106] = {.lex_state = 7},
  [107] = {.lex_state = 21},
  [108] = {.lex_state = 21},
  [109] = {.lex_state = 21},
  [110] = {.lex_state = 21},
  [111] = {.lex_state = 7},
  [112] = {.lex_state = 21},
  [113] = {.lex_state = 7},
  [114] = {.lex_state = 21},
  [115] = {.lex_state = 7},
  [116] = {.lex_state = 21},
  [117] = {.lex_state = 7},
  [118] = {.lex_state = 7},
  [119] = {.lex_state = 21},
  [120] = {.lex_state = 7},
  [121] = {.lex_state = 21},
  [122] = {.lex_state = 7},
  [123] = {.lex_state = 21},
  [124] = {.lex_state = 7},
  [125] = {.lex_state = 21},
  [126] = {.lex_state = 7},
  [127] = {.lex_state = 21},
  [128] = {.lex_state = 7},
  [129] = {.lex_state = 7},
  [130] = {.lex_state = 7},
  [131] = {.lex_state = 102},
  [132] = {.lex_state = 24},
  [133] = {.lex_state = 102},
  [134] = {.lex_state = 8},
  [135] = {.lex_state = 23},
  [136] = {.lex_state = 23},
  [137] = {.lex_state = 23},
  [138] = {.lex_state = 23},
  [139] = {.lex_state = 23},
  [140] = {.lex_state = 23},
  [141] = {.lex_state = 23},
  [142] = {.lex_state = 102},
  [143] = {.lex_state = 102},
  [144] = {.lex_state = 102},
  [145] = {.lex_state = 102},
  [146] = {.lex_state = 102},
  [147] = {.lex_state = 102},
  [148] = {.lex_state = 7},
  [149] = {.lex_state = 102},
  [150] = {.lex_state = 102},
  [151] = {.lex_state = 7},
  [152] = {.lex_state = 102},
  [153] = {.lex_state = 7},
  [154] = {.lex_state = 7},
  [155] = {.lex_state = 7},
  [156] = {.lex_state = 102},
  [157] = {.lex_state = 102},
  [158] = {.lex_state = 7},
  [159] = {.lex_state = 102},
  [160] = {.lex_state = 102},
  [161] = {.lex_state = 7},
  [162] = {.lex_state = 102},
  [163] = {.lex_state = 14},
  [164] = {.lex_state = 14},
  [165] = {.lex_state = 14},
  [166] = {.lex_state = 14},
  [167] = {.lex_state = 14},
  [168] = {.lex_state = 14},
  [169] = {.lex_state = 43},
  [170] = {.lex_state = 43},
  [171] = {.lex_state = 20},
  [172] = {.lex_state = 20},
  [173] = {.lex_state = 20},
  [174] = {.lex_state = 20},
  [175] = {.lex_state = 20},
  [176] = {.lex_state = 23},
  [177] = {.lex_state = 14},
  [178] = {.lex_state = 23},
  [179] = {.lex_state = 23},
  [180] = {.lex_state = 20},
  [181] = {.lex_state = 14},
  [182] = {.lex_state = 14},
  [183] = {.lex_state = 14},
  [184] = {.lex_state = 14},
  [185] = {.lex_state = 14},
  [186] = {.lex_state = 14},
  [187] = {.lex_state = 14},
  [188] = {.lex_state = 20},
  [189] = {.lex_state = 20},
  [190] = {.lex_state = 23},
  [191] = {.lex_state = 20},
  [192] = {.lex_state = 23},
  [193] = {.lex_state = 23},
  [194] = {.lex_state = 23},
  [195] = {.lex_state = 104},
  [196] = {.lex_state = 43},
  [197] = {.lex_state = 46},
  [198] = {.lex_state = 9},
  [199] = {.lex_state = 104},
  [200] = {.lex_state = 14},
  [201] = {.lex_state = 43},
  [202] = {.lex_state = 46},
  [203] = {.lex_state = 46},
  [204] = {.lex_state = 23},
  [205] = {.lex_state = 23},
  [206] = {.lex_state = 23},
  [207] = {.lex_state = 102},
  [208] = {.lex_state = 102},
  [209] = {.lex_state = 102},
  [210] = {.lex_state = 43},
  [211] = {.lex_state = 102},
  [212] = {.lex_state = 102},
  [213] = {.lex_state = 9},
  [214] = {.lex_state = 9},
  [215] = {.lex_state = 102},
  [216] = {.lex_state = 14},
  [217] = {.lex_state = 46},
  [218] = {.lex_state = 23},
  [219] = {.lex_state = 46},
  [220] = {.lex_state = 102},
  [221] = {.lex_state = 23},
  [222] = {.lex_state = 14},
  [223] = {.lex_state = 46},
  [224] = {.lex_state = 104},
  [225] = {.lex_state = 102},
  [226] = {.lex_state = 102},
  [227] = {.lex_state = 102},
  [228] = {.lex_state = 33},
  [229] = {.lex_state = 102},
  [230] = {.lex_state = 14},
  [231] = {.lex_state = 14},
  [232] = {.lex_state = 14},
  [233] = {.lex_state = 104},
  [234] = {.lex_state = 102},
  [235] = {.lex_state = 102},
  [236] = {.lex_state = 46},
  [237] = {.lex_state = 102},
  [238] = {.lex_state = 102},
  [239] = {.lex_state = 102},
  [240] = {.lex_state = 102},
  [241] = {.lex_state = 102},
  [242] = {.lex_state = 14},
  [243] = {.lex_state = 102},
  [244] = {.lex_state = 102},
  [245] = {.lex_state = 102},
  [246] = {.lex_state = 14},
  [247] = {.lex_state = 102},
  [248] = {.lex_state = 55},
  [249] = {.lex_state = 102},
  [250] = {.lex_state = 46},
  [251] = {.lex_state = 102},
  [252] = {.lex_state = 102},
  [253] = {.lex_state = 102},
  [254] = {.lex_state = 102},
  [255] = {.lex_state = 102},
  [256] = {.lex_state = 23},
  [257] = {.lex_state = 102},
  [258] = {.lex_state = 23},
  [259] = {.lex_state = 14},
  [260] = {.lex_state = 102},
  [261] = {.lex_state = 102},
  [262] = {.lex_state = 102},
  [263] = {.lex_state = 102},
  [264] = {.lex_state = 102},
  [265] = {.lex_state = 14},
  [266] = {.lex_state = 102},
  [267] = {.lex_state = 102},
  [268] = {.lex_state = 102},
  [269] = {.lex_state = 102},
  [270] = {.lex_state = 102},
  [271] = {.lex_state = 102},
  [272] = {.lex_state = 102},
  [273] = {.lex_state = 102},
  [274] = {.lex_state = 102},
  [275] = {.lex_state = 102},
  [276] = {.lex_state = 9},
  [277] = {.lex_state = 102},
  [278] = {.lex_state = 102},
  [279] = {.lex_state = 102},
  [280] = {.lex_state = 102},
  [281] = {.lex_state = 102},
  [282] = {.lex_state = 102},
  [283] = {.lex_state = 102},
  [284] = {.lex_state = 102},
  [285] = {.lex_state = 102},
  [286] = {.lex_state = 14},
  [287] = {.lex_state = 53},
  [288] = {.lex_state = 102},
  [289] = {.lex_state = 102},
  [290] = {.lex_state = 102},
  [291] = {.lex_state = 102},
  [292] = {.lex_state = 102},
  [293] = {.lex_state = 102},
  [294] = {.lex_state = 102},
  [295] = {.lex_state = 102},
  [296] = {.lex_state = 102},
  [297] = {.lex_state = 102},
  [298] = {.lex_state = 102},
  [299] = {.lex_state = 102},
  [300] = {.lex_state = 102},
  [301] = {.lex_state = 14},
  [302] = {.lex_state = 102},
  [303] = {.lex_state = 102},
  [304] = {.lex_state = 102},
  [305] = {.lex_state = 102},
  [306] = {.lex_state = 102},
  [307] = {.lex_state = 102},
  [308] = {.lex_state = 102},
  [309] = {.lex_state = 14},
  [310] = {.lex_state = 102},
  [311] = {.lex_state = 102},
  [312] = {.lex_state = 14},
  [313] = {.lex_state = 102},
  [314] = {.lex_state = 14},
  [315] = {.lex_state = 14},
  [316] = {.lex_state = 102},
  [317] = {.lex_state = 102},
  [318] = {.lex_state = 102},
  [319] = {.lex_state = 102},
  [320] = {.lex_state = 102},
  [321] = {.lex_state = 102},
  [322] = {.lex_state = 102},
  [323] = {.lex_state = 102},
  [324] = {.lex_state = 52},
  [325] = {.lex_state = 102},
  [326] = {.lex_state = 52},
  [327] = {.lex_state = 102},
  [328] = {.lex_state = 102},
  [329] = {.lex_state = 102},
  [330] = {.lex_state = 102},
  [331] = {.lex_state = 102},
  [332] = {.lex_state = 46},
  [333] = {.lex_state = 102},
  [334] = {.lex_state = 52},
  [335] = {.lex_state = 14},
  [336] = {.lex_state = 102},
  [337] = {.lex_state = 102},
  [338] = {.lex_state = 51},
  [339] = {.lex_state = 14},
  [340] = {.lex_state = 102},
  [341] = {.lex_state = 102},
  [342] = {.lex_state = 102},
  [343] = {.lex_state = 9},
  [344] = {.lex_state = 46},
  [345] = {.lex_state = 102},
  [346] = {.lex_state = 52},
  [347] = {.lex_state = 102},
  [348] = {.lex_state = 102},
  [349] = {.lex_state = 52},
  [350] = {.lex_state = 102},
  [351] = {.lex_state = 52},
  [352] = {.lex_state = 52},
  [353] = {.lex_state = 102},
  [354] = {.lex_state = 102},
  [355] = {.lex_state = 102},
  [356] = {.lex_state = 102},
  [357] = {.lex_state = 102},
  [358] = {.lex_state = 102},
  [359] = {.lex_state = 102},
  [360] = {.lex_state = 46},
  [361] = {.lex_state = 14},
  [362] = {.lex_state = 9},
  [363] = {.lex_state = 14},
  [364] = {.lex_state = 14},
  [365] = {.lex_state = 102},
  [366] = {.lex_state = 14},
  [367] = {.lex_state = 53},
  [368] = {.lex_state = 102},
  [369] = {.lex_state = 102},
  [370] = {.lex_state = 102},
  [371] = {.lex_state = 102},
  [372] = {.lex_state = 102},
  [373] = {.lex_state = 102},
  [374] = {.lex_state = 102},
  [375] = {.lex_state = 102},
  [376] = {.lex_state = 102},
  [377] = {.lex_state = 102},
  [378] = {.lex_state = 102},
  [379] = {.lex_state = 102},
  [380] = {.lex_state = 102},
  [381] = {.lex_state = 102},
  [382] = {.lex_state = 52},
  [383] = {.lex_state = 14},
  [384] = {.lex_state = 102},
  [385] = {.lex_state = 102},
  [386] = {.lex_state = 14},
  [387] = {.lex_state = 102},
  [388] = {.lex_state = 102},
  [389] = {.lex_state = 102},
  [390] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SLASH_STAR_BANG] = ACTIONS(1),
    [anon_sym_re2c] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_rules] = ACTIONS(1),
    [anon_sym_use] = ACTIONS(1),
    [anon_sym_max] = ACTIONS(1),
    [anon_sym_maxnmatch] = ACTIONS(1),
    [anon_sym_getstate] = ACTIONS(1),
    [anon_sym_stags] = ACTIONS(1),
    [anon_sym_mtags] = ACTIONS(1),
    [anon_sym_header] = ACTIONS(1),
    [anon_sym_on] = ACTIONS(1),
    [anon_sym_off] = ACTIONS(1),
    [sym_ignore_block] = ACTIONS(1),
    [anon_sym_format] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_separator] = ACTIONS(1),
    [anon_sym_re2c2] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_flags] = ACTIONS(1),
    [anon_sym_define] = ACTIONS(1),
    [anon_sym_cond] = ACTIONS(1),
    [anon_sym_label] = ACTIONS(1),
    [anon_sym_variable] = ACTIONS(1),
    [anon_sym_yych] = ACTIONS(1),
    [anon_sym_state] = ACTIONS(1),
    [anon_sym_yybm] = ACTIONS(1),
    [anon_sym_cgoto] = ACTIONS(1),
    [anon_sym_api] = ACTIONS(1),
    [anon_sym_tags] = ACTIONS(1),
    [anon_sym_indent] = ACTIONS(1),
    [anon_sym_yyfill] = ACTIONS(1),
    [anon_sym_eof] = ACTIONS(1),
    [anon_sym_sentinel] = ACTIONS(1),
    [anon_sym_condprefix] = ACTIONS(1),
    [anon_sym_condenumprefix] = ACTIONS(1),
    [anon_sym_startlabel] = ACTIONS(1),
    [anon_sym_posix_DASHcaptures] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_ignore] = ACTIONS(1),
    [anon_sym_substitute] = ACTIONS(1),
    [anon_sym_fail] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_custom] = ACTIONS(1),
    [anon_sym_match_DASHempty] = ACTIONS(1),
    [anon_sym_match_DASHnone] = ACTIONS(1),
    [anon_sym_error] = ACTIONS(1),
    [anon_sym_functions] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_COLON_EQ_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym__code_in_braces_token1] = ACTIONS(1),
    [aux_sym__code_in_braces_token2] = ACTIONS(1),
    [aux_sym__code_in_braces_token5] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_STAR2] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_LBRACE2] = ACTIONS(1),
    [anon_sym_COMMA2] = ACTIONS(1),
    [anon_sym_RBRACE2] = ACTIONS(1),
    [aux_sym__mininum_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [aux_sym_range_token1] = ACTIONS(1),
    [aux_sym_dstring_token1] = ACTIONS(1),
    [sym_quote] = ACTIONS(1),
    [sym_ctrl_code] = ACTIONS(1),
    [aux_sym__esc_hex_token1] = ACTIONS(1),
    [aux_sym__esc_hex_token2] = ACTIONS(1),
    [aux_sym__esc_hex_token3] = ACTIONS(1),
    [aux_sym__esc_hex_token4] = ACTIONS(1),
    [aux_sym__esc_hex_token5] = ACTIONS(1),
    [aux_sym__esc_hex_token6] = ACTIONS(1),
    [aux_sym__esc_hex_token7] = ACTIONS(1),
    [aux_sym__esc_hex_token8] = ACTIONS(1),
    [aux_sym__esc_oct_token1] = ACTIONS(1),
    [aux_sym__esc_oct_token2] = ACTIONS(1),
    [sym_hex_digit] = ACTIONS(1),
    [sym_oct_digit] = ACTIONS(1),
    [anon_sym_AT2] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_0] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [aux_sym_comment_token1] = ACTIONS(3),
    [aux_sym_comment_token2] = ACTIONS(5),
    [anon_sym_line] = ACTIONS(1),
  },
  [1] = {
    [sym_re2c] = STATE(375),
    [sym__block] = STATE(233),
    [sym_comment] = STATE(1),
    [aux_sym_re2c_repeat1] = STATE(199),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_host_lang] = ACTIONS(5),
    [anon_sym_SLASH_STAR_BANG] = ACTIONS(9),
    [aux_sym_comment_token1] = ACTIONS(11),
    [aux_sym_comment_token2] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 37,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(13), 1,
      sym_identifier,
    ACTIONS(15), 1,
      anon_sym_STAR_SLASH,
    ACTIONS(17), 1,
      anon_sym_COLON,
    ACTIONS(19), 1,
      anon_sym_re2c2,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(23), 1,
      anon_sym_LT,
    ACTIONS(25), 1,
      anon_sym_STAR,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_BANGuse,
    ACTIONS(31), 1,
      anon_sym_BANGinclude,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(43), 1,
      anon_sym_POUND,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(2), 1,
      sym_comment,
    STATE(9), 1,
      aux_sym_body_repeat1,
    STATE(16), 1,
      sym_condition,
    STATE(58), 1,
      aux_sym_alternation_repeat1,
    STATE(71), 1,
      sym__cat_expr,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(193), 1,
      sym_alternation,
    STATE(204), 1,
      sym__alt_expr,
    STATE(219), 1,
      sym_lookahead,
    STATE(236), 1,
      sym_regex,
    STATE(253), 1,
      sym_pattern,
    STATE(258), 1,
      sym__pattern_expr,
    STATE(331), 1,
      sym__branch,
    STATE(350), 1,
      sym_body,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
    STATE(146), 7,
      sym_named_definition,
      sym_configuration,
      sym_ordinary_rule,
      sym_conditional_rule,
      sym_use,
      sym_include,
      sym_linedir,
  [125] = 37,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(13), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym_re2c2,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(23), 1,
      anon_sym_LT,
    ACTIONS(25), 1,
      anon_sym_STAR,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_BANGuse,
    ACTIONS(31), 1,
      anon_sym_BANGinclude,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(43), 1,
      anon_sym_POUND,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(47), 1,
      anon_sym_STAR_SLASH,
    ACTIONS(49), 1,
      anon_sym_COLON,
    STATE(3), 1,
      sym_comment,
    STATE(9), 1,
      aux_sym_body_repeat1,
    STATE(16), 1,
      sym_condition,
    STATE(58), 1,
      aux_sym_alternation_repeat1,
    STATE(71), 1,
      sym__cat_expr,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(193), 1,
      sym_alternation,
    STATE(204), 1,
      sym__alt_expr,
    STATE(219), 1,
      sym_lookahead,
    STATE(236), 1,
      sym_regex,
    STATE(253), 1,
      sym_pattern,
    STATE(258), 1,
      sym__pattern_expr,
    STATE(331), 1,
      sym__branch,
    STATE(348), 1,
      sym_body,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
    STATE(146), 7,
      sym_named_definition,
      sym_configuration,
      sym_ordinary_rule,
      sym_conditional_rule,
      sym_use,
      sym_include,
      sym_linedir,
  [250] = 37,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(13), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym_re2c2,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(23), 1,
      anon_sym_LT,
    ACTIONS(25), 1,
      anon_sym_STAR,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_BANGuse,
    ACTIONS(31), 1,
      anon_sym_BANGinclude,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(43), 1,
      anon_sym_POUND,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(51), 1,
      anon_sym_STAR_SLASH,
    ACTIONS(53), 1,
      anon_sym_COLON,
    STATE(4), 1,
      sym_comment,
    STATE(9), 1,
      aux_sym_body_repeat1,
    STATE(16), 1,
      sym_condition,
    STATE(58), 1,
      aux_sym_alternation_repeat1,
    STATE(71), 1,
      sym__cat_expr,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(193), 1,
      sym_alternation,
    STATE(204), 1,
      sym__alt_expr,
    STATE(219), 1,
      sym_lookahead,
    STATE(236), 1,
      sym_regex,
    STATE(253), 1,
      sym_pattern,
    STATE(258), 1,
      sym__pattern_expr,
    STATE(331), 1,
      sym__branch,
    STATE(341), 1,
      sym_body,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
    STATE(146), 7,
      sym_named_definition,
      sym_configuration,
      sym_ordinary_rule,
      sym_conditional_rule,
      sym_use,
      sym_include,
      sym_linedir,
  [375] = 36,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(13), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym_re2c2,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(23), 1,
      anon_sym_LT,
    ACTIONS(25), 1,
      anon_sym_STAR,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_BANGuse,
    ACTIONS(31), 1,
      anon_sym_BANGinclude,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(43), 1,
      anon_sym_POUND,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(55), 1,
      anon_sym_STAR_SLASH,
    STATE(5), 1,
      sym_comment,
    STATE(9), 1,
      aux_sym_body_repeat1,
    STATE(16), 1,
      sym_condition,
    STATE(58), 1,
      aux_sym_alternation_repeat1,
    STATE(71), 1,
      sym__cat_expr,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(193), 1,
      sym_alternation,
    STATE(204), 1,
      sym__alt_expr,
    STATE(219), 1,
      sym_lookahead,
    STATE(236), 1,
      sym_regex,
    STATE(253), 1,
      sym_pattern,
    STATE(258), 1,
      sym__pattern_expr,
    STATE(283), 1,
      sym_body,
    STATE(331), 1,
      sym__branch,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
    STATE(146), 7,
      sym_named_definition,
      sym_configuration,
      sym_ordinary_rule,
      sym_conditional_rule,
      sym_use,
      sym_include,
      sym_linedir,
  [497] = 36,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(13), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym_re2c2,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(23), 1,
      anon_sym_LT,
    ACTIONS(25), 1,
      anon_sym_STAR,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_BANGuse,
    ACTIONS(31), 1,
      anon_sym_BANGinclude,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(43), 1,
      anon_sym_POUND,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(57), 1,
      anon_sym_STAR_SLASH,
    STATE(6), 1,
      sym_comment,
    STATE(9), 1,
      aux_sym_body_repeat1,
    STATE(16), 1,
      sym_condition,
    STATE(58), 1,
      aux_sym_alternation_repeat1,
    STATE(71), 1,
      sym__cat_expr,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(193), 1,
      sym_alternation,
    STATE(204), 1,
      sym__alt_expr,
    STATE(219), 1,
      sym_lookahead,
    STATE(236), 1,
      sym_regex,
    STATE(253), 1,
      sym_pattern,
    STATE(258), 1,
      sym__pattern_expr,
    STATE(307), 1,
      sym_body,
    STATE(331), 1,
      sym__branch,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
    STATE(146), 7,
      sym_named_definition,
      sym_configuration,
      sym_ordinary_rule,
      sym_conditional_rule,
      sym_use,
      sym_include,
      sym_linedir,
  [619] = 36,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(13), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym_re2c2,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(23), 1,
      anon_sym_LT,
    ACTIONS(25), 1,
      anon_sym_STAR,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_BANGuse,
    ACTIONS(31), 1,
      anon_sym_BANGinclude,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(43), 1,
      anon_sym_POUND,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(59), 1,
      anon_sym_STAR_SLASH,
    STATE(7), 1,
      sym_comment,
    STATE(9), 1,
      aux_sym_body_repeat1,
    STATE(16), 1,
      sym_condition,
    STATE(58), 1,
      aux_sym_alternation_repeat1,
    STATE(71), 1,
      sym__cat_expr,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(193), 1,
      sym_alternation,
    STATE(204), 1,
      sym__alt_expr,
    STATE(219), 1,
      sym_lookahead,
    STATE(236), 1,
      sym_regex,
    STATE(253), 1,
      sym_pattern,
    STATE(258), 1,
      sym__pattern_expr,
    STATE(282), 1,
      sym_body,
    STATE(331), 1,
      sym__branch,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
    STATE(146), 7,
      sym_named_definition,
      sym_configuration,
      sym_ordinary_rule,
      sym_conditional_rule,
      sym_use,
      sym_include,
      sym_linedir,
  [741] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(61), 1,
      sym_identifier,
    ACTIONS(64), 1,
      anon_sym_STAR_SLASH,
    ACTIONS(66), 1,
      anon_sym_re2c2,
    ACTIONS(69), 1,
      anon_sym_DOT,
    ACTIONS(72), 1,
      anon_sym_LT,
    ACTIONS(75), 1,
      anon_sym_STAR,
    ACTIONS(78), 1,
      anon_sym_DOLLAR,
    ACTIONS(81), 1,
      anon_sym_BANGuse,
    ACTIONS(84), 1,
      anon_sym_BANGinclude,
    ACTIONS(87), 1,
      anon_sym_LPAREN,
    ACTIONS(90), 1,
      anon_sym_LBRACK,
    ACTIONS(93), 1,
      aux_sym_dstring_token1,
    ACTIONS(96), 1,
      aux_sym_sstring_token1,
    ACTIONS(99), 1,
      anon_sym_AT2,
    ACTIONS(102), 1,
      anon_sym_POUND,
    STATE(16), 1,
      sym_condition,
    STATE(58), 1,
      aux_sym_alternation_repeat1,
    STATE(71), 1,
      sym__cat_expr,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(193), 1,
      sym_alternation,
    STATE(204), 1,
      sym__alt_expr,
    STATE(219), 1,
      sym_lookahead,
    STATE(236), 1,
      sym_regex,
    STATE(253), 1,
      sym_pattern,
    STATE(258), 1,
      sym__pattern_expr,
    STATE(331), 1,
      sym__branch,
    STATE(8), 2,
      sym_comment,
      aux_sym_body_repeat1,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
    STATE(146), 7,
      sym_named_definition,
      sym_configuration,
      sym_ordinary_rule,
      sym_conditional_rule,
      sym_use,
      sym_include,
      sym_linedir,
  [858] = 35,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(13), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym_re2c2,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(23), 1,
      anon_sym_LT,
    ACTIONS(25), 1,
      anon_sym_STAR,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_BANGuse,
    ACTIONS(31), 1,
      anon_sym_BANGinclude,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(43), 1,
      anon_sym_POUND,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(105), 1,
      anon_sym_STAR_SLASH,
    STATE(8), 1,
      aux_sym_body_repeat1,
    STATE(9), 1,
      sym_comment,
    STATE(16), 1,
      sym_condition,
    STATE(58), 1,
      aux_sym_alternation_repeat1,
    STATE(71), 1,
      sym__cat_expr,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(193), 1,
      sym_alternation,
    STATE(204), 1,
      sym__alt_expr,
    STATE(219), 1,
      sym_lookahead,
    STATE(236), 1,
      sym_regex,
    STATE(253), 1,
      sym_pattern,
    STATE(258), 1,
      sym__pattern_expr,
    STATE(331), 1,
      sym__branch,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
    STATE(146), 7,
      sym_named_definition,
      sym_configuration,
      sym_ordinary_rule,
      sym_conditional_rule,
      sym_use,
      sym_include,
      sym_linedir,
  [977] = 24,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(107), 1,
      anon_sym_header,
    ACTIONS(109), 1,
      anon_sym_flags,
    ACTIONS(111), 1,
      anon_sym_define,
    ACTIONS(113), 1,
      anon_sym_cond,
    ACTIONS(115), 1,
      anon_sym_label,
    ACTIONS(117), 1,
      anon_sym_variable,
    ACTIONS(119), 1,
      anon_sym_yych,
    ACTIONS(121), 1,
      anon_sym_state,
    ACTIONS(123), 1,
      anon_sym_yybm,
    ACTIONS(125), 1,
      anon_sym_cgoto,
    ACTIONS(127), 1,
      anon_sym_api,
    ACTIONS(129), 1,
      anon_sym_tags,
    ACTIONS(131), 1,
      anon_sym_indent,
    ACTIONS(133), 1,
      anon_sym_yyfill,
    ACTIONS(135), 1,
      anon_sym_eof,
    ACTIONS(137), 1,
      anon_sym_sentinel,
    ACTIONS(139), 1,
      anon_sym_condprefix,
    ACTIONS(141), 1,
      anon_sym_condenumprefix,
    ACTIONS(143), 1,
      anon_sym_startlabel,
    ACTIONS(145), 1,
      anon_sym_posix_DASHcaptures,
    STATE(10), 1,
      sym_comment,
    STATE(279), 20,
      sym_set_flags,
      sym_define,
      sym_set_cond,
      sym_set_label,
      sym_set_variable,
      sym_set_yych,
      sym_set_state,
      sym_set_yybm,
      sym_set_cgoto,
      sym_set_api,
      sym_set_tags,
      sym_set_indent,
      sym_set_yyfill,
      sym_set_eof,
      sym_set_sentinel,
      sym_set_condprefix,
      sym_set_condenumprefix,
      sym_set_startlabel,
      sym_set_posixcaptures,
      sym_set_header,
  [1069] = 16,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(151), 1,
      anon_sym_RBRACK,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    STATE(11), 1,
      sym_comment,
    STATE(118), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(149), 4,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
    ACTIONS(147), 14,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [1143] = 16,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(169), 1,
      anon_sym_RBRACK,
    STATE(12), 1,
      sym_comment,
    STATE(126), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(167), 4,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
    ACTIONS(165), 14,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [1217] = 16,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(169), 1,
      anon_sym_RBRACK,
    STATE(13), 1,
      sym_comment,
    STATE(126), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(167), 4,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
    ACTIONS(165), 13,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [1290] = 16,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(151), 1,
      anon_sym_RBRACK,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    STATE(14), 1,
      sym_comment,
    STATE(118), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(149), 4,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
    ACTIONS(147), 13,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [1363] = 16,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(151), 1,
      anon_sym_RBRACK,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    STATE(15), 1,
      sym_comment,
    STATE(118), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(149), 4,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
    ACTIONS(147), 12,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [1435] = 31,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(175), 1,
      anon_sym_STAR,
    ACTIONS(177), 1,
      anon_sym_LBRACE,
    ACTIONS(179), 1,
      anon_sym_LBRACK,
    ACTIONS(181), 1,
      anon_sym_POUND,
    STATE(16), 1,
      sym_comment,
    STATE(51), 1,
      sym__cat_expr,
    STATE(59), 1,
      aux_sym_alternation_repeat1,
    STATE(76), 1,
      sym__atom,
    STATE(133), 1,
      sym_shortcut,
    STATE(136), 1,
      sym_repetition,
    STATE(150), 1,
      sym_action,
    STATE(178), 1,
      sym_concat,
    STATE(193), 1,
      sym_alternation,
    STATE(194), 1,
      sym__alt_expr,
    STATE(197), 1,
      sym_pattern,
    STATE(205), 1,
      sym__pattern_expr,
    STATE(219), 1,
      sym_lookahead,
    STATE(236), 1,
      sym_regex,
    STATE(331), 1,
      sym__branch,
    ACTIONS(173), 2,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [1537] = 16,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(151), 1,
      anon_sym_RBRACK,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    STATE(17), 1,
      sym_comment,
    STATE(118), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(149), 4,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
    ACTIONS(147), 12,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [1609] = 16,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(169), 1,
      anon_sym_RBRACK,
    STATE(18), 1,
      sym_comment,
    STATE(126), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(167), 4,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
    ACTIONS(165), 12,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [1681] = 16,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(169), 1,
      anon_sym_RBRACK,
    STATE(19), 1,
      sym_comment,
    STATE(126), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(167), 4,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
    ACTIONS(165), 12,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [1753] = 16,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(169), 1,
      anon_sym_RBRACK,
    STATE(20), 1,
      sym_comment,
    STATE(126), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(167), 4,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
    ACTIONS(165), 11,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [1824] = 16,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(151), 1,
      anon_sym_RBRACK,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    STATE(21), 1,
      sym_comment,
    STATE(118), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(149), 4,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
    ACTIONS(147), 11,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [1895] = 16,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(151), 1,
      anon_sym_RBRACK,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    STATE(22), 1,
      sym_comment,
    STATE(118), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(149), 4,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
    ACTIONS(147), 11,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [1966] = 16,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(151), 1,
      anon_sym_RBRACK,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    STATE(23), 1,
      sym_comment,
    STATE(118), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(149), 4,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
    ACTIONS(147), 11,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [2037] = 16,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(169), 1,
      anon_sym_RBRACK,
    STATE(24), 1,
      sym_comment,
    STATE(126), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(167), 4,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
    ACTIONS(165), 11,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [2108] = 16,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(169), 1,
      anon_sym_RBRACK,
    STATE(25), 1,
      sym_comment,
    STATE(126), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(167), 4,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
    ACTIONS(165), 11,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [2179] = 16,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(169), 1,
      anon_sym_RBRACK,
    STATE(26), 1,
      sym_comment,
    STATE(126), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(167), 4,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
    ACTIONS(165), 10,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [2249] = 16,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(151), 1,
      anon_sym_RBRACK,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    STATE(27), 1,
      sym_comment,
    STATE(118), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(149), 4,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
    ACTIONS(147), 10,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [2319] = 24,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(183), 1,
      anon_sym_LBRACK,
    STATE(28), 1,
      sym_comment,
    STATE(63), 1,
      aux_sym_alternation_repeat1,
    STATE(68), 1,
      sym__cat_expr,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(193), 1,
      sym_alternation,
    STATE(219), 1,
      sym_lookahead,
    STATE(221), 1,
      sym__alt_expr,
    STATE(256), 1,
      sym__pattern_expr,
    STATE(328), 1,
      sym_regex,
    STATE(331), 1,
      sym__branch,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [2399] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    STATE(29), 1,
      sym_comment,
    STATE(67), 1,
      aux_sym_alternation_repeat1,
    STATE(76), 1,
      sym__atom,
    STATE(91), 1,
      sym__cat_expr,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(193), 1,
      sym_alternation,
    STATE(217), 1,
      sym__pattern_expr,
    STATE(239), 1,
      sym__alt_expr,
    STATE(331), 1,
      sym__branch,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [2473] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(187), 1,
      anon_sym_LBRACK,
    STATE(30), 1,
      sym_comment,
    STATE(66), 1,
      aux_sym_alternation_repeat1,
    STATE(76), 1,
      sym__atom,
    STATE(81), 1,
      sym__cat_expr,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(193), 1,
      sym_alternation,
    STATE(234), 1,
      sym__alt_expr,
    STATE(329), 1,
      sym__pattern_expr,
    STATE(331), 1,
      sym__branch,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [2547] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(189), 1,
      anon_sym_LBRACK,
    STATE(31), 1,
      sym_comment,
    STATE(61), 1,
      aux_sym_alternation_repeat1,
    STATE(76), 1,
      sym__atom,
    STATE(86), 1,
      sym__cat_expr,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(193), 1,
      sym_alternation,
    STATE(217), 1,
      sym__pattern_expr,
    STATE(238), 1,
      sym__alt_expr,
    STATE(331), 1,
      sym__branch,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [2621] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    STATE(32), 1,
      sym_comment,
    STATE(62), 1,
      aux_sym_alternation_repeat1,
    STATE(65), 1,
      sym__cat_expr,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(193), 1,
      sym_alternation,
    STATE(203), 1,
      sym__alt_expr,
    STATE(217), 1,
      sym__pattern_expr,
    STATE(331), 1,
      sym__branch,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [2695] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(193), 1,
      sym_identifier,
    ACTIONS(201), 1,
      anon_sym_error,
    ACTIONS(203), 1,
      anon_sym_functions,
    ACTIONS(205), 1,
      anon_sym_free_DASHform,
    ACTIONS(209), 1,
      anon_sym_DASH,
    STATE(33), 1,
      sym_comment,
    STATE(298), 1,
      sym__conf_value,
    ACTIONS(197), 2,
      anon_sym_default,
      anon_sym_custom,
    ACTIONS(199), 2,
      anon_sym_match_DASHempty,
      anon_sym_match_DASHnone,
    ACTIONS(207), 2,
      anon_sym_0,
      aux_sym_number_token2,
    ACTIONS(195), 3,
      anon_sym_ignore,
      anon_sym_substitute,
      anon_sym_fail,
    STATE(355), 8,
      sym_field_expression,
      sym_encoding_policy,
      sym_input_conf,
      sym_empty_class_conf,
      sym_api_style,
      sym_dstring,
      sym_sstring,
      sym_number,
  [2756] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(193), 1,
      sym_identifier,
    ACTIONS(201), 1,
      anon_sym_error,
    ACTIONS(203), 1,
      anon_sym_functions,
    ACTIONS(205), 1,
      anon_sym_free_DASHform,
    ACTIONS(209), 1,
      anon_sym_DASH,
    STATE(34), 1,
      sym_comment,
    STATE(293), 1,
      sym__conf_value,
    ACTIONS(197), 2,
      anon_sym_default,
      anon_sym_custom,
    ACTIONS(199), 2,
      anon_sym_match_DASHempty,
      anon_sym_match_DASHnone,
    ACTIONS(207), 2,
      anon_sym_0,
      aux_sym_number_token2,
    ACTIONS(195), 3,
      anon_sym_ignore,
      anon_sym_substitute,
      anon_sym_fail,
    STATE(355), 8,
      sym_field_expression,
      sym_encoding_policy,
      sym_input_conf,
      sym_empty_class_conf,
      sym_api_style,
      sym_dstring,
      sym_sstring,
      sym_number,
  [2817] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(193), 1,
      sym_identifier,
    ACTIONS(201), 1,
      anon_sym_error,
    ACTIONS(203), 1,
      anon_sym_functions,
    ACTIONS(205), 1,
      anon_sym_free_DASHform,
    ACTIONS(209), 1,
      anon_sym_DASH,
    STATE(35), 1,
      sym_comment,
    STATE(294), 1,
      sym__conf_value,
    ACTIONS(197), 2,
      anon_sym_default,
      anon_sym_custom,
    ACTIONS(199), 2,
      anon_sym_match_DASHempty,
      anon_sym_match_DASHnone,
    ACTIONS(207), 2,
      anon_sym_0,
      aux_sym_number_token2,
    ACTIONS(195), 3,
      anon_sym_ignore,
      anon_sym_substitute,
      anon_sym_fail,
    STATE(355), 8,
      sym_field_expression,
      sym_encoding_policy,
      sym_input_conf,
      sym_empty_class_conf,
      sym_api_style,
      sym_dstring,
      sym_sstring,
      sym_number,
  [2878] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(193), 1,
      sym_identifier,
    ACTIONS(201), 1,
      anon_sym_error,
    ACTIONS(203), 1,
      anon_sym_functions,
    ACTIONS(205), 1,
      anon_sym_free_DASHform,
    ACTIONS(209), 1,
      anon_sym_DASH,
    STATE(36), 1,
      sym_comment,
    STATE(295), 1,
      sym__conf_value,
    ACTIONS(197), 2,
      anon_sym_default,
      anon_sym_custom,
    ACTIONS(199), 2,
      anon_sym_match_DASHempty,
      anon_sym_match_DASHnone,
    ACTIONS(207), 2,
      anon_sym_0,
      aux_sym_number_token2,
    ACTIONS(195), 3,
      anon_sym_ignore,
      anon_sym_substitute,
      anon_sym_fail,
    STATE(355), 8,
      sym_field_expression,
      sym_encoding_policy,
      sym_input_conf,
      sym_empty_class_conf,
      sym_api_style,
      sym_dstring,
      sym_sstring,
      sym_number,
  [2939] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(193), 1,
      sym_identifier,
    ACTIONS(201), 1,
      anon_sym_error,
    ACTIONS(203), 1,
      anon_sym_functions,
    ACTIONS(205), 1,
      anon_sym_free_DASHform,
    ACTIONS(209), 1,
      anon_sym_DASH,
    STATE(37), 1,
      sym_comment,
    STATE(296), 1,
      sym__conf_value,
    ACTIONS(197), 2,
      anon_sym_default,
      anon_sym_custom,
    ACTIONS(199), 2,
      anon_sym_match_DASHempty,
      anon_sym_match_DASHnone,
    ACTIONS(207), 2,
      anon_sym_0,
      aux_sym_number_token2,
    ACTIONS(195), 3,
      anon_sym_ignore,
      anon_sym_substitute,
      anon_sym_fail,
    STATE(355), 8,
      sym_field_expression,
      sym_encoding_policy,
      sym_input_conf,
      sym_empty_class_conf,
      sym_api_style,
      sym_dstring,
      sym_sstring,
      sym_number,
  [3000] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(193), 1,
      sym_identifier,
    ACTIONS(201), 1,
      anon_sym_error,
    ACTIONS(203), 1,
      anon_sym_functions,
    ACTIONS(205), 1,
      anon_sym_free_DASHform,
    ACTIONS(209), 1,
      anon_sym_DASH,
    STATE(38), 1,
      sym_comment,
    STATE(297), 1,
      sym__conf_value,
    ACTIONS(197), 2,
      anon_sym_default,
      anon_sym_custom,
    ACTIONS(199), 2,
      anon_sym_match_DASHempty,
      anon_sym_match_DASHnone,
    ACTIONS(207), 2,
      anon_sym_0,
      aux_sym_number_token2,
    ACTIONS(195), 3,
      anon_sym_ignore,
      anon_sym_substitute,
      anon_sym_fail,
    STATE(355), 8,
      sym_field_expression,
      sym_encoding_policy,
      sym_input_conf,
      sym_empty_class_conf,
      sym_api_style,
      sym_dstring,
      sym_sstring,
      sym_number,
  [3061] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(193), 1,
      sym_identifier,
    ACTIONS(201), 1,
      anon_sym_error,
    ACTIONS(203), 1,
      anon_sym_functions,
    ACTIONS(205), 1,
      anon_sym_free_DASHform,
    ACTIONS(209), 1,
      anon_sym_DASH,
    STATE(39), 1,
      sym_comment,
    STATE(299), 1,
      sym__conf_value,
    ACTIONS(197), 2,
      anon_sym_default,
      anon_sym_custom,
    ACTIONS(199), 2,
      anon_sym_match_DASHempty,
      anon_sym_match_DASHnone,
    ACTIONS(207), 2,
      anon_sym_0,
      aux_sym_number_token2,
    ACTIONS(195), 3,
      anon_sym_ignore,
      anon_sym_substitute,
      anon_sym_fail,
    STATE(355), 8,
      sym_field_expression,
      sym_encoding_policy,
      sym_input_conf,
      sym_empty_class_conf,
      sym_api_style,
      sym_dstring,
      sym_sstring,
      sym_number,
  [3122] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(193), 1,
      sym_identifier,
    ACTIONS(201), 1,
      anon_sym_error,
    ACTIONS(203), 1,
      anon_sym_functions,
    ACTIONS(205), 1,
      anon_sym_free_DASHform,
    ACTIONS(209), 1,
      anon_sym_DASH,
    STATE(40), 1,
      sym_comment,
    STATE(300), 1,
      sym__conf_value,
    ACTIONS(197), 2,
      anon_sym_default,
      anon_sym_custom,
    ACTIONS(199), 2,
      anon_sym_match_DASHempty,
      anon_sym_match_DASHnone,
    ACTIONS(207), 2,
      anon_sym_0,
      aux_sym_number_token2,
    ACTIONS(195), 3,
      anon_sym_ignore,
      anon_sym_substitute,
      anon_sym_fail,
    STATE(355), 8,
      sym_field_expression,
      sym_encoding_policy,
      sym_input_conf,
      sym_empty_class_conf,
      sym_api_style,
      sym_dstring,
      sym_sstring,
      sym_number,
  [3183] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(193), 1,
      sym_identifier,
    ACTIONS(201), 1,
      anon_sym_error,
    ACTIONS(203), 1,
      anon_sym_functions,
    ACTIONS(205), 1,
      anon_sym_free_DASHform,
    ACTIONS(209), 1,
      anon_sym_DASH,
    STATE(41), 1,
      sym_comment,
    STATE(347), 1,
      sym__conf_value,
    ACTIONS(197), 2,
      anon_sym_default,
      anon_sym_custom,
    ACTIONS(199), 2,
      anon_sym_match_DASHempty,
      anon_sym_match_DASHnone,
    ACTIONS(207), 2,
      anon_sym_0,
      aux_sym_number_token2,
    ACTIONS(195), 3,
      anon_sym_ignore,
      anon_sym_substitute,
      anon_sym_fail,
    STATE(355), 8,
      sym_field_expression,
      sym_encoding_policy,
      sym_input_conf,
      sym_empty_class_conf,
      sym_api_style,
      sym_dstring,
      sym_sstring,
      sym_number,
  [3244] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(193), 1,
      sym_identifier,
    ACTIONS(201), 1,
      anon_sym_error,
    ACTIONS(203), 1,
      anon_sym_functions,
    ACTIONS(205), 1,
      anon_sym_free_DASHform,
    ACTIONS(209), 1,
      anon_sym_DASH,
    STATE(42), 1,
      sym_comment,
    STATE(384), 1,
      sym__conf_value,
    ACTIONS(197), 2,
      anon_sym_default,
      anon_sym_custom,
    ACTIONS(199), 2,
      anon_sym_match_DASHempty,
      anon_sym_match_DASHnone,
    ACTIONS(207), 2,
      anon_sym_0,
      aux_sym_number_token2,
    ACTIONS(195), 3,
      anon_sym_ignore,
      anon_sym_substitute,
      anon_sym_fail,
    STATE(355), 8,
      sym_field_expression,
      sym_encoding_policy,
      sym_input_conf,
      sym_empty_class_conf,
      sym_api_style,
      sym_dstring,
      sym_sstring,
      sym_number,
  [3305] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(193), 1,
      sym_identifier,
    ACTIONS(201), 1,
      anon_sym_error,
    ACTIONS(203), 1,
      anon_sym_functions,
    ACTIONS(205), 1,
      anon_sym_free_DASHform,
    ACTIONS(209), 1,
      anon_sym_DASH,
    STATE(43), 1,
      sym_comment,
    STATE(268), 1,
      sym__conf_value,
    ACTIONS(197), 2,
      anon_sym_default,
      anon_sym_custom,
    ACTIONS(199), 2,
      anon_sym_match_DASHempty,
      anon_sym_match_DASHnone,
    ACTIONS(207), 2,
      anon_sym_0,
      aux_sym_number_token2,
    ACTIONS(195), 3,
      anon_sym_ignore,
      anon_sym_substitute,
      anon_sym_fail,
    STATE(355), 8,
      sym_field_expression,
      sym_encoding_policy,
      sym_input_conf,
      sym_empty_class_conf,
      sym_api_style,
      sym_dstring,
      sym_sstring,
      sym_number,
  [3366] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(193), 1,
      sym_identifier,
    ACTIONS(201), 1,
      anon_sym_error,
    ACTIONS(203), 1,
      anon_sym_functions,
    ACTIONS(205), 1,
      anon_sym_free_DASHform,
    ACTIONS(209), 1,
      anon_sym_DASH,
    STATE(44), 1,
      sym_comment,
    STATE(269), 1,
      sym__conf_value,
    ACTIONS(197), 2,
      anon_sym_default,
      anon_sym_custom,
    ACTIONS(199), 2,
      anon_sym_match_DASHempty,
      anon_sym_match_DASHnone,
    ACTIONS(207), 2,
      anon_sym_0,
      aux_sym_number_token2,
    ACTIONS(195), 3,
      anon_sym_ignore,
      anon_sym_substitute,
      anon_sym_fail,
    STATE(355), 8,
      sym_field_expression,
      sym_encoding_policy,
      sym_input_conf,
      sym_empty_class_conf,
      sym_api_style,
      sym_dstring,
      sym_sstring,
      sym_number,
  [3427] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(193), 1,
      sym_identifier,
    ACTIONS(201), 1,
      anon_sym_error,
    ACTIONS(203), 1,
      anon_sym_functions,
    ACTIONS(205), 1,
      anon_sym_free_DASHform,
    ACTIONS(209), 1,
      anon_sym_DASH,
    STATE(45), 1,
      sym_comment,
    STATE(270), 1,
      sym__conf_value,
    ACTIONS(197), 2,
      anon_sym_default,
      anon_sym_custom,
    ACTIONS(199), 2,
      anon_sym_match_DASHempty,
      anon_sym_match_DASHnone,
    ACTIONS(207), 2,
      anon_sym_0,
      aux_sym_number_token2,
    ACTIONS(195), 3,
      anon_sym_ignore,
      anon_sym_substitute,
      anon_sym_fail,
    STATE(355), 8,
      sym_field_expression,
      sym_encoding_policy,
      sym_input_conf,
      sym_empty_class_conf,
      sym_api_style,
      sym_dstring,
      sym_sstring,
      sym_number,
  [3488] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(193), 1,
      sym_identifier,
    ACTIONS(201), 1,
      anon_sym_error,
    ACTIONS(203), 1,
      anon_sym_functions,
    ACTIONS(205), 1,
      anon_sym_free_DASHform,
    ACTIONS(209), 1,
      anon_sym_DASH,
    STATE(46), 1,
      sym_comment,
    STATE(271), 1,
      sym__conf_value,
    ACTIONS(197), 2,
      anon_sym_default,
      anon_sym_custom,
    ACTIONS(199), 2,
      anon_sym_match_DASHempty,
      anon_sym_match_DASHnone,
    ACTIONS(207), 2,
      anon_sym_0,
      aux_sym_number_token2,
    ACTIONS(195), 3,
      anon_sym_ignore,
      anon_sym_substitute,
      anon_sym_fail,
    STATE(355), 8,
      sym_field_expression,
      sym_encoding_policy,
      sym_input_conf,
      sym_empty_class_conf,
      sym_api_style,
      sym_dstring,
      sym_sstring,
      sym_number,
  [3549] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(193), 1,
      sym_identifier,
    ACTIONS(201), 1,
      anon_sym_error,
    ACTIONS(203), 1,
      anon_sym_functions,
    ACTIONS(205), 1,
      anon_sym_free_DASHform,
    ACTIONS(209), 1,
      anon_sym_DASH,
    STATE(47), 1,
      sym_comment,
    STATE(272), 1,
      sym__conf_value,
    ACTIONS(197), 2,
      anon_sym_default,
      anon_sym_custom,
    ACTIONS(199), 2,
      anon_sym_match_DASHempty,
      anon_sym_match_DASHnone,
    ACTIONS(207), 2,
      anon_sym_0,
      aux_sym_number_token2,
    ACTIONS(195), 3,
      anon_sym_ignore,
      anon_sym_substitute,
      anon_sym_fail,
    STATE(355), 8,
      sym_field_expression,
      sym_encoding_policy,
      sym_input_conf,
      sym_empty_class_conf,
      sym_api_style,
      sym_dstring,
      sym_sstring,
      sym_number,
  [3610] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(193), 1,
      sym_identifier,
    ACTIONS(201), 1,
      anon_sym_error,
    ACTIONS(203), 1,
      anon_sym_functions,
    ACTIONS(205), 1,
      anon_sym_free_DASHform,
    ACTIONS(209), 1,
      anon_sym_DASH,
    STATE(48), 1,
      sym_comment,
    STATE(273), 1,
      sym__conf_value,
    ACTIONS(197), 2,
      anon_sym_default,
      anon_sym_custom,
    ACTIONS(199), 2,
      anon_sym_match_DASHempty,
      anon_sym_match_DASHnone,
    ACTIONS(207), 2,
      anon_sym_0,
      aux_sym_number_token2,
    ACTIONS(195), 3,
      anon_sym_ignore,
      anon_sym_substitute,
      anon_sym_fail,
    STATE(355), 8,
      sym_field_expression,
      sym_encoding_policy,
      sym_input_conf,
      sym_empty_class_conf,
      sym_api_style,
      sym_dstring,
      sym_sstring,
      sym_number,
  [3671] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(193), 1,
      sym_identifier,
    ACTIONS(201), 1,
      anon_sym_error,
    ACTIONS(203), 1,
      anon_sym_functions,
    ACTIONS(205), 1,
      anon_sym_free_DASHform,
    ACTIONS(209), 1,
      anon_sym_DASH,
    STATE(49), 1,
      sym_comment,
    STATE(288), 1,
      sym__conf_value,
    ACTIONS(197), 2,
      anon_sym_default,
      anon_sym_custom,
    ACTIONS(199), 2,
      anon_sym_match_DASHempty,
      anon_sym_match_DASHnone,
    ACTIONS(207), 2,
      anon_sym_0,
      aux_sym_number_token2,
    ACTIONS(195), 3,
      anon_sym_ignore,
      anon_sym_substitute,
      anon_sym_fail,
    STATE(355), 8,
      sym_field_expression,
      sym_encoding_policy,
      sym_input_conf,
      sym_empty_class_conf,
      sym_api_style,
      sym_dstring,
      sym_sstring,
      sym_number,
  [3732] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(193), 1,
      sym_identifier,
    ACTIONS(201), 1,
      anon_sym_error,
    ACTIONS(203), 1,
      anon_sym_functions,
    ACTIONS(205), 1,
      anon_sym_free_DASHform,
    ACTIONS(209), 1,
      anon_sym_DASH,
    STATE(50), 1,
      sym_comment,
    STATE(289), 1,
      sym__conf_value,
    ACTIONS(197), 2,
      anon_sym_default,
      anon_sym_custom,
    ACTIONS(199), 2,
      anon_sym_match_DASHempty,
      anon_sym_match_DASHnone,
    ACTIONS(207), 2,
      anon_sym_0,
      aux_sym_number_token2,
    ACTIONS(195), 3,
      anon_sym_ignore,
      anon_sym_substitute,
      anon_sym_fail,
    STATE(355), 8,
      sym_field_expression,
      sym_encoding_policy,
      sym_input_conf,
      sym_empty_class_conf,
      sym_api_style,
      sym_dstring,
      sym_sstring,
      sym_number,
  [3793] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(179), 1,
      anon_sym_LBRACK,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(213), 1,
      anon_sym_SLASH,
    STATE(51), 1,
      sym_comment,
    STATE(52), 1,
      aux_sym_concat_repeat1,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    ACTIONS(211), 5,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [3858] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(179), 1,
      anon_sym_LBRACK,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(217), 1,
      anon_sym_SLASH,
    STATE(52), 1,
      sym_comment,
    STATE(53), 1,
      aux_sym_concat_repeat1,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    ACTIONS(215), 5,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [3923] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(219), 1,
      sym_identifier,
    ACTIONS(222), 1,
      anon_sym_DOT,
    ACTIONS(227), 1,
      anon_sym_SLASH,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(232), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      aux_sym_dstring_token1,
    ACTIONS(238), 1,
      aux_sym_sstring_token1,
    ACTIONS(241), 1,
      anon_sym_AT2,
    ACTIONS(244), 1,
      anon_sym_POUND,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    STATE(53), 2,
      sym_comment,
      aux_sym_concat_repeat1,
    ACTIONS(225), 5,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [3986] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(193), 1,
      sym_identifier,
    ACTIONS(201), 1,
      anon_sym_error,
    ACTIONS(203), 1,
      anon_sym_functions,
    ACTIONS(205), 1,
      anon_sym_free_DASHform,
    ACTIONS(209), 1,
      anon_sym_DASH,
    STATE(54), 1,
      sym_comment,
    STATE(292), 1,
      sym__conf_value,
    ACTIONS(197), 2,
      anon_sym_default,
      anon_sym_custom,
    ACTIONS(199), 2,
      anon_sym_match_DASHempty,
      anon_sym_match_DASHnone,
    ACTIONS(207), 2,
      anon_sym_0,
      aux_sym_number_token2,
    ACTIONS(195), 3,
      anon_sym_ignore,
      anon_sym_substitute,
      anon_sym_fail,
    STATE(355), 8,
      sym_field_expression,
      sym_encoding_policy,
      sym_input_conf,
      sym_empty_class_conf,
      sym_api_style,
      sym_dstring,
      sym_sstring,
      sym_number,
  [4047] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(193), 1,
      sym_identifier,
    ACTIONS(201), 1,
      anon_sym_error,
    ACTIONS(203), 1,
      anon_sym_functions,
    ACTIONS(205), 1,
      anon_sym_free_DASHform,
    ACTIONS(209), 1,
      anon_sym_DASH,
    STATE(55), 1,
      sym_comment,
    STATE(290), 1,
      sym__conf_value,
    ACTIONS(197), 2,
      anon_sym_default,
      anon_sym_custom,
    ACTIONS(199), 2,
      anon_sym_match_DASHempty,
      anon_sym_match_DASHnone,
    ACTIONS(207), 2,
      anon_sym_0,
      aux_sym_number_token2,
    ACTIONS(195), 3,
      anon_sym_ignore,
      anon_sym_substitute,
      anon_sym_fail,
    STATE(355), 8,
      sym_field_expression,
      sym_encoding_policy,
      sym_input_conf,
      sym_empty_class_conf,
      sym_api_style,
      sym_dstring,
      sym_sstring,
      sym_number,
  [4108] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(193), 1,
      sym_identifier,
    ACTIONS(201), 1,
      anon_sym_error,
    ACTIONS(203), 1,
      anon_sym_functions,
    ACTIONS(205), 1,
      anon_sym_free_DASHform,
    ACTIONS(209), 1,
      anon_sym_DASH,
    STATE(56), 1,
      sym_comment,
    STATE(291), 1,
      sym__conf_value,
    ACTIONS(197), 2,
      anon_sym_default,
      anon_sym_custom,
    ACTIONS(199), 2,
      anon_sym_match_DASHempty,
      anon_sym_match_DASHnone,
    ACTIONS(207), 2,
      anon_sym_0,
      aux_sym_number_token2,
    ACTIONS(195), 3,
      anon_sym_ignore,
      anon_sym_substitute,
      anon_sym_fail,
    STATE(355), 8,
      sym_field_expression,
      sym_encoding_policy,
      sym_input_conf,
      sym_empty_class_conf,
      sym_api_style,
      sym_dstring,
      sym_sstring,
      sym_number,
  [4169] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    STATE(57), 1,
      sym_comment,
    STATE(64), 1,
      aux_sym_concat_repeat1,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    ACTIONS(215), 5,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [4231] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    STATE(58), 1,
      sym_comment,
    STATE(60), 1,
      aux_sym_alternation_repeat1,
    STATE(71), 1,
      sym__cat_expr,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(190), 1,
      sym__branch,
    STATE(206), 1,
      sym__alt_expr,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [4299] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(179), 1,
      anon_sym_LBRACK,
    ACTIONS(181), 1,
      anon_sym_POUND,
    STATE(51), 1,
      sym__cat_expr,
    STATE(59), 1,
      sym_comment,
    STATE(60), 1,
      aux_sym_alternation_repeat1,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(190), 1,
      sym__branch,
    STATE(192), 1,
      sym__alt_expr,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [4367] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(247), 1,
      sym_identifier,
    ACTIONS(250), 1,
      anon_sym_DOT,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(256), 1,
      anon_sym_LBRACK,
    ACTIONS(259), 1,
      aux_sym_dstring_token1,
    ACTIONS(262), 1,
      aux_sym_sstring_token1,
    ACTIONS(265), 1,
      anon_sym_AT2,
    ACTIONS(268), 1,
      anon_sym_POUND,
    STATE(76), 1,
      sym__atom,
    STATE(97), 1,
      sym__cat_expr,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(251), 1,
      sym__alt_expr,
    STATE(331), 1,
      sym__branch,
    STATE(60), 2,
      sym_comment,
      aux_sym_alternation_repeat1,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [4433] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(189), 1,
      anon_sym_LBRACK,
    STATE(60), 1,
      aux_sym_alternation_repeat1,
    STATE(61), 1,
      sym_comment,
    STATE(76), 1,
      sym__atom,
    STATE(86), 1,
      sym__cat_expr,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(190), 1,
      sym__branch,
    STATE(235), 1,
      sym__alt_expr,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [4501] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    STATE(60), 1,
      aux_sym_alternation_repeat1,
    STATE(62), 1,
      sym_comment,
    STATE(65), 1,
      sym__cat_expr,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(190), 1,
      sym__branch,
    STATE(202), 1,
      sym__alt_expr,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [4569] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(183), 1,
      anon_sym_LBRACK,
    STATE(60), 1,
      aux_sym_alternation_repeat1,
    STATE(63), 1,
      sym_comment,
    STATE(68), 1,
      sym__cat_expr,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(190), 1,
      sym__branch,
    STATE(218), 1,
      sym__alt_expr,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [4637] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(219), 1,
      sym_identifier,
    ACTIONS(222), 1,
      anon_sym_DOT,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(235), 1,
      aux_sym_dstring_token1,
    ACTIONS(238), 1,
      aux_sym_sstring_token1,
    ACTIONS(241), 1,
      anon_sym_AT2,
    ACTIONS(244), 1,
      anon_sym_POUND,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    STATE(64), 2,
      sym_comment,
      aux_sym_concat_repeat1,
    ACTIONS(225), 5,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [4697] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    STATE(57), 1,
      aux_sym_concat_repeat1,
    STATE(65), 1,
      sym_comment,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    ACTIONS(211), 5,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [4759] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(187), 1,
      anon_sym_LBRACK,
    STATE(60), 1,
      aux_sym_alternation_repeat1,
    STATE(66), 1,
      sym_comment,
    STATE(76), 1,
      sym__atom,
    STATE(81), 1,
      sym__cat_expr,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(190), 1,
      sym__branch,
    STATE(227), 1,
      sym__alt_expr,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [4827] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    STATE(60), 1,
      aux_sym_alternation_repeat1,
    STATE(67), 1,
      sym_comment,
    STATE(76), 1,
      sym__atom,
    STATE(91), 1,
      sym__cat_expr,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(190), 1,
      sym__branch,
    STATE(237), 1,
      sym__alt_expr,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [4895] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(183), 1,
      anon_sym_LBRACK,
    ACTIONS(213), 1,
      anon_sym_SLASH,
    STATE(68), 1,
      sym_comment,
    STATE(70), 1,
      aux_sym_concat_repeat1,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    ACTIONS(211), 3,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_BSLASH,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [4958] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(219), 1,
      sym_identifier,
    ACTIONS(222), 1,
      anon_sym_DOT,
    ACTIONS(227), 1,
      anon_sym_SLASH,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(235), 1,
      aux_sym_dstring_token1,
    ACTIONS(238), 1,
      aux_sym_sstring_token1,
    ACTIONS(241), 1,
      anon_sym_AT2,
    ACTIONS(244), 1,
      anon_sym_POUND,
    ACTIONS(274), 1,
      anon_sym_LBRACK,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    STATE(69), 2,
      sym_comment,
      aux_sym_concat_repeat1,
    ACTIONS(225), 3,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_BSLASH,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [5019] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(183), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_SLASH,
    STATE(69), 1,
      aux_sym_concat_repeat1,
    STATE(70), 1,
      sym_comment,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    ACTIONS(215), 3,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_BSLASH,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [5082] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(213), 1,
      anon_sym_SLASH,
    STATE(71), 1,
      sym_comment,
    STATE(73), 1,
      aux_sym_concat_repeat1,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    ACTIONS(211), 3,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [5145] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(219), 1,
      sym_identifier,
    ACTIONS(222), 1,
      anon_sym_DOT,
    ACTIONS(227), 1,
      anon_sym_SLASH,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(235), 1,
      aux_sym_dstring_token1,
    ACTIONS(238), 1,
      aux_sym_sstring_token1,
    ACTIONS(241), 1,
      anon_sym_AT2,
    ACTIONS(244), 1,
      anon_sym_POUND,
    ACTIONS(277), 1,
      anon_sym_LBRACK,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    STATE(72), 2,
      sym_comment,
      aux_sym_concat_repeat1,
    ACTIONS(225), 3,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [5206] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(217), 1,
      anon_sym_SLASH,
    STATE(72), 1,
      aux_sym_concat_repeat1,
    STATE(73), 1,
      sym_comment,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    ACTIONS(215), 3,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [5269] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    STATE(74), 1,
      sym_comment,
    STATE(75), 1,
      aux_sym_concat_repeat1,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    ACTIONS(215), 3,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_BSLASH,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [5329] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(219), 1,
      sym_identifier,
    ACTIONS(222), 1,
      anon_sym_DOT,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(235), 1,
      aux_sym_dstring_token1,
    ACTIONS(238), 1,
      aux_sym_sstring_token1,
    ACTIONS(241), 1,
      anon_sym_AT2,
    ACTIONS(244), 1,
      anon_sym_POUND,
    ACTIONS(280), 1,
      anon_sym_LBRACK,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    STATE(75), 2,
      sym_comment,
      aux_sym_concat_repeat1,
    ACTIONS(225), 3,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_BSLASH,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [5387] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(289), 1,
      anon_sym_LBRACE2,
    STATE(76), 1,
      sym_comment,
    ACTIONS(285), 2,
      anon_sym_LBRACE,
      anon_sym_SLASH,
    STATE(138), 2,
      sym_close,
      sym_limits,
    ACTIONS(287), 3,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(283), 14,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [5429] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(219), 1,
      sym_identifier,
    ACTIONS(222), 1,
      anon_sym_DOT,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(235), 1,
      aux_sym_dstring_token1,
    ACTIONS(238), 1,
      aux_sym_sstring_token1,
    ACTIONS(241), 1,
      anon_sym_AT2,
    ACTIONS(244), 1,
      anon_sym_POUND,
    ACTIONS(291), 1,
      anon_sym_LBRACK,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    STATE(77), 2,
      sym_comment,
      aux_sym_concat_repeat1,
    ACTIONS(225), 3,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_RPAREN,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [5487] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(294), 1,
      anon_sym_re2c,
    ACTIONS(296), 1,
      anon_sym_local,
    ACTIONS(298), 1,
      anon_sym_rules,
    ACTIONS(300), 1,
      anon_sym_use,
    ACTIONS(302), 1,
      anon_sym_max,
    ACTIONS(304), 1,
      anon_sym_maxnmatch,
    ACTIONS(306), 1,
      anon_sym_getstate,
    ACTIONS(308), 1,
      anon_sym_stags,
    ACTIONS(310), 1,
      anon_sym_mtags,
    ACTIONS(312), 1,
      anon_sym_header,
    ACTIONS(314), 1,
      sym_ignore_block,
    STATE(78), 1,
      sym_comment,
    STATE(365), 11,
      sym_global_block,
      sym_local_block,
      sym_rules_block,
      sym_use_block,
      sym_max_block,
      sym_maxnmatch_block,
      sym_getstate_block,
      sym_stags_block,
      sym_mtags_block,
      sym_header_on_block,
      sym_header_off_block,
  [5543] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    STATE(71), 1,
      sym__cat_expr,
    STATE(76), 1,
      sym__atom,
    STATE(79), 1,
      sym_comment,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(179), 1,
      sym__alt_expr,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [5605] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(179), 1,
      anon_sym_LBRACK,
    ACTIONS(181), 1,
      anon_sym_POUND,
    STATE(51), 1,
      sym__cat_expr,
    STATE(76), 1,
      sym__atom,
    STATE(80), 1,
      sym_comment,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(179), 1,
      sym__alt_expr,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [5667] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(187), 1,
      anon_sym_LBRACK,
    STATE(76), 1,
      sym__atom,
    STATE(81), 1,
      sym_comment,
    STATE(83), 1,
      aux_sym_concat_repeat1,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    ACTIONS(211), 3,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_RPAREN,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [5727] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(187), 1,
      anon_sym_LBRACK,
    STATE(76), 1,
      sym__atom,
    STATE(81), 1,
      sym__cat_expr,
    STATE(82), 1,
      sym_comment,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(179), 1,
      sym__alt_expr,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [5789] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(187), 1,
      anon_sym_LBRACK,
    STATE(76), 1,
      sym__atom,
    STATE(77), 1,
      aux_sym_concat_repeat1,
    STATE(83), 1,
      sym_comment,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    ACTIONS(215), 3,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_RPAREN,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [5849] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(183), 1,
      anon_sym_LBRACK,
    STATE(68), 1,
      sym__cat_expr,
    STATE(76), 1,
      sym__atom,
    STATE(84), 1,
      sym_comment,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(179), 1,
      sym__alt_expr,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [5911] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(219), 1,
      sym_identifier,
    ACTIONS(222), 1,
      anon_sym_DOT,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(235), 1,
      aux_sym_dstring_token1,
    ACTIONS(238), 1,
      aux_sym_sstring_token1,
    ACTIONS(241), 1,
      anon_sym_AT2,
    ACTIONS(244), 1,
      anon_sym_POUND,
    ACTIONS(316), 1,
      anon_sym_LBRACK,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    STATE(85), 2,
      sym_comment,
      aux_sym_concat_repeat1,
    ACTIONS(225), 3,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [5969] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(189), 1,
      anon_sym_LBRACK,
    STATE(76), 1,
      sym__atom,
    STATE(86), 1,
      sym_comment,
    STATE(88), 1,
      aux_sym_concat_repeat1,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    ACTIONS(211), 3,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [6029] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(189), 1,
      anon_sym_LBRACK,
    STATE(76), 1,
      sym__atom,
    STATE(86), 1,
      sym__cat_expr,
    STATE(87), 1,
      sym_comment,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(179), 1,
      sym__alt_expr,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [6091] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(189), 1,
      anon_sym_LBRACK,
    STATE(76), 1,
      sym__atom,
    STATE(85), 1,
      aux_sym_concat_repeat1,
    STATE(88), 1,
      sym_comment,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    ACTIONS(215), 3,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [6151] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(319), 1,
      anon_sym_LBRACK,
    STATE(76), 1,
      sym__atom,
    STATE(89), 1,
      sym_comment,
    STATE(97), 1,
      sym__cat_expr,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(179), 1,
      sym__alt_expr,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [6213] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    STATE(65), 1,
      sym__cat_expr,
    STATE(76), 1,
      sym__atom,
    STATE(90), 1,
      sym_comment,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(179), 1,
      sym__alt_expr,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [6275] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    STATE(74), 1,
      aux_sym_concat_repeat1,
    STATE(76), 1,
      sym__atom,
    STATE(91), 1,
      sym_comment,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    ACTIONS(211), 3,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_BSLASH,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [6335] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(185), 1,
      anon_sym_LBRACK,
    STATE(76), 1,
      sym__atom,
    STATE(91), 1,
      sym__cat_expr,
    STATE(92), 1,
      sym_comment,
    STATE(136), 1,
      sym_repetition,
    STATE(178), 1,
      sym_concat,
    STATE(179), 1,
      sym__alt_expr,
    STATE(176), 2,
      sym_difference,
      sym__dif_expr,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [6397] = 15,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(321), 1,
      anon_sym_CARET,
    ACTIONS(323), 1,
      anon_sym_RBRACK,
    STATE(93), 1,
      sym_comment,
    STATE(106), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [6452] = 15,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(325), 1,
      anon_sym_CARET,
    ACTIONS(327), 1,
      anon_sym_RBRACK,
    STATE(94), 1,
      sym_comment,
    STATE(106), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [6507] = 15,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(329), 1,
      anon_sym_CARET,
    ACTIONS(331), 1,
      anon_sym_RBRACK,
    STATE(95), 1,
      sym_comment,
    STATE(106), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [6562] = 15,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(333), 1,
      anon_sym_CARET,
    ACTIONS(335), 1,
      anon_sym_RBRACK,
    STATE(96), 1,
      sym_comment,
    STATE(106), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [6617] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(319), 1,
      anon_sym_LBRACK,
    STATE(76), 1,
      sym__atom,
    STATE(97), 1,
      sym_comment,
    STATE(99), 1,
      aux_sym_concat_repeat1,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    ACTIONS(211), 2,
      anon_sym_PIPE,
      anon_sym_BSLASH,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [6676] = 15,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(337), 1,
      anon_sym_CARET,
    ACTIONS(339), 1,
      anon_sym_RBRACK,
    STATE(98), 1,
      sym_comment,
    STATE(106), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [6731] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(41), 1,
      anon_sym_AT2,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(171), 1,
      sym_identifier,
    ACTIONS(181), 1,
      anon_sym_POUND,
    ACTIONS(319), 1,
      anon_sym_LBRACK,
    STATE(76), 1,
      sym__atom,
    STATE(99), 1,
      sym_comment,
    STATE(100), 1,
      aux_sym_concat_repeat1,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    ACTIONS(215), 2,
      anon_sym_PIPE,
      anon_sym_BSLASH,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [6790] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(219), 1,
      sym_identifier,
    ACTIONS(222), 1,
      anon_sym_DOT,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(235), 1,
      aux_sym_dstring_token1,
    ACTIONS(238), 1,
      aux_sym_sstring_token1,
    ACTIONS(241), 1,
      anon_sym_AT2,
    ACTIONS(244), 1,
      anon_sym_POUND,
    ACTIONS(341), 1,
      anon_sym_LBRACK,
    STATE(76), 1,
      sym__atom,
    STATE(136), 1,
      sym_repetition,
    STATE(139), 1,
      sym__cat_expr,
    ACTIONS(225), 2,
      anon_sym_PIPE,
      anon_sym_BSLASH,
    STATE(100), 2,
      sym_comment,
      aux_sym_concat_repeat1,
    STATE(112), 7,
      sym_parenthesized,
      sym_character_class,
      sym_wildcard,
      sym_dstring,
      sym_sstring,
      sym_stag,
      sym_mtag,
  [6847] = 15,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(344), 1,
      anon_sym_CARET,
    ACTIONS(346), 1,
      anon_sym_RBRACK,
    STATE(101), 1,
      sym_comment,
    STATE(106), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [6902] = 15,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(348), 1,
      anon_sym_CARET,
    ACTIONS(350), 1,
      anon_sym_RBRACK,
    STATE(102), 1,
      sym_comment,
    STATE(106), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [6957] = 15,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(352), 1,
      anon_sym_CARET,
    ACTIONS(354), 1,
      anon_sym_RBRACK,
    STATE(103), 1,
      sym_comment,
    STATE(106), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [7012] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    STATE(104), 1,
      sym_comment,
    ACTIONS(358), 2,
      anon_sym_LBRACE,
      anon_sym_SLASH,
    ACTIONS(356), 18,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [7046] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    STATE(105), 1,
      sym_comment,
    ACTIONS(362), 2,
      anon_sym_LBRACE,
      anon_sym_SLASH,
    ACTIONS(360), 18,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [7080] = 14,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(364), 1,
      anon_sym_RBRACK,
    STATE(106), 1,
      sym_comment,
    STATE(128), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [7132] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    STATE(107), 1,
      sym_comment,
    ACTIONS(368), 2,
      anon_sym_LBRACE,
      anon_sym_SLASH,
    ACTIONS(366), 18,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [7166] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    STATE(108), 1,
      sym_comment,
    ACTIONS(372), 2,
      anon_sym_LBRACE,
      anon_sym_SLASH,
    ACTIONS(370), 18,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [7200] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    STATE(109), 1,
      sym_comment,
    ACTIONS(376), 2,
      anon_sym_LBRACE,
      anon_sym_SLASH,
    ACTIONS(374), 18,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [7234] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    STATE(110), 1,
      sym_comment,
    ACTIONS(380), 2,
      anon_sym_LBRACE,
      anon_sym_SLASH,
    ACTIONS(378), 18,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [7268] = 14,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(382), 1,
      anon_sym_RBRACK,
    STATE(111), 1,
      sym_comment,
    STATE(115), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [7320] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    STATE(112), 1,
      sym_comment,
    ACTIONS(386), 2,
      anon_sym_LBRACE,
      anon_sym_SLASH,
    ACTIONS(384), 18,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [7354] = 14,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(388), 1,
      anon_sym_RBRACK,
    STATE(113), 1,
      sym_comment,
    STATE(115), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [7406] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    STATE(114), 1,
      sym_comment,
    ACTIONS(392), 2,
      anon_sym_LBRACE,
      anon_sym_SLASH,
    ACTIONS(390), 18,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [7440] = 14,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(394), 1,
      anon_sym_RBRACK,
    STATE(115), 1,
      sym_comment,
    STATE(128), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [7492] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    STATE(116), 1,
      sym_comment,
    ACTIONS(398), 2,
      anon_sym_LBRACE,
      anon_sym_SLASH,
    ACTIONS(396), 18,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [7526] = 14,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(400), 1,
      anon_sym_RBRACK,
    STATE(115), 1,
      aux_sym_character_class_repeat1,
    STATE(117), 1,
      sym_comment,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [7578] = 14,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(402), 1,
      anon_sym_RBRACK,
    STATE(118), 1,
      sym_comment,
    STATE(128), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [7630] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    STATE(119), 1,
      sym_comment,
    ACTIONS(406), 2,
      anon_sym_LBRACE,
      anon_sym_SLASH,
    ACTIONS(404), 18,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [7664] = 14,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(408), 1,
      anon_sym_RBRACK,
    STATE(115), 1,
      aux_sym_character_class_repeat1,
    STATE(120), 1,
      sym_comment,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [7716] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    STATE(121), 1,
      sym_comment,
    ACTIONS(412), 2,
      anon_sym_LBRACE,
      anon_sym_SLASH,
    ACTIONS(410), 18,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [7750] = 14,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(414), 1,
      anon_sym_RBRACK,
    STATE(115), 1,
      aux_sym_character_class_repeat1,
    STATE(122), 1,
      sym_comment,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [7802] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    STATE(123), 1,
      sym_comment,
    ACTIONS(165), 2,
      anon_sym_LBRACE,
      anon_sym_SLASH,
    ACTIONS(167), 18,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [7836] = 14,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(416), 1,
      anon_sym_RBRACK,
    STATE(115), 1,
      aux_sym_character_class_repeat1,
    STATE(124), 1,
      sym_comment,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [7888] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    STATE(125), 1,
      sym_comment,
    ACTIONS(420), 2,
      anon_sym_LBRACE,
      anon_sym_SLASH,
    ACTIONS(418), 18,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [7922] = 14,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(422), 1,
      anon_sym_RBRACK,
    STATE(126), 1,
      sym_comment,
    STATE(128), 1,
      aux_sym_character_class_repeat1,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [7974] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    STATE(127), 1,
      sym_comment,
    ACTIONS(426), 2,
      anon_sym_LBRACE,
      anon_sym_SLASH,
    ACTIONS(424), 18,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [8008] = 13,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(428), 1,
      anon_sym_RBRACK,
    ACTIONS(430), 1,
      aux_sym_range_token1,
    ACTIONS(433), 1,
      aux_sym_literal_token1,
    ACTIONS(445), 1,
      aux_sym__esc_oct_token2,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(436), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(128), 2,
      sym_comment,
      aux_sym_character_class_repeat1,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(442), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(439), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [8058] = 14,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(448), 1,
      anon_sym_RBRACK,
    STATE(115), 1,
      aux_sym_character_class_repeat1,
    STATE(129), 1,
      sym_comment,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [8110] = 14,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    ACTIONS(450), 1,
      anon_sym_RBRACK,
    STATE(115), 1,
      aux_sym_character_class_repeat1,
    STATE(130), 1,
      sym_comment,
    STATE(155), 1,
      sym_code_unit,
    STATE(158), 1,
      sym_range,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(148), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [8162] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(177), 1,
      anon_sym_LBRACE,
    STATE(131), 1,
      sym_comment,
    STATE(149), 1,
      sym_action,
    ACTIONS(452), 3,
      anon_sym_re2c2,
      anon_sym_STAR,
      sym_identifier,
    ACTIONS(454), 12,
      anon_sym_STAR_SLASH,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_BANGuse,
      anon_sym_BANGinclude,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
  [8197] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(456), 1,
      anon_sym_EQ,
    STATE(132), 1,
      sym_comment,
    ACTIONS(412), 2,
      anon_sym_LBRACE,
      anon_sym_SLASH,
    ACTIONS(410), 14,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_STAR2,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_LBRACE2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [8230] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(177), 1,
      anon_sym_LBRACE,
    STATE(133), 1,
      sym_comment,
    STATE(159), 1,
      sym_action,
    ACTIONS(458), 3,
      anon_sym_re2c2,
      anon_sym_STAR,
      sym_identifier,
    ACTIONS(460), 12,
      anon_sym_STAR_SLASH,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_BANGuse,
      anon_sym_BANGinclude,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
  [8265] = 11,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(153), 1,
      aux_sym_range_token1,
    ACTIONS(155), 1,
      aux_sym_literal_token1,
    ACTIONS(163), 1,
      aux_sym__esc_oct_token2,
    STATE(134), 1,
      sym_comment,
    STATE(155), 1,
      sym_code_unit,
    ACTIONS(157), 2,
      sym_quote,
      sym_ctrl_code,
    STATE(161), 2,
      sym_literal,
      sym__escape,
    ACTIONS(161), 4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
    ACTIONS(159), 5,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_oct_token1,
  [8308] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(464), 1,
      anon_sym_SLASH,
    STATE(135), 1,
      sym_comment,
    ACTIONS(462), 15,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [8338] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(285), 1,
      anon_sym_SLASH,
    STATE(136), 1,
      sym_comment,
    ACTIONS(283), 15,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [8368] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(468), 1,
      anon_sym_SLASH,
    STATE(137), 1,
      sym_comment,
    ACTIONS(466), 15,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [8398] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(472), 1,
      anon_sym_SLASH,
    STATE(138), 1,
      sym_comment,
    ACTIONS(470), 15,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [8428] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(476), 1,
      anon_sym_SLASH,
    STATE(139), 1,
      sym_comment,
    ACTIONS(474), 15,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [8458] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(480), 1,
      anon_sym_SLASH,
    STATE(140), 1,
      sym_comment,
    ACTIONS(478), 15,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [8488] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(484), 1,
      anon_sym_SLASH,
    STATE(141), 1,
      sym_comment,
    ACTIONS(482), 15,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [8518] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(142), 1,
      sym_comment,
    ACTIONS(486), 3,
      anon_sym_re2c2,
      anon_sym_STAR,
      sym_identifier,
    ACTIONS(488), 13,
      anon_sym_STAR_SLASH,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_LBRACE,
      anon_sym_BANGuse,
      anon_sym_BANGinclude,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
  [8548] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(143), 1,
      sym_comment,
    ACTIONS(490), 3,
      anon_sym_re2c2,
      anon_sym_STAR,
      sym_identifier,
    ACTIONS(492), 12,
      anon_sym_STAR_SLASH,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_BANGuse,
      anon_sym_BANGinclude,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
  [8577] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(144), 1,
      sym_comment,
    ACTIONS(494), 3,
      anon_sym_re2c2,
      anon_sym_STAR,
      sym_identifier,
    ACTIONS(496), 12,
      anon_sym_STAR_SLASH,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_BANGuse,
      anon_sym_BANGinclude,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
  [8606] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(145), 1,
      sym_comment,
    ACTIONS(498), 3,
      anon_sym_re2c2,
      anon_sym_STAR,
      sym_identifier,
    ACTIONS(500), 12,
      anon_sym_STAR_SLASH,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_BANGuse,
      anon_sym_BANGinclude,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
  [8635] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(146), 1,
      sym_comment,
    ACTIONS(502), 3,
      anon_sym_re2c2,
      anon_sym_STAR,
      sym_identifier,
    ACTIONS(504), 12,
      anon_sym_STAR_SLASH,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_BANGuse,
      anon_sym_BANGinclude,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
  [8664] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(147), 1,
      sym_comment,
    ACTIONS(506), 3,
      anon_sym_re2c2,
      anon_sym_STAR,
      sym_identifier,
    ACTIONS(508), 12,
      anon_sym_STAR_SLASH,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_BANGuse,
      anon_sym_BANGinclude,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
  [8693] = 6,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(510), 1,
      anon_sym_RBRACK,
    ACTIONS(512), 1,
      aux_sym_range_token1,
    STATE(148), 1,
      sym_comment,
    ACTIONS(515), 13,
      aux_sym_literal_token1,
      sym_quote,
      sym_ctrl_code,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
      aux_sym__esc_oct_token1,
      aux_sym__esc_oct_token2,
  [8724] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(149), 1,
      sym_comment,
    ACTIONS(517), 3,
      anon_sym_re2c2,
      anon_sym_STAR,
      sym_identifier,
    ACTIONS(519), 12,
      anon_sym_STAR_SLASH,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_BANGuse,
      anon_sym_BANGinclude,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
  [8753] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(150), 1,
      sym_comment,
    ACTIONS(458), 3,
      anon_sym_re2c2,
      anon_sym_STAR,
      sym_identifier,
    ACTIONS(460), 12,
      anon_sym_STAR_SLASH,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_BANGuse,
      anon_sym_BANGinclude,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
  [8782] = 5,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    STATE(151), 1,
      sym_comment,
    ACTIONS(521), 2,
      anon_sym_RBRACK,
      aux_sym_range_token1,
    ACTIONS(523), 13,
      aux_sym_literal_token1,
      sym_quote,
      sym_ctrl_code,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
      aux_sym__esc_oct_token1,
      aux_sym__esc_oct_token2,
  [8811] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(152), 1,
      sym_comment,
    ACTIONS(525), 3,
      anon_sym_re2c2,
      anon_sym_STAR,
      sym_identifier,
    ACTIONS(527), 12,
      anon_sym_STAR_SLASH,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_BANGuse,
      anon_sym_BANGinclude,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
  [8840] = 5,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    STATE(153), 1,
      sym_comment,
    ACTIONS(529), 2,
      anon_sym_RBRACK,
      aux_sym_range_token1,
    ACTIONS(531), 13,
      aux_sym_literal_token1,
      sym_quote,
      sym_ctrl_code,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
      aux_sym__esc_oct_token1,
      aux_sym__esc_oct_token2,
  [8869] = 5,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    STATE(154), 1,
      sym_comment,
    ACTIONS(533), 2,
      anon_sym_RBRACK,
      aux_sym_range_token1,
    ACTIONS(535), 13,
      aux_sym_literal_token1,
      sym_quote,
      sym_ctrl_code,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
      aux_sym__esc_oct_token1,
      aux_sym__esc_oct_token2,
  [8898] = 5,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    STATE(155), 1,
      sym_comment,
    ACTIONS(537), 2,
      anon_sym_RBRACK,
      aux_sym_range_token1,
    ACTIONS(539), 13,
      aux_sym_literal_token1,
      sym_quote,
      sym_ctrl_code,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
      aux_sym__esc_oct_token1,
      aux_sym__esc_oct_token2,
  [8927] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(156), 1,
      sym_comment,
    ACTIONS(541), 3,
      anon_sym_re2c2,
      anon_sym_STAR,
      sym_identifier,
    ACTIONS(543), 12,
      anon_sym_STAR_SLASH,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_BANGuse,
      anon_sym_BANGinclude,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
  [8956] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(157), 1,
      sym_comment,
    ACTIONS(545), 3,
      anon_sym_re2c2,
      anon_sym_STAR,
      sym_identifier,
    ACTIONS(547), 12,
      anon_sym_STAR_SLASH,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_BANGuse,
      anon_sym_BANGinclude,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
  [8985] = 5,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    STATE(158), 1,
      sym_comment,
    ACTIONS(510), 2,
      anon_sym_RBRACK,
      aux_sym_range_token1,
    ACTIONS(515), 13,
      aux_sym_literal_token1,
      sym_quote,
      sym_ctrl_code,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
      aux_sym__esc_oct_token1,
      aux_sym__esc_oct_token2,
  [9014] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(159), 1,
      sym_comment,
    ACTIONS(452), 3,
      anon_sym_re2c2,
      anon_sym_STAR,
      sym_identifier,
    ACTIONS(454), 12,
      anon_sym_STAR_SLASH,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_BANGuse,
      anon_sym_BANGinclude,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
  [9043] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(160), 1,
      sym_comment,
    ACTIONS(549), 3,
      anon_sym_re2c2,
      anon_sym_STAR,
      sym_identifier,
    ACTIONS(551), 12,
      anon_sym_STAR_SLASH,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_BANGuse,
      anon_sym_BANGinclude,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
  [9072] = 5,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    STATE(161), 1,
      sym_comment,
    ACTIONS(553), 2,
      anon_sym_RBRACK,
      aux_sym_range_token1,
    ACTIONS(555), 13,
      aux_sym_literal_token1,
      sym_quote,
      sym_ctrl_code,
      aux_sym__esc_hex_token1,
      aux_sym__esc_hex_token2,
      aux_sym__esc_hex_token3,
      aux_sym__esc_hex_token4,
      aux_sym__esc_hex_token5,
      aux_sym__esc_hex_token6,
      aux_sym__esc_hex_token7,
      aux_sym__esc_hex_token8,
      aux_sym__esc_oct_token1,
      aux_sym__esc_oct_token2,
  [9101] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(162), 1,
      sym_comment,
    ACTIONS(557), 3,
      anon_sym_re2c2,
      anon_sym_STAR,
      sym_identifier,
    ACTIONS(559), 12,
      anon_sym_STAR_SLASH,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_BANGuse,
      anon_sym_BANGinclude,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
  [9130] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(163), 1,
      sym_comment,
    ACTIONS(561), 13,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [9155] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(164), 1,
      sym_comment,
    ACTIONS(563), 13,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [9180] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(165), 1,
      sym_comment,
    ACTIONS(565), 13,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [9205] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(166), 1,
      sym_comment,
    ACTIONS(567), 13,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [9230] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(167), 1,
      sym_comment,
    ACTIONS(569), 13,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [9255] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(168), 1,
      sym_comment,
    ACTIONS(571), 13,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [9280] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(573), 1,
      anon_sym_STAR_SLASH,
    ACTIONS(575), 1,
      anon_sym_COLON,
    ACTIONS(577), 1,
      anon_sym_format,
    ACTIONS(579), 1,
      anon_sym_separator,
    STATE(169), 1,
      sym_comment,
    STATE(182), 1,
      aux_sym_stags_block_repeat1,
    STATE(184), 1,
      sym_block_list,
    STATE(201), 1,
      aux_sym_block_list_repeat1,
    STATE(230), 1,
      sym__tag_directive,
    STATE(231), 2,
      sym_format_directive,
      sym_separator_directive,
  [9318] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(575), 1,
      anon_sym_COLON,
    ACTIONS(577), 1,
      anon_sym_format,
    ACTIONS(579), 1,
      anon_sym_separator,
    ACTIONS(581), 1,
      anon_sym_STAR_SLASH,
    STATE(170), 1,
      sym_comment,
    STATE(183), 1,
      aux_sym_stags_block_repeat1,
    STATE(187), 1,
      sym_block_list,
    STATE(201), 1,
      aux_sym_block_list_repeat1,
    STATE(230), 1,
      sym__tag_directive,
    STATE(231), 2,
      sym_format_directive,
      sym_separator_directive,
  [9356] = 9,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(583), 1,
      anon_sym_LBRACE,
    ACTIONS(585), 1,
      anon_sym_RBRACE,
    STATE(171), 1,
      sym_comment,
    STATE(172), 1,
      aux_sym_code_block_repeat1,
    STATE(191), 1,
      sym__code_in_braces,
    STATE(335), 1,
      sym_code_block,
    ACTIONS(587), 5,
      aux_sym__code_in_braces_token1,
      aux_sym__code_in_braces_token2,
      aux_sym__code_in_braces_token3,
      aux_sym__code_in_braces_token4,
      aux_sym__code_in_braces_token5,
  [9388] = 8,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(583), 1,
      anon_sym_LBRACE,
    ACTIONS(589), 1,
      anon_sym_RBRACE,
    STATE(172), 1,
      sym_comment,
    STATE(173), 1,
      aux_sym_code_block_repeat1,
    STATE(191), 1,
      sym__code_in_braces,
    ACTIONS(587), 5,
      aux_sym__code_in_braces_token1,
      aux_sym__code_in_braces_token2,
      aux_sym__code_in_braces_token3,
      aux_sym__code_in_braces_token4,
      aux_sym__code_in_braces_token5,
  [9417] = 7,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(594), 1,
      anon_sym_RBRACE,
    STATE(191), 1,
      sym__code_in_braces,
    STATE(173), 2,
      sym_comment,
      aux_sym_code_block_repeat1,
    ACTIONS(596), 5,
      aux_sym__code_in_braces_token1,
      aux_sym__code_in_braces_token2,
      aux_sym__code_in_braces_token3,
      aux_sym__code_in_braces_token4,
      aux_sym__code_in_braces_token5,
  [9444] = 8,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(599), 1,
      anon_sym_LBRACE,
    ACTIONS(602), 1,
      anon_sym_RBRACE,
    STATE(173), 1,
      aux_sym_code_block_repeat1,
    STATE(174), 1,
      sym_comment,
    STATE(191), 1,
      sym__code_in_braces,
    ACTIONS(605), 5,
      aux_sym__code_in_braces_token1,
      aux_sym__code_in_braces_token2,
      aux_sym__code_in_braces_token3,
      aux_sym__code_in_braces_token4,
      aux_sym__code_in_braces_token5,
  [9473] = 8,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(608), 1,
      anon_sym_LBRACE,
    ACTIONS(611), 1,
      anon_sym_RBRACE,
    STATE(174), 1,
      aux_sym_code_block_repeat1,
    STATE(175), 1,
      sym_comment,
    STATE(191), 1,
      sym__code_in_braces,
    ACTIONS(614), 5,
      aux_sym__code_in_braces_token1,
      aux_sym__code_in_braces_token2,
      aux_sym__code_in_braces_token3,
      aux_sym__code_in_braces_token4,
      aux_sym__code_in_braces_token5,
  [9502] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(619), 1,
      anon_sym_SLASH,
    STATE(176), 1,
      sym_comment,
    ACTIONS(617), 7,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_RPAREN,
  [9524] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(177), 1,
      sym_comment,
    ACTIONS(621), 8,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_dstring_token1,
      aux_sym_sstring_token1,
      anon_sym_AT2,
      anon_sym_POUND,
      sym_identifier,
  [9544] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(213), 1,
      anon_sym_SLASH,
    STATE(178), 1,
      sym_comment,
    ACTIONS(211), 7,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_RPAREN,
  [9566] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(625), 1,
      anon_sym_SLASH,
    STATE(179), 1,
      sym_comment,
    ACTIONS(623), 7,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_BSLASH,
      anon_sym_RPAREN,
  [9588] = 4,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    STATE(180), 1,
      sym_comment,
    ACTIONS(627), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__code_in_braces_token1,
      aux_sym__code_in_braces_token2,
      aux_sym__code_in_braces_token3,
      aux_sym__code_in_braces_token4,
      aux_sym__code_in_braces_token5,
  [9607] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(577), 1,
      anon_sym_format,
    ACTIONS(579), 1,
      anon_sym_separator,
    ACTIONS(629), 1,
      anon_sym_STAR_SLASH,
    STATE(181), 1,
      sym_comment,
    STATE(185), 1,
      aux_sym_stags_block_repeat1,
    STATE(230), 1,
      sym__tag_directive,
    STATE(231), 2,
      sym_format_directive,
      sym_separator_directive,
  [9636] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(577), 1,
      anon_sym_format,
    ACTIONS(579), 1,
      anon_sym_separator,
    ACTIONS(631), 1,
      anon_sym_STAR_SLASH,
    STATE(182), 1,
      sym_comment,
    STATE(185), 1,
      aux_sym_stags_block_repeat1,
    STATE(230), 1,
      sym__tag_directive,
    STATE(231), 2,
      sym_format_directive,
      sym_separator_directive,
  [9665] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(577), 1,
      anon_sym_format,
    ACTIONS(579), 1,
      anon_sym_separator,
    ACTIONS(633), 1,
      anon_sym_STAR_SLASH,
    STATE(183), 1,
      sym_comment,
    STATE(185), 1,
      aux_sym_stags_block_repeat1,
    STATE(230), 1,
      sym__tag_directive,
    STATE(231), 2,
      sym_format_directive,
      sym_separator_directive,
  [9694] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(577), 1,
      anon_sym_format,
    ACTIONS(579), 1,
      anon_sym_separator,
    ACTIONS(631), 1,
      anon_sym_STAR_SLASH,
    STATE(184), 1,
      sym_comment,
    STATE(186), 1,
      aux_sym_stags_block_repeat1,
    STATE(230), 1,
      sym__tag_directive,
    STATE(231), 2,
      sym_format_directive,
      sym_separator_directive,
  [9723] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(635), 1,
      anon_sym_STAR_SLASH,
    ACTIONS(637), 1,
      anon_sym_format,
    ACTIONS(640), 1,
      anon_sym_separator,
    STATE(230), 1,
      sym__tag_directive,
    STATE(185), 2,
      sym_comment,
      aux_sym_stags_block_repeat1,
    STATE(231), 2,
      sym_format_directive,
      sym_separator_directive,
  [9750] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(577), 1,
      anon_sym_format,
    ACTIONS(579), 1,
      anon_sym_separator,
    ACTIONS(643), 1,
      anon_sym_STAR_SLASH,
    STATE(185), 1,
      aux_sym_stags_block_repeat1,
    STATE(186), 1,
      sym_comment,
    STATE(230), 1,
      sym__tag_directive,
    STATE(231), 2,
      sym_format_directive,
      sym_separator_directive,
  [9779] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(577), 1,
      anon_sym_format,
    ACTIONS(579), 1,
      anon_sym_separator,
    ACTIONS(633), 1,
      anon_sym_STAR_SLASH,
    STATE(181), 1,
      aux_sym_stags_block_repeat1,
    STATE(187), 1,
      sym_comment,
    STATE(230), 1,
      sym__tag_directive,
    STATE(231), 2,
      sym_format_directive,
      sym_separator_directive,
  [9808] = 4,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    STATE(188), 1,
      sym_comment,
    ACTIONS(645), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__code_in_braces_token1,
      aux_sym__code_in_braces_token2,
      aux_sym__code_in_braces_token3,
      aux_sym__code_in_braces_token4,
      aux_sym__code_in_braces_token5,
  [9827] = 4,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    STATE(189), 1,
      sym_comment,
    ACTIONS(647), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__code_in_braces_token1,
      aux_sym__code_in_braces_token2,
      aux_sym__code_in_braces_token3,
      aux_sym__code_in_braces_token4,
      aux_sym__code_in_braces_token5,
  [9846] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(651), 1,
      anon_sym_SLASH,
    ACTIONS(653), 1,
      anon_sym_PIPE,
    STATE(190), 1,
      sym_comment,
    ACTIONS(649), 5,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
  [9869] = 4,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    STATE(191), 1,
      sym_comment,
    ACTIONS(655), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__code_in_braces_token1,
      aux_sym__code_in_braces_token2,
      aux_sym__code_in_braces_token3,
      aux_sym__code_in_braces_token4,
      aux_sym__code_in_braces_token5,
  [9888] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(659), 1,
      anon_sym_SLASH,
    ACTIONS(661), 1,
      anon_sym_BSLASH,
    STATE(192), 1,
      sym_comment,
    ACTIONS(657), 4,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [9910] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(665), 1,
      anon_sym_SLASH,
    STATE(193), 1,
      sym_comment,
    ACTIONS(663), 5,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
  [9930] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(657), 1,
      anon_sym_PIPE,
    ACTIONS(661), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      anon_sym_SLASH,
    STATE(194), 1,
      sym_comment,
    ACTIONS(663), 3,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
  [9954] = 7,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(667), 1,
      ts_builtin_sym_end,
    ACTIONS(669), 1,
      sym_host_lang,
    ACTIONS(672), 1,
      anon_sym_SLASH_STAR_BANG,
    STATE(233), 1,
      sym__block,
    STATE(195), 2,
      sym_comment,
      aux_sym_re2c_repeat1,
  [9977] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(677), 1,
      anon_sym_COLON,
    STATE(196), 2,
      sym_comment,
      aux_sym_block_list_repeat1,
    ACTIONS(675), 3,
      anon_sym_STAR_SLASH,
      anon_sym_format,
      anon_sym_separator,
  [9996] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(177), 1,
      anon_sym_LBRACE,
    STATE(131), 1,
      sym_shortcut,
    STATE(159), 1,
      sym_action,
    STATE(197), 1,
      sym_comment,
    ACTIONS(173), 2,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
  [10019] = 7,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(682), 1,
      anon_sym_DASH,
    ACTIONS(684), 1,
      aux_sym_linedir_token1,
    STATE(198), 1,
      sym_comment,
    STATE(362), 1,
      sym_number,
    ACTIONS(680), 2,
      anon_sym_0,
      aux_sym_number_token2,
  [10042] = 7,
    ACTIONS(9), 1,
      anon_sym_SLASH_STAR_BANG,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(686), 1,
      ts_builtin_sym_end,
    STATE(195), 1,
      aux_sym_re2c_repeat1,
    STATE(199), 1,
      sym_comment,
    STATE(233), 1,
      sym__block,
    ACTIONS(5), 2,
      sym_host_lang,
      aux_sym_comment_token2,
  [10065] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(688), 1,
      sym_identifier,
    ACTIONS(690), 1,
      anon_sym_GT,
    ACTIONS(692), 1,
      anon_sym_BANG,
    ACTIONS(694), 1,
      anon_sym_STAR,
    STATE(200), 1,
      sym_comment,
    STATE(246), 1,
      aux_sym__clist_repeat1,
  [10090] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(575), 1,
      anon_sym_COLON,
    STATE(196), 1,
      aux_sym_block_list_repeat1,
    STATE(201), 1,
      sym_comment,
    ACTIONS(696), 3,
      anon_sym_STAR_SLASH,
      anon_sym_format,
      anon_sym_separator,
  [10111] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(698), 1,
      anon_sym_BSLASH,
    STATE(202), 1,
      sym_comment,
    ACTIONS(657), 4,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [10130] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(657), 1,
      anon_sym_PIPE,
    ACTIONS(698), 1,
      anon_sym_BSLASH,
    STATE(203), 1,
      sym_comment,
    ACTIONS(663), 3,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
  [10151] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(657), 1,
      anon_sym_PIPE,
    ACTIONS(663), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      anon_sym_SLASH,
    ACTIONS(700), 1,
      anon_sym_BSLASH,
    STATE(204), 1,
      sym_comment,
  [10173] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(704), 1,
      anon_sym_SLASH,
    STATE(205), 1,
      sym_comment,
    ACTIONS(702), 3,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
  [10191] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(659), 1,
      anon_sym_SLASH,
    ACTIONS(700), 1,
      anon_sym_BSLASH,
    STATE(206), 1,
      sym_comment,
    ACTIONS(657), 2,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [10211] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(575), 1,
      anon_sym_COLON,
    ACTIONS(706), 1,
      anon_sym_STAR_SLASH,
    STATE(201), 1,
      aux_sym_block_list_repeat1,
    STATE(207), 1,
      sym_comment,
    STATE(353), 1,
      sym_block_list,
  [10233] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(575), 1,
      anon_sym_COLON,
    ACTIONS(708), 1,
      anon_sym_STAR_SLASH,
    STATE(201), 1,
      aux_sym_block_list_repeat1,
    STATE(208), 1,
      sym_comment,
    STATE(356), 1,
      sym_block_list,
  [10255] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(575), 1,
      anon_sym_COLON,
    ACTIONS(710), 1,
      anon_sym_STAR_SLASH,
    STATE(201), 1,
      aux_sym_block_list_repeat1,
    STATE(209), 1,
      sym_comment,
    STATE(357), 1,
      sym_block_list,
  [10277] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(210), 1,
      sym_comment,
    ACTIONS(712), 4,
      anon_sym_STAR_SLASH,
      anon_sym_COLON,
      anon_sym_format,
      anon_sym_separator,
  [10293] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(211), 1,
      sym_comment,
    STATE(284), 2,
      sym_dstring,
      sym_sstring,
  [10313] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(212), 1,
      sym_comment,
    STATE(285), 2,
      sym_dstring,
      sym_sstring,
  [10333] = 4,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    STATE(213), 1,
      sym_comment,
    ACTIONS(358), 4,
      anon_sym_0,
      anon_sym_DASH,
      aux_sym_number_token2,
      aux_sym_linedir_token1,
  [10349] = 4,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    STATE(214), 1,
      sym_comment,
    ACTIONS(406), 4,
      anon_sym_0,
      anon_sym_DASH,
      aux_sym_number_token2,
      aux_sym_linedir_token1,
  [10365] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(37), 1,
      aux_sym_dstring_token1,
    ACTIONS(39), 1,
      aux_sym_sstring_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(215), 1,
      sym_comment,
    STATE(325), 2,
      sym_dstring,
      sym_sstring,
  [10385] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(714), 1,
      sym_identifier,
    ACTIONS(716), 1,
      anon_sym_GT,
    ACTIONS(718), 1,
      anon_sym_STAR,
    STATE(216), 1,
      sym_comment,
    STATE(265), 1,
      aux_sym__clist_repeat1,
  [10407] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(217), 1,
      sym_comment,
    ACTIONS(720), 4,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
  [10423] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(659), 1,
      anon_sym_SLASH,
    ACTIONS(722), 1,
      anon_sym_BSLASH,
    STATE(218), 1,
      sym_comment,
    ACTIONS(657), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
  [10443] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(219), 1,
      sym_comment,
    ACTIONS(702), 4,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
  [10459] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(724), 1,
      aux_sym_dstring_token1,
    ACTIONS(726), 1,
      aux_sym_sstring_token1,
    STATE(220), 1,
      sym_comment,
    STATE(198), 2,
      sym_dstring,
      sym_sstring,
  [10479] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(657), 1,
      anon_sym_PIPE,
    ACTIONS(663), 1,
      anon_sym_SEMI,
    ACTIONS(665), 1,
      anon_sym_SLASH,
    ACTIONS(722), 1,
      anon_sym_BSLASH,
    STATE(221), 1,
      sym_comment,
  [10501] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(222), 1,
      sym_comment,
    ACTIONS(728), 3,
      anon_sym_STAR_SLASH,
      anon_sym_format,
      anon_sym_separator,
  [10516] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(223), 1,
      sym_comment,
    ACTIONS(730), 3,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
  [10531] = 5,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(732), 1,
      ts_builtin_sym_end,
    STATE(224), 1,
      sym_comment,
    ACTIONS(734), 2,
      sym_host_lang,
      anon_sym_SLASH_STAR_BANG,
  [10548] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(736), 1,
      anon_sym_RBRACE2,
    ACTIONS(738), 1,
      aux_sym__mininum_token1,
    STATE(225), 1,
      sym_comment,
    STATE(281), 1,
      sym__maximum,
  [10567] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(740), 1,
      anon_sym_SEMI,
    STATE(226), 1,
      sym_comment,
    ACTIONS(742), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [10584] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(744), 1,
      anon_sym_BSLASH,
    STATE(227), 1,
      sym_comment,
    ACTIONS(657), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [10601] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(748), 1,
      anon_sym_EQ,
    STATE(228), 1,
      sym_comment,
    ACTIONS(746), 2,
      anon_sym_COLON,
      anon_sym_AT,
  [10618] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(750), 1,
      anon_sym_COLON,
    ACTIONS(752), 1,
      anon_sym_EQ,
    STATE(229), 1,
      sym_comment,
    STATE(381), 1,
      sym__option_name,
  [10637] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(230), 1,
      sym_comment,
    ACTIONS(754), 3,
      anon_sym_STAR_SLASH,
      anon_sym_format,
      anon_sym_separator,
  [10652] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(231), 1,
      sym_comment,
    ACTIONS(756), 3,
      anon_sym_STAR_SLASH,
      anon_sym_format,
      anon_sym_separator,
  [10667] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(232), 1,
      sym_comment,
    ACTIONS(758), 3,
      anon_sym_STAR_SLASH,
      anon_sym_format,
      anon_sym_separator,
  [10682] = 5,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(760), 1,
      ts_builtin_sym_end,
    STATE(233), 1,
      sym_comment,
    ACTIONS(762), 2,
      sym_host_lang,
      anon_sym_SLASH_STAR_BANG,
  [10699] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(657), 1,
      anon_sym_PIPE,
    ACTIONS(663), 1,
      anon_sym_RPAREN,
    ACTIONS(744), 1,
      anon_sym_BSLASH,
    STATE(234), 1,
      sym_comment,
  [10718] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(764), 1,
      anon_sym_BSLASH,
    STATE(235), 1,
      sym_comment,
    ACTIONS(657), 2,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [10735] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    STATE(236), 1,
      sym_comment,
    ACTIONS(766), 3,
      anon_sym_EQ_GT,
      anon_sym_COLON_EQ_GT,
      anon_sym_LBRACE,
  [10750] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(768), 1,
      anon_sym_BSLASH,
    STATE(237), 1,
      sym_comment,
    ACTIONS(657), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
  [10767] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(657), 1,
      anon_sym_PIPE,
    ACTIONS(663), 1,
      anon_sym_LBRACE,
    ACTIONS(764), 1,
      anon_sym_BSLASH,
    STATE(238), 1,
      sym_comment,
  [10786] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(657), 1,
      anon_sym_PIPE,
    ACTIONS(663), 1,
      anon_sym_SEMI,
    ACTIONS(768), 1,
      anon_sym_BSLASH,
    STATE(239), 1,
      sym_comment,
  [10805] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(770), 1,
      aux_sym__mininum_token1,
    STATE(240), 1,
      sym_comment,
    STATE(344), 1,
      sym__mininum,
    STATE(345), 1,
      sym__exactly,
  [10824] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(750), 1,
      anon_sym_COLON,
    STATE(241), 1,
      sym_comment,
    STATE(385), 1,
      sym__option_name,
  [10840] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(772), 1,
      sym_identifier,
    STATE(242), 2,
      sym_comment,
      aux_sym__clist_repeat1,
  [10854] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(750), 1,
      anon_sym_COLON,
    STATE(243), 1,
      sym_comment,
    STATE(372), 1,
      sym__option_name,
  [10870] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(750), 1,
      anon_sym_COLON,
    STATE(244), 1,
      sym_comment,
    STATE(373), 1,
      sym__option_name,
  [10886] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(775), 1,
      anon_sym_GT,
    ACTIONS(777), 1,
      anon_sym_COMMA,
    STATE(245), 1,
      sym_comment,
  [10902] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(714), 1,
      sym_identifier,
    STATE(242), 1,
      aux_sym__clist_repeat1,
    STATE(246), 1,
      sym_comment,
  [10918] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(750), 1,
      anon_sym_COLON,
    STATE(247), 1,
      sym_comment,
    STATE(374), 1,
      sym__option_name,
  [10934] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(779), 1,
      aux_sym__block_name_token1,
    ACTIONS(781), 1,
      anon_sym_line,
    STATE(248), 1,
      sym_comment,
  [10950] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(750), 1,
      anon_sym_COLON,
    STATE(249), 1,
      sym_comment,
    STATE(376), 1,
      sym__option_name,
  [10966] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(783), 1,
      anon_sym_COMMA2,
    ACTIONS(785), 1,
      anon_sym_RBRACE2,
    STATE(250), 1,
      sym_comment,
  [10982] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(657), 1,
      anon_sym_PIPE,
    ACTIONS(787), 1,
      anon_sym_BSLASH,
    STATE(251), 1,
      sym_comment,
  [10998] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(750), 1,
      anon_sym_COLON,
    STATE(252), 1,
      sym_comment,
    STATE(378), 1,
      sym__option_name,
  [11014] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(177), 1,
      anon_sym_LBRACE,
    STATE(152), 1,
      sym_action,
    STATE(253), 1,
      sym_comment,
  [11030] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(750), 1,
      anon_sym_COLON,
    STATE(254), 1,
      sym_comment,
    STATE(379), 1,
      sym__option_name,
  [11046] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(750), 1,
      anon_sym_COLON,
    STATE(255), 1,
      sym_comment,
    STATE(368), 1,
      sym__option_name,
  [11062] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(702), 1,
      anon_sym_SEMI,
    ACTIONS(789), 1,
      anon_sym_SLASH,
    STATE(256), 1,
      sym_comment,
  [11078] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(750), 1,
      anon_sym_COLON,
    STATE(257), 1,
      sym_comment,
    STATE(304), 1,
      sym__option_name,
  [11094] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(791), 1,
      anon_sym_SLASH,
    STATE(258), 1,
      sym_comment,
  [11110] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(793), 1,
      anon_sym_on,
    ACTIONS(795), 1,
      anon_sym_off,
    STATE(259), 1,
      sym_comment,
  [11126] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(750), 1,
      anon_sym_COLON,
    STATE(260), 1,
      sym_comment,
    STATE(369), 1,
      sym__option_name,
  [11142] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(797), 1,
      anon_sym_STAR_SLASH,
    ACTIONS(799), 1,
      anon_sym_COLON,
    STATE(261), 1,
      sym_comment,
  [11158] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(777), 1,
      anon_sym_COMMA,
    ACTIONS(801), 1,
      anon_sym_GT,
    STATE(262), 1,
      sym_comment,
  [11174] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(750), 1,
      anon_sym_COLON,
    STATE(263), 1,
      sym_comment,
    STATE(370), 1,
      sym__option_name,
  [11190] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(777), 1,
      anon_sym_COMMA,
    ACTIONS(803), 1,
      anon_sym_GT,
    STATE(264), 1,
      sym_comment,
  [11206] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(805), 1,
      sym_identifier,
    STATE(242), 1,
      aux_sym__clist_repeat1,
    STATE(265), 1,
      sym_comment,
  [11222] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(750), 1,
      anon_sym_COLON,
    STATE(266), 1,
      sym_comment,
    STATE(371), 1,
      sym__option_name,
  [11238] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(807), 1,
      anon_sym_SEMI,
    STATE(267), 1,
      sym_comment,
  [11251] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(809), 1,
      anon_sym_SEMI,
    STATE(268), 1,
      sym_comment,
  [11264] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(811), 1,
      anon_sym_SEMI,
    STATE(269), 1,
      sym_comment,
  [11277] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(813), 1,
      anon_sym_SEMI,
    STATE(270), 1,
      sym_comment,
  [11290] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(815), 1,
      anon_sym_SEMI,
    STATE(271), 1,
      sym_comment,
  [11303] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(817), 1,
      anon_sym_SEMI,
    STATE(272), 1,
      sym_comment,
  [11316] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(819), 1,
      anon_sym_SEMI,
    STATE(273), 1,
      sym_comment,
  [11329] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(821), 1,
      anon_sym_EQ,
    STATE(274), 1,
      sym_comment,
  [11342] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(823), 1,
      anon_sym_EQ,
    STATE(275), 1,
      sym_comment,
  [11355] = 4,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(825), 1,
      aux_sym_linedir_token1,
    STATE(276), 1,
      sym_comment,
  [11368] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(827), 1,
      anon_sym_EQ,
    STATE(277), 1,
      sym_comment,
  [11381] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(829), 1,
      anon_sym_EQ,
    STATE(278), 1,
      sym_comment,
  [11394] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(831), 1,
      anon_sym_SEMI,
    STATE(279), 1,
      sym_comment,
  [11407] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(833), 1,
      anon_sym_RBRACE2,
    STATE(280), 1,
      sym_comment,
  [11420] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(835), 1,
      anon_sym_RBRACE2,
    STATE(281), 1,
      sym_comment,
  [11433] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(837), 1,
      anon_sym_STAR_SLASH,
    STATE(282), 1,
      sym_comment,
  [11446] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(839), 1,
      anon_sym_STAR_SLASH,
    STATE(283), 1,
      sym_comment,
  [11459] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(841), 1,
      anon_sym_SEMI,
    STATE(284), 1,
      sym_comment,
  [11472] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(843), 1,
      anon_sym_SEMI,
    STATE(285), 1,
      sym_comment,
  [11485] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(845), 1,
      sym_identifier,
    STATE(286), 1,
      sym_comment,
  [11498] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(847), 1,
      aux_sym__option_name_token1,
    STATE(287), 1,
      sym_comment,
  [11511] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(849), 1,
      anon_sym_SEMI,
    STATE(288), 1,
      sym_comment,
  [11524] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(851), 1,
      anon_sym_SEMI,
    STATE(289), 1,
      sym_comment,
  [11537] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(853), 1,
      anon_sym_SEMI,
    STATE(290), 1,
      sym_comment,
  [11550] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(855), 1,
      anon_sym_SEMI,
    STATE(291), 1,
      sym_comment,
  [11563] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(857), 1,
      anon_sym_SEMI,
    STATE(292), 1,
      sym_comment,
  [11576] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(859), 1,
      anon_sym_SEMI,
    STATE(293), 1,
      sym_comment,
  [11589] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(861), 1,
      anon_sym_SEMI,
    STATE(294), 1,
      sym_comment,
  [11602] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(863), 1,
      anon_sym_SEMI,
    STATE(295), 1,
      sym_comment,
  [11615] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(865), 1,
      anon_sym_SEMI,
    STATE(296), 1,
      sym_comment,
  [11628] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(867), 1,
      anon_sym_SEMI,
    STATE(297), 1,
      sym_comment,
  [11641] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(869), 1,
      anon_sym_SEMI,
    STATE(298), 1,
      sym_comment,
  [11654] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(871), 1,
      anon_sym_SEMI,
    STATE(299), 1,
      sym_comment,
  [11667] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(873), 1,
      anon_sym_SEMI,
    STATE(300), 1,
      sym_comment,
  [11680] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(875), 1,
      anon_sym_re2c,
    STATE(301), 1,
      sym_comment,
  [11693] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(877), 1,
      anon_sym_COLON,
    STATE(302), 1,
      sym_comment,
  [11706] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(879), 1,
      anon_sym_STAR_SLASH,
    STATE(303), 1,
      sym_comment,
  [11719] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(881), 1,
      anon_sym_EQ,
    STATE(304), 1,
      sym_comment,
  [11732] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(883), 1,
      anon_sym_EQ,
    STATE(305), 1,
      sym_comment,
  [11745] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(885), 1,
      anon_sym_COLON,
    STATE(306), 1,
      sym_comment,
  [11758] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(887), 1,
      anon_sym_STAR_SLASH,
    STATE(307), 1,
      sym_comment,
  [11771] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(889), 1,
      anon_sym_GT,
    STATE(308), 1,
      sym_comment,
  [11784] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(891), 1,
      anon_sym_re2c,
    STATE(309), 1,
      sym_comment,
  [11797] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(893), 1,
      anon_sym_SEMI,
    STATE(310), 1,
      sym_comment,
  [11810] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(895), 1,
      anon_sym_SEMI,
    STATE(311), 1,
      sym_comment,
  [11823] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(897), 1,
      anon_sym_re2c,
    STATE(312), 1,
      sym_comment,
  [11836] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(899), 1,
      anon_sym_EQ,
    STATE(313), 1,
      sym_comment,
  [11849] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(901), 1,
      sym_identifier,
    STATE(314), 1,
      sym_comment,
  [11862] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(903), 1,
      anon_sym_re2c,
    STATE(315), 1,
      sym_comment,
  [11875] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(905), 1,
      anon_sym_SEMI,
    STATE(316), 1,
      sym_comment,
  [11888] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(907), 1,
      anon_sym_COLON,
    STATE(317), 1,
      sym_comment,
  [11901] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(909), 1,
      anon_sym_COLON,
    STATE(318), 1,
      sym_comment,
  [11914] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(911), 1,
      anon_sym_COLON,
    STATE(319), 1,
      sym_comment,
  [11927] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(913), 1,
      anon_sym_STAR_SLASH,
    STATE(320), 1,
      sym_comment,
  [11940] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(716), 1,
      anon_sym_GT,
    STATE(321), 1,
      sym_comment,
  [11953] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(915), 1,
      anon_sym_STAR_SLASH,
    STATE(322), 1,
      sym_comment,
  [11966] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(917), 1,
      anon_sym_SEMI,
    STATE(323), 1,
      sym_comment,
  [11979] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(919), 1,
      aux_sym__block_name_token1,
    STATE(324), 1,
      sym_comment,
  [11992] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(921), 1,
      anon_sym_SEMI,
    STATE(325), 1,
      sym_comment,
  [12005] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(923), 1,
      aux_sym__block_name_token1,
    STATE(326), 1,
      sym_comment,
  [12018] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(925), 1,
      anon_sym_COLON,
    STATE(327), 1,
      sym_comment,
  [12031] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(927), 1,
      anon_sym_SEMI,
    STATE(328), 1,
      sym_comment,
  [12044] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(929), 1,
      anon_sym_RPAREN,
    STATE(329), 1,
      sym_comment,
  [12057] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(931), 1,
      anon_sym_SEMI,
    STATE(330), 1,
      sym_comment,
  [12070] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(653), 1,
      anon_sym_PIPE,
    STATE(331), 1,
      sym_comment,
  [12083] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(933), 1,
      aux_sym_number_token1,
    STATE(332), 1,
      sym_comment,
  [12096] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(935), 1,
      anon_sym_COLON,
    STATE(333), 1,
      sym_comment,
  [12109] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(937), 1,
      aux_sym__block_name_token1,
    STATE(334), 1,
      sym_comment,
  [12122] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(939), 1,
      anon_sym_RBRACE,
    STATE(335), 1,
      sym_comment,
  [12135] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(941), 1,
      anon_sym_SEMI,
    STATE(336), 1,
      sym_comment,
  [12148] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(943), 1,
      anon_sym_COLON,
    STATE(337), 1,
      sym_comment,
  [12161] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(945), 1,
      sym_hex_digit,
    STATE(338), 1,
      sym_comment,
  [12174] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(945), 1,
      sym_oct_digit,
    STATE(339), 1,
      sym_comment,
  [12187] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(947), 1,
      anon_sym_SEMI,
    STATE(340), 1,
      sym_comment,
  [12200] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(949), 1,
      anon_sym_STAR_SLASH,
    STATE(341), 1,
      sym_comment,
  [12213] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(951), 1,
      anon_sym_COLON,
    STATE(342), 1,
      sym_comment,
  [12226] = 4,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(953), 1,
      aux_sym_linedir_token1,
    STATE(343), 1,
      sym_comment,
  [12239] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(955), 1,
      anon_sym_COMMA2,
    STATE(344), 1,
      sym_comment,
  [12252] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(957), 1,
      anon_sym_RBRACE2,
    STATE(345), 1,
      sym_comment,
  [12265] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(959), 1,
      aux_sym__block_name_token1,
    STATE(346), 1,
      sym_comment,
  [12278] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(961), 1,
      anon_sym_SEMI,
    STATE(347), 1,
      sym_comment,
  [12291] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(963), 1,
      anon_sym_STAR_SLASH,
    STATE(348), 1,
      sym_comment,
  [12304] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(965), 1,
      aux_sym__block_name_token1,
    STATE(349), 1,
      sym_comment,
  [12317] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(967), 1,
      anon_sym_STAR_SLASH,
    STATE(350), 1,
      sym_comment,
  [12330] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(969), 1,
      aux_sym__block_name_token1,
    STATE(351), 1,
      sym_comment,
  [12343] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(971), 1,
      aux_sym__block_name_token1,
    STATE(352), 1,
      sym_comment,
  [12356] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(973), 1,
      anon_sym_STAR_SLASH,
    STATE(353), 1,
      sym_comment,
  [12369] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(975), 1,
      anon_sym_COLON,
    STATE(354), 1,
      sym_comment,
  [12382] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(977), 1,
      anon_sym_SEMI,
    STATE(355), 1,
      sym_comment,
  [12395] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(979), 1,
      anon_sym_STAR_SLASH,
    STATE(356), 1,
      sym_comment,
  [12408] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(981), 1,
      anon_sym_STAR_SLASH,
    STATE(357), 1,
      sym_comment,
  [12421] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(983), 1,
      anon_sym_EQ,
    STATE(358), 1,
      sym_comment,
  [12434] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(985), 1,
      anon_sym_EQ,
    STATE(359), 1,
      sym_comment,
  [12447] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(987), 1,
      aux_sym_number_token1,
    STATE(360), 1,
      sym_comment,
  [12460] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(989), 1,
      anon_sym_re2c,
    STATE(361), 1,
      sym_comment,
  [12473] = 4,
    ACTIONS(5), 1,
      aux_sym_comment_token2,
    ACTIONS(11), 1,
      aux_sym_comment_token1,
    ACTIONS(991), 1,
      aux_sym_linedir_token1,
    STATE(362), 1,
      sym_comment,
  [12486] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(993), 1,
      anon_sym_re2c,
    STATE(363), 1,
      sym_comment,
  [12499] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(995), 1,
      anon_sym_re2c,
    STATE(364), 1,
      sym_comment,
  [12512] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(997), 1,
      anon_sym_STAR_SLASH,
    STATE(365), 1,
      sym_comment,
  [12525] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(999), 1,
      sym_identifier,
    STATE(366), 1,
      sym_comment,
  [12538] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1001), 1,
      aux_sym__option_name_token1,
    STATE(367), 1,
      sym_comment,
  [12551] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1003), 1,
      anon_sym_EQ,
    STATE(368), 1,
      sym_comment,
  [12564] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1005), 1,
      anon_sym_EQ,
    STATE(369), 1,
      sym_comment,
  [12577] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1007), 1,
      anon_sym_EQ,
    STATE(370), 1,
      sym_comment,
  [12590] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1009), 1,
      anon_sym_EQ,
    STATE(371), 1,
      sym_comment,
  [12603] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1011), 1,
      anon_sym_EQ,
    STATE(372), 1,
      sym_comment,
  [12616] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1013), 1,
      anon_sym_EQ,
    STATE(373), 1,
      sym_comment,
  [12629] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1015), 1,
      anon_sym_EQ,
    STATE(374), 1,
      sym_comment,
  [12642] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1017), 1,
      ts_builtin_sym_end,
    STATE(375), 1,
      sym_comment,
  [12655] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1019), 1,
      anon_sym_EQ,
    STATE(376), 1,
      sym_comment,
  [12668] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(777), 1,
      anon_sym_COMMA,
    STATE(377), 1,
      sym_comment,
  [12681] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1021), 1,
      anon_sym_EQ,
    STATE(378), 1,
      sym_comment,
  [12694] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1023), 1,
      anon_sym_EQ,
    STATE(379), 1,
      sym_comment,
  [12707] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1025), 1,
      anon_sym_COLON,
    STATE(380), 1,
      sym_comment,
  [12720] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1027), 1,
      anon_sym_EQ,
    STATE(381), 1,
      sym_comment,
  [12733] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1029), 1,
      aux_sym__block_name_token1,
    STATE(382), 1,
      sym_comment,
  [12746] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1031), 1,
      anon_sym_re2c,
    STATE(383), 1,
      sym_comment,
  [12759] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1033), 1,
      anon_sym_SEMI,
    STATE(384), 1,
      sym_comment,
  [12772] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1035), 1,
      anon_sym_EQ,
    STATE(385), 1,
      sym_comment,
  [12785] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1037), 1,
      anon_sym_re2c,
    STATE(386), 1,
      sym_comment,
  [12798] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1039), 1,
      anon_sym_EQ,
    STATE(387), 1,
      sym_comment,
  [12811] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1041), 1,
      anon_sym_EQ,
    STATE(388), 1,
      sym_comment,
  [12824] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(45), 1,
      aux_sym_comment_token2,
    ACTIONS(1043), 1,
      anon_sym_COLON,
    STATE(389), 1,
      sym_comment,
  [12837] = 1,
    ACTIONS(1045), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 125,
  [SMALL_STATE(4)] = 250,
  [SMALL_STATE(5)] = 375,
  [SMALL_STATE(6)] = 497,
  [SMALL_STATE(7)] = 619,
  [SMALL_STATE(8)] = 741,
  [SMALL_STATE(9)] = 858,
  [SMALL_STATE(10)] = 977,
  [SMALL_STATE(11)] = 1069,
  [SMALL_STATE(12)] = 1143,
  [SMALL_STATE(13)] = 1217,
  [SMALL_STATE(14)] = 1290,
  [SMALL_STATE(15)] = 1363,
  [SMALL_STATE(16)] = 1435,
  [SMALL_STATE(17)] = 1537,
  [SMALL_STATE(18)] = 1609,
  [SMALL_STATE(19)] = 1681,
  [SMALL_STATE(20)] = 1753,
  [SMALL_STATE(21)] = 1824,
  [SMALL_STATE(22)] = 1895,
  [SMALL_STATE(23)] = 1966,
  [SMALL_STATE(24)] = 2037,
  [SMALL_STATE(25)] = 2108,
  [SMALL_STATE(26)] = 2179,
  [SMALL_STATE(27)] = 2249,
  [SMALL_STATE(28)] = 2319,
  [SMALL_STATE(29)] = 2399,
  [SMALL_STATE(30)] = 2473,
  [SMALL_STATE(31)] = 2547,
  [SMALL_STATE(32)] = 2621,
  [SMALL_STATE(33)] = 2695,
  [SMALL_STATE(34)] = 2756,
  [SMALL_STATE(35)] = 2817,
  [SMALL_STATE(36)] = 2878,
  [SMALL_STATE(37)] = 2939,
  [SMALL_STATE(38)] = 3000,
  [SMALL_STATE(39)] = 3061,
  [SMALL_STATE(40)] = 3122,
  [SMALL_STATE(41)] = 3183,
  [SMALL_STATE(42)] = 3244,
  [SMALL_STATE(43)] = 3305,
  [SMALL_STATE(44)] = 3366,
  [SMALL_STATE(45)] = 3427,
  [SMALL_STATE(46)] = 3488,
  [SMALL_STATE(47)] = 3549,
  [SMALL_STATE(48)] = 3610,
  [SMALL_STATE(49)] = 3671,
  [SMALL_STATE(50)] = 3732,
  [SMALL_STATE(51)] = 3793,
  [SMALL_STATE(52)] = 3858,
  [SMALL_STATE(53)] = 3923,
  [SMALL_STATE(54)] = 3986,
  [SMALL_STATE(55)] = 4047,
  [SMALL_STATE(56)] = 4108,
  [SMALL_STATE(57)] = 4169,
  [SMALL_STATE(58)] = 4231,
  [SMALL_STATE(59)] = 4299,
  [SMALL_STATE(60)] = 4367,
  [SMALL_STATE(61)] = 4433,
  [SMALL_STATE(62)] = 4501,
  [SMALL_STATE(63)] = 4569,
  [SMALL_STATE(64)] = 4637,
  [SMALL_STATE(65)] = 4697,
  [SMALL_STATE(66)] = 4759,
  [SMALL_STATE(67)] = 4827,
  [SMALL_STATE(68)] = 4895,
  [SMALL_STATE(69)] = 4958,
  [SMALL_STATE(70)] = 5019,
  [SMALL_STATE(71)] = 5082,
  [SMALL_STATE(72)] = 5145,
  [SMALL_STATE(73)] = 5206,
  [SMALL_STATE(74)] = 5269,
  [SMALL_STATE(75)] = 5329,
  [SMALL_STATE(76)] = 5387,
  [SMALL_STATE(77)] = 5429,
  [SMALL_STATE(78)] = 5487,
  [SMALL_STATE(79)] = 5543,
  [SMALL_STATE(80)] = 5605,
  [SMALL_STATE(81)] = 5667,
  [SMALL_STATE(82)] = 5727,
  [SMALL_STATE(83)] = 5789,
  [SMALL_STATE(84)] = 5849,
  [SMALL_STATE(85)] = 5911,
  [SMALL_STATE(86)] = 5969,
  [SMALL_STATE(87)] = 6029,
  [SMALL_STATE(88)] = 6091,
  [SMALL_STATE(89)] = 6151,
  [SMALL_STATE(90)] = 6213,
  [SMALL_STATE(91)] = 6275,
  [SMALL_STATE(92)] = 6335,
  [SMALL_STATE(93)] = 6397,
  [SMALL_STATE(94)] = 6452,
  [SMALL_STATE(95)] = 6507,
  [SMALL_STATE(96)] = 6562,
  [SMALL_STATE(97)] = 6617,
  [SMALL_STATE(98)] = 6676,
  [SMALL_STATE(99)] = 6731,
  [SMALL_STATE(100)] = 6790,
  [SMALL_STATE(101)] = 6847,
  [SMALL_STATE(102)] = 6902,
  [SMALL_STATE(103)] = 6957,
  [SMALL_STATE(104)] = 7012,
  [SMALL_STATE(105)] = 7046,
  [SMALL_STATE(106)] = 7080,
  [SMALL_STATE(107)] = 7132,
  [SMALL_STATE(108)] = 7166,
  [SMALL_STATE(109)] = 7200,
  [SMALL_STATE(110)] = 7234,
  [SMALL_STATE(111)] = 7268,
  [SMALL_STATE(112)] = 7320,
  [SMALL_STATE(113)] = 7354,
  [SMALL_STATE(114)] = 7406,
  [SMALL_STATE(115)] = 7440,
  [SMALL_STATE(116)] = 7492,
  [SMALL_STATE(117)] = 7526,
  [SMALL_STATE(118)] = 7578,
  [SMALL_STATE(119)] = 7630,
  [SMALL_STATE(120)] = 7664,
  [SMALL_STATE(121)] = 7716,
  [SMALL_STATE(122)] = 7750,
  [SMALL_STATE(123)] = 7802,
  [SMALL_STATE(124)] = 7836,
  [SMALL_STATE(125)] = 7888,
  [SMALL_STATE(126)] = 7922,
  [SMALL_STATE(127)] = 7974,
  [SMALL_STATE(128)] = 8008,
  [SMALL_STATE(129)] = 8058,
  [SMALL_STATE(130)] = 8110,
  [SMALL_STATE(131)] = 8162,
  [SMALL_STATE(132)] = 8197,
  [SMALL_STATE(133)] = 8230,
  [SMALL_STATE(134)] = 8265,
  [SMALL_STATE(135)] = 8308,
  [SMALL_STATE(136)] = 8338,
  [SMALL_STATE(137)] = 8368,
  [SMALL_STATE(138)] = 8398,
  [SMALL_STATE(139)] = 8428,
  [SMALL_STATE(140)] = 8458,
  [SMALL_STATE(141)] = 8488,
  [SMALL_STATE(142)] = 8518,
  [SMALL_STATE(143)] = 8548,
  [SMALL_STATE(144)] = 8577,
  [SMALL_STATE(145)] = 8606,
  [SMALL_STATE(146)] = 8635,
  [SMALL_STATE(147)] = 8664,
  [SMALL_STATE(148)] = 8693,
  [SMALL_STATE(149)] = 8724,
  [SMALL_STATE(150)] = 8753,
  [SMALL_STATE(151)] = 8782,
  [SMALL_STATE(152)] = 8811,
  [SMALL_STATE(153)] = 8840,
  [SMALL_STATE(154)] = 8869,
  [SMALL_STATE(155)] = 8898,
  [SMALL_STATE(156)] = 8927,
  [SMALL_STATE(157)] = 8956,
  [SMALL_STATE(158)] = 8985,
  [SMALL_STATE(159)] = 9014,
  [SMALL_STATE(160)] = 9043,
  [SMALL_STATE(161)] = 9072,
  [SMALL_STATE(162)] = 9101,
  [SMALL_STATE(163)] = 9130,
  [SMALL_STATE(164)] = 9155,
  [SMALL_STATE(165)] = 9180,
  [SMALL_STATE(166)] = 9205,
  [SMALL_STATE(167)] = 9230,
  [SMALL_STATE(168)] = 9255,
  [SMALL_STATE(169)] = 9280,
  [SMALL_STATE(170)] = 9318,
  [SMALL_STATE(171)] = 9356,
  [SMALL_STATE(172)] = 9388,
  [SMALL_STATE(173)] = 9417,
  [SMALL_STATE(174)] = 9444,
  [SMALL_STATE(175)] = 9473,
  [SMALL_STATE(176)] = 9502,
  [SMALL_STATE(177)] = 9524,
  [SMALL_STATE(178)] = 9544,
  [SMALL_STATE(179)] = 9566,
  [SMALL_STATE(180)] = 9588,
  [SMALL_STATE(181)] = 9607,
  [SMALL_STATE(182)] = 9636,
  [SMALL_STATE(183)] = 9665,
  [SMALL_STATE(184)] = 9694,
  [SMALL_STATE(185)] = 9723,
  [SMALL_STATE(186)] = 9750,
  [SMALL_STATE(187)] = 9779,
  [SMALL_STATE(188)] = 9808,
  [SMALL_STATE(189)] = 9827,
  [SMALL_STATE(190)] = 9846,
  [SMALL_STATE(191)] = 9869,
  [SMALL_STATE(192)] = 9888,
  [SMALL_STATE(193)] = 9910,
  [SMALL_STATE(194)] = 9930,
  [SMALL_STATE(195)] = 9954,
  [SMALL_STATE(196)] = 9977,
  [SMALL_STATE(197)] = 9996,
  [SMALL_STATE(198)] = 10019,
  [SMALL_STATE(199)] = 10042,
  [SMALL_STATE(200)] = 10065,
  [SMALL_STATE(201)] = 10090,
  [SMALL_STATE(202)] = 10111,
  [SMALL_STATE(203)] = 10130,
  [SMALL_STATE(204)] = 10151,
  [SMALL_STATE(205)] = 10173,
  [SMALL_STATE(206)] = 10191,
  [SMALL_STATE(207)] = 10211,
  [SMALL_STATE(208)] = 10233,
  [SMALL_STATE(209)] = 10255,
  [SMALL_STATE(210)] = 10277,
  [SMALL_STATE(211)] = 10293,
  [SMALL_STATE(212)] = 10313,
  [SMALL_STATE(213)] = 10333,
  [SMALL_STATE(214)] = 10349,
  [SMALL_STATE(215)] = 10365,
  [SMALL_STATE(216)] = 10385,
  [SMALL_STATE(217)] = 10407,
  [SMALL_STATE(218)] = 10423,
  [SMALL_STATE(219)] = 10443,
  [SMALL_STATE(220)] = 10459,
  [SMALL_STATE(221)] = 10479,
  [SMALL_STATE(222)] = 10501,
  [SMALL_STATE(223)] = 10516,
  [SMALL_STATE(224)] = 10531,
  [SMALL_STATE(225)] = 10548,
  [SMALL_STATE(226)] = 10567,
  [SMALL_STATE(227)] = 10584,
  [SMALL_STATE(228)] = 10601,
  [SMALL_STATE(229)] = 10618,
  [SMALL_STATE(230)] = 10637,
  [SMALL_STATE(231)] = 10652,
  [SMALL_STATE(232)] = 10667,
  [SMALL_STATE(233)] = 10682,
  [SMALL_STATE(234)] = 10699,
  [SMALL_STATE(235)] = 10718,
  [SMALL_STATE(236)] = 10735,
  [SMALL_STATE(237)] = 10750,
  [SMALL_STATE(238)] = 10767,
  [SMALL_STATE(239)] = 10786,
  [SMALL_STATE(240)] = 10805,
  [SMALL_STATE(241)] = 10824,
  [SMALL_STATE(242)] = 10840,
  [SMALL_STATE(243)] = 10854,
  [SMALL_STATE(244)] = 10870,
  [SMALL_STATE(245)] = 10886,
  [SMALL_STATE(246)] = 10902,
  [SMALL_STATE(247)] = 10918,
  [SMALL_STATE(248)] = 10934,
  [SMALL_STATE(249)] = 10950,
  [SMALL_STATE(250)] = 10966,
  [SMALL_STATE(251)] = 10982,
  [SMALL_STATE(252)] = 10998,
  [SMALL_STATE(253)] = 11014,
  [SMALL_STATE(254)] = 11030,
  [SMALL_STATE(255)] = 11046,
  [SMALL_STATE(256)] = 11062,
  [SMALL_STATE(257)] = 11078,
  [SMALL_STATE(258)] = 11094,
  [SMALL_STATE(259)] = 11110,
  [SMALL_STATE(260)] = 11126,
  [SMALL_STATE(261)] = 11142,
  [SMALL_STATE(262)] = 11158,
  [SMALL_STATE(263)] = 11174,
  [SMALL_STATE(264)] = 11190,
  [SMALL_STATE(265)] = 11206,
  [SMALL_STATE(266)] = 11222,
  [SMALL_STATE(267)] = 11238,
  [SMALL_STATE(268)] = 11251,
  [SMALL_STATE(269)] = 11264,
  [SMALL_STATE(270)] = 11277,
  [SMALL_STATE(271)] = 11290,
  [SMALL_STATE(272)] = 11303,
  [SMALL_STATE(273)] = 11316,
  [SMALL_STATE(274)] = 11329,
  [SMALL_STATE(275)] = 11342,
  [SMALL_STATE(276)] = 11355,
  [SMALL_STATE(277)] = 11368,
  [SMALL_STATE(278)] = 11381,
  [SMALL_STATE(279)] = 11394,
  [SMALL_STATE(280)] = 11407,
  [SMALL_STATE(281)] = 11420,
  [SMALL_STATE(282)] = 11433,
  [SMALL_STATE(283)] = 11446,
  [SMALL_STATE(284)] = 11459,
  [SMALL_STATE(285)] = 11472,
  [SMALL_STATE(286)] = 11485,
  [SMALL_STATE(287)] = 11498,
  [SMALL_STATE(288)] = 11511,
  [SMALL_STATE(289)] = 11524,
  [SMALL_STATE(290)] = 11537,
  [SMALL_STATE(291)] = 11550,
  [SMALL_STATE(292)] = 11563,
  [SMALL_STATE(293)] = 11576,
  [SMALL_STATE(294)] = 11589,
  [SMALL_STATE(295)] = 11602,
  [SMALL_STATE(296)] = 11615,
  [SMALL_STATE(297)] = 11628,
  [SMALL_STATE(298)] = 11641,
  [SMALL_STATE(299)] = 11654,
  [SMALL_STATE(300)] = 11667,
  [SMALL_STATE(301)] = 11680,
  [SMALL_STATE(302)] = 11693,
  [SMALL_STATE(303)] = 11706,
  [SMALL_STATE(304)] = 11719,
  [SMALL_STATE(305)] = 11732,
  [SMALL_STATE(306)] = 11745,
  [SMALL_STATE(307)] = 11758,
  [SMALL_STATE(308)] = 11771,
  [SMALL_STATE(309)] = 11784,
  [SMALL_STATE(310)] = 11797,
  [SMALL_STATE(311)] = 11810,
  [SMALL_STATE(312)] = 11823,
  [SMALL_STATE(313)] = 11836,
  [SMALL_STATE(314)] = 11849,
  [SMALL_STATE(315)] = 11862,
  [SMALL_STATE(316)] = 11875,
  [SMALL_STATE(317)] = 11888,
  [SMALL_STATE(318)] = 11901,
  [SMALL_STATE(319)] = 11914,
  [SMALL_STATE(320)] = 11927,
  [SMALL_STATE(321)] = 11940,
  [SMALL_STATE(322)] = 11953,
  [SMALL_STATE(323)] = 11966,
  [SMALL_STATE(324)] = 11979,
  [SMALL_STATE(325)] = 11992,
  [SMALL_STATE(326)] = 12005,
  [SMALL_STATE(327)] = 12018,
  [SMALL_STATE(328)] = 12031,
  [SMALL_STATE(329)] = 12044,
  [SMALL_STATE(330)] = 12057,
  [SMALL_STATE(331)] = 12070,
  [SMALL_STATE(332)] = 12083,
  [SMALL_STATE(333)] = 12096,
  [SMALL_STATE(334)] = 12109,
  [SMALL_STATE(335)] = 12122,
  [SMALL_STATE(336)] = 12135,
  [SMALL_STATE(337)] = 12148,
  [SMALL_STATE(338)] = 12161,
  [SMALL_STATE(339)] = 12174,
  [SMALL_STATE(340)] = 12187,
  [SMALL_STATE(341)] = 12200,
  [SMALL_STATE(342)] = 12213,
  [SMALL_STATE(343)] = 12226,
  [SMALL_STATE(344)] = 12239,
  [SMALL_STATE(345)] = 12252,
  [SMALL_STATE(346)] = 12265,
  [SMALL_STATE(347)] = 12278,
  [SMALL_STATE(348)] = 12291,
  [SMALL_STATE(349)] = 12304,
  [SMALL_STATE(350)] = 12317,
  [SMALL_STATE(351)] = 12330,
  [SMALL_STATE(352)] = 12343,
  [SMALL_STATE(353)] = 12356,
  [SMALL_STATE(354)] = 12369,
  [SMALL_STATE(355)] = 12382,
  [SMALL_STATE(356)] = 12395,
  [SMALL_STATE(357)] = 12408,
  [SMALL_STATE(358)] = 12421,
  [SMALL_STATE(359)] = 12434,
  [SMALL_STATE(360)] = 12447,
  [SMALL_STATE(361)] = 12460,
  [SMALL_STATE(362)] = 12473,
  [SMALL_STATE(363)] = 12486,
  [SMALL_STATE(364)] = 12499,
  [SMALL_STATE(365)] = 12512,
  [SMALL_STATE(366)] = 12525,
  [SMALL_STATE(367)] = 12538,
  [SMALL_STATE(368)] = 12551,
  [SMALL_STATE(369)] = 12564,
  [SMALL_STATE(370)] = 12577,
  [SMALL_STATE(371)] = 12590,
  [SMALL_STATE(372)] = 12603,
  [SMALL_STATE(373)] = 12616,
  [SMALL_STATE(374)] = 12629,
  [SMALL_STATE(375)] = 12642,
  [SMALL_STATE(376)] = 12655,
  [SMALL_STATE(377)] = 12668,
  [SMALL_STATE(378)] = 12681,
  [SMALL_STATE(379)] = 12694,
  [SMALL_STATE(380)] = 12707,
  [SMALL_STATE(381)] = 12720,
  [SMALL_STATE(382)] = 12733,
  [SMALL_STATE(383)] = 12746,
  [SMALL_STATE(384)] = 12759,
  [SMALL_STATE(385)] = 12772,
  [SMALL_STATE(386)] = 12785,
  [SMALL_STATE(387)] = 12798,
  [SMALL_STATE(388)] = 12811,
  [SMALL_STATE(389)] = 12824,
  [SMALL_STATE(390)] = 12837,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_re2c, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [15] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rules_block, 3, 0, 0),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [47] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_block, 3, 0, 0),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [51] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_block, 1, 0, 0),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [55] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rules_block, 5, 0, 24),
  [57] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_block, 3, 0, 5),
  [59] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_block, 5, 0, 24),
  [61] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_body_repeat1, 2, 0, 0), SHIFT_REPEAT(132),
  [64] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_body_repeat1, 2, 0, 0),
  [66] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_body_repeat1, 2, 0, 0), SHIFT_REPEAT(306),
  [69] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_body_repeat1, 2, 0, 0), SHIFT_REPEAT(110),
  [72] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_body_repeat1, 2, 0, 0), SHIFT_REPEAT(200),
  [75] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_body_repeat1, 2, 0, 0), SHIFT_REPEAT(223),
  [78] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_body_repeat1, 2, 0, 0), SHIFT_REPEAT(236),
  [81] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_body_repeat1, 2, 0, 0), SHIFT_REPEAT(317),
  [84] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_body_repeat1, 2, 0, 0), SHIFT_REPEAT(215),
  [87] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_body_repeat1, 2, 0, 0), SHIFT_REPEAT(30),
  [90] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_body_repeat1, 2, 0, 0), SHIFT_REPEAT(93),
  [93] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_body_repeat1, 2, 0, 0), SHIFT_REPEAT(104),
  [96] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_body_repeat1, 2, 0, 0), SHIFT_REPEAT(119),
  [99] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_body_repeat1, 2, 0, 0), SHIFT_REPEAT(334),
  [102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_body_repeat1, 2, 0, 0), SHIFT_REPEAT(248),
  [105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_body, 1, 0, 0),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_class, 2, 0, 0),
  [149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_class, 2, 0, 0),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_class, 3, 0, 0),
  [167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_class, 3, 0, 0),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dif_expr, 1, 0, 0),
  [213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dif_expr, 1, 0, 0),
  [215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concat, 2, 0, 0),
  [217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concat, 2, 0, 0),
  [219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concat_repeat1, 2, 0, 0), SHIFT_REPEAT(121),
  [222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concat_repeat1, 2, 0, 0), SHIFT_REPEAT(110),
  [225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concat_repeat1, 2, 0, 0),
  [227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concat_repeat1, 2, 0, 0),
  [229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concat_repeat1, 2, 0, 0), SHIFT_REPEAT(30),
  [232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concat_repeat1, 2, 0, 0), SHIFT_REPEAT(94),
  [235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concat_repeat1, 2, 0, 0), SHIFT_REPEAT(104),
  [238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concat_repeat1, 2, 0, 0), SHIFT_REPEAT(119),
  [241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concat_repeat1, 2, 0, 0), SHIFT_REPEAT(334),
  [244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concat_repeat1, 2, 0, 0), SHIFT_REPEAT(326),
  [247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alternation_repeat1, 2, 0, 8), SHIFT_REPEAT(121),
  [250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alternation_repeat1, 2, 0, 8), SHIFT_REPEAT(110),
  [253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alternation_repeat1, 2, 0, 8), SHIFT_REPEAT(30),
  [256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alternation_repeat1, 2, 0, 8), SHIFT_REPEAT(102),
  [259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alternation_repeat1, 2, 0, 8), SHIFT_REPEAT(104),
  [262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alternation_repeat1, 2, 0, 8), SHIFT_REPEAT(119),
  [265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alternation_repeat1, 2, 0, 8), SHIFT_REPEAT(334),
  [268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alternation_repeat1, 2, 0, 8), SHIFT_REPEAT(326),
  [271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concat_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concat_repeat1, 2, 0, 0), SHIFT_REPEAT(96),
  [277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concat_repeat1, 2, 0, 0), SHIFT_REPEAT(93),
  [280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concat_repeat1, 2, 0, 0), SHIFT_REPEAT(103),
  [283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cat_expr, 1, 0, 0),
  [285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__cat_expr, 1, 0, 0),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concat_repeat1, 2, 0, 0), SHIFT_REPEAT(95),
  [294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concat_repeat1, 2, 0, 0), SHIFT_REPEAT(98),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concat_repeat1, 2, 0, 0), SHIFT_REPEAT(102),
  [344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dstring, 1, 0, 0),
  [358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dstring, 1, 0, 0),
  [360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_class, 4, 0, 12),
  [362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_class, 4, 0, 12),
  [364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stag, 2, 0, 0),
  [368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stag, 2, 0, 0),
  [370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mtag, 2, 0, 0),
  [372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mtag, 2, 0, 0),
  [374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_class, 5, 0, 19),
  [376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_class, 5, 0, 19),
  [378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 1, 0, 1),
  [380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wildcard, 1, 0, 1),
  [382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atom, 1, 0, 0),
  [386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__atom, 1, 0, 0),
  [388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized, 3, 0, 0),
  [392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized, 3, 0, 0),
  [394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_class, 3, 0, 12),
  [398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_class, 3, 0, 12),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sstring, 1, 0, 0),
  [406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sstring, 1, 0, 0),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atom, 1, 0, 3),
  [412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__atom, 1, 0, 3),
  [414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_class, 4, 0, 19),
  [420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_class, 4, 0, 19),
  [422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_class, 4, 0, 0),
  [426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_class, 4, 0, 0),
  [428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_character_class_repeat1, 2, 0, 0),
  [430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_character_class_repeat1, 2, 0, 0), SHIFT_REPEAT(151),
  [433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_character_class_repeat1, 2, 0, 0), SHIFT_REPEAT(151),
  [436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_character_class_repeat1, 2, 0, 0), SHIFT_REPEAT(155),
  [439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_character_class_repeat1, 2, 0, 0), SHIFT_REPEAT(154),
  [442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_character_class_repeat1, 2, 0, 0), SHIFT_REPEAT(338),
  [445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_character_class_repeat1, 2, 0, 0), SHIFT_REPEAT(339),
  [448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_rule, 3, 0, 0),
  [454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_rule, 3, 0, 0),
  [456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_rule, 2, 0, 0),
  [460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_rule, 2, 0, 0),
  [462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limits, 3, 0, 23),
  [464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_limits, 3, 0, 23),
  [466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_close, 1, 0, 0),
  [468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_close, 1, 0, 0),
  [470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repetition, 2, 0, 0),
  [472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repetition, 2, 0, 0),
  [474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concat_repeat1, 1, 0, 0),
  [476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concat_repeat1, 1, 0, 0),
  [478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limits, 4, 0, 32),
  [480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_limits, 4, 0, 32),
  [482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limits, 5, 0, 35),
  [484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_limits, 5, 0, 35),
  [486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shortcut, 2, 0, 13),
  [488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shortcut, 2, 0, 13),
  [490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linedir, 4, 0, 21),
  [492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linedir, 4, 0, 21),
  [494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_action, 2, 1, 0),
  [496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_action, 2, 1, 0),
  [498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_action, 3, 1, 0),
  [500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_action, 3, 1, 0),
  [502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_body_repeat1, 1, 0, 0),
  [504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_body_repeat1, 1, 0, 0),
  [506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include, 3, 0, 11),
  [508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include, 3, 0, 11),
  [510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_character_class_repeat1, 1, 0, 0),
  [512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_character_class_repeat1, 1, 0, 0), SHIFT(134),
  [515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_character_class_repeat1, 1, 0, 0),
  [517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_rule, 4, 0, 0),
  [519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_rule, 4, 0, 0),
  [521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ordinary_rule, 2, 0, 0),
  [527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordinary_rule, 2, 0, 0),
  [529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_code_unit, 2, 0, 0),
  [531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_code_unit, 2, 0, 0),
  [533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_code_unit, 1, 0, 0),
  [535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_code_unit, 1, 0, 0),
  [537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__escape, 1, 0, 0),
  [539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__escape, 1, 0, 0),
  [541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linedir, 5, 0, 31),
  [543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linedir, 5, 0, 31),
  [545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_configuration, 4, 0, 0),
  [547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_configuration, 4, 0, 0),
  [549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use, 4, 0, 5),
  [551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use, 4, 0, 5),
  [553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range, 3, 0, 20),
  [555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range, 3, 0, 20),
  [557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_definition, 4, 0, 22),
  [559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_definition, 4, 0, 22),
  [561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition, 3, 0, 0),
  [563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition, 3, 0, 9),
  [565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition, 2, 0, 0),
  [567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition, 5, 0, 30),
  [569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition, 4, 0, 18),
  [571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition, 4, 0, 0),
  [573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mtags_block, 3, 0, 0),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stags_block, 3, 0, 0),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_code_block, 1, 0, 0),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_code_block_repeat1, 2, 0, 0), SHIFT_REPEAT(175),
  [594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_code_block_repeat1, 2, 0, 0),
  [596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_code_block_repeat1, 2, 0, 0), SHIFT_REPEAT(189),
  [599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__code_in_braces, 2, 0, 0), SHIFT(175),
  [602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__code_in_braces, 2, 0, 0), SHIFT(180),
  [605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__code_in_braces, 2, 0, 0), SHIFT(189),
  [608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__code_in_braces, 1, 0, 0), SHIFT(175),
  [611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__code_in_braces, 1, 0, 0), SHIFT(188),
  [614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__code_in_braces, 1, 0, 0), SHIFT(189),
  [617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alt_expr, 1, 0, 0),
  [619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alt_expr, 1, 0, 0),
  [621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alternation_repeat1, 2, 0, 6),
  [623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_difference, 3, 0, 15),
  [625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_difference, 3, 0, 15),
  [627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__code_in_braces, 3, 0, 0),
  [629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stags_block, 5, 0, 0),
  [631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mtags_block, 4, 0, 0),
  [633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stags_block, 4, 0, 0),
  [635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_stags_block_repeat1, 2, 0, 0),
  [637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stags_block_repeat1, 2, 0, 0), SHIFT_REPEAT(358),
  [640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stags_block_repeat1, 2, 0, 0), SHIFT_REPEAT(359),
  [643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mtags_block, 5, 0, 0),
  [645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__code_in_braces, 2, 0, 0),
  [647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__code_in_braces, 1, 0, 0),
  [649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alternation, 2, 0, 7),
  [651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alternation, 2, 0, 7),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_code_block_repeat1, 1, 0, 0),
  [657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__branch, 1, 0, 4),
  [659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__branch, 1, 0, 4),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_expr, 1, 0, 0),
  [665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern_expr, 1, 0, 0),
  [667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_re2c_repeat1, 2, 0, 0),
  [669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_re2c_repeat1, 2, 0, 0), SHIFT_REPEAT(233),
  [672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_re2c_repeat1, 2, 0, 0), SHIFT_REPEAT(78),
  [675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_list_repeat1, 2, 0, 0),
  [677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_list_repeat1, 2, 0, 0), SHIFT_REPEAT(352),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_re2c, 1, 0, 0),
  [688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_list, 1, 0, 0),
  [698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 1, 0, 0),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_max_block, 3, 0, 0),
  [708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_maxnmatch_block, 3, 0, 0),
  [710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_getstate_block, 3, 0, 0),
  [712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_list_repeat1, 2, 0, 25),
  [714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lookahead, 3, 0, 14),
  [722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_separator_directive, 4, 0, 37),
  [730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 2),
  [732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 3, 0, 0),
  [734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 3, 0, 0),
  [736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__conf_value, 1, 0, 26),
  [742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__option_name, 2, 0, 29),
  [750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_stags_block_repeat1, 1, 0, 0),
  [756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tag_directive, 1, 0, 0),
  [758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_directive, 4, 0, 36),
  [760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_re2c_repeat1, 1, 0, 0),
  [762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_re2c_repeat1, 1, 0, 0),
  [764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0),
  [768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__clist_repeat1, 2, 0, 0), SHIFT_REPEAT(377),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mininum, 1, 0, 16),
  [785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exactly, 1, 0, 17),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_block, 3, 0, 0),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 38),
  [809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_eof, 3, 0, 27),
  [811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_sentinel, 3, 0, 27),
  [813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_condprefix, 3, 0, 27),
  [815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_condenumprefix, 3, 0, 27),
  [817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_startlabel, 3, 0, 27),
  [819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_posixcaptures, 3, 0, 27),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 2, 0, 0),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__maximum, 1, 0, 33),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_block, 6, 0, 24),
  [839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rules_block, 6, 0, 24),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_flags, 4, 0, 34),
  [851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_define, 4, 0, 34),
  [853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_cond, 4, 0, 34),
  [855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_label, 4, 0, 34),
  [857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_variable, 4, 0, 34),
  [859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_yych, 4, 0, 34),
  [861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_state, 4, 0, 34),
  [863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_yybm, 4, 0, 34),
  [865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_cgoto, 4, 0, 34),
  [867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_api, 4, 0, 34),
  [869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_tags, 4, 0, 34),
  [871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_indent, 4, 0, 34),
  [873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_yyfill, 4, 0, 34),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_block, 5, 0, 24),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__option_name, 4, 0, 39),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_block, 4, 0, 5),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 1, 0, 0),
  [895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 2, 0, 0),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__clist_repeat1, 2, 0, 10),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_header_on_block, 5, 0, 0),
  [915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_header_off_block, 5, 0, 0),
  [917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encoding_policy, 1, 0, 0),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_input_conf, 1, 0, 0),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_class_conf, 1, 0, 0),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_api_style, 1, 0, 0),
  [949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_block, 2, 0, 0),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 1, 0, 0),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_header, 3, 0, 27),
  [963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_block, 4, 0, 0),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rules_block, 4, 0, 0),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_max_block, 4, 0, 0),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__conf_value, 1, 0, 28),
  [979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_maxnmatch_block, 4, 0, 0),
  [981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_getstate_block, 4, 0, 0),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [1017] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_tags, 3, 0, 27),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 1, 0, 0),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_re2c(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
